Introducing ClipMate 7

Welcome to ClipMate 7.3, the latest edition of one of the most powerful and useful utilities of all time*.

It's a multi-Clipboard

ClipMate enhances the Windows Clipboard, making it a true power tool. The cut / copy / paste capability of Windows works well for transferring single items of data but is not useful if you want to move a lot of data or keep data longer than until your next cut or copy. Because Windows overwrites the Clipboard whether you were ready or not.

ClipMate works alongside the regular Windows Clipboard and remembers every piece of data (both text and graphics) that you cut or copy. Once your data is saved in ClipMate, you can select an item and it is automatically placed back on the Clipboard or directly into an application. Within ClipMate you can view, print, edit, reformat, convert to upper/lower case, search, rename, and reorder Clip Items. There are several "heavy lifting" features such as PowerPaste, Templates, and Clean-Up, that help with big data conversion chores such as contact and lead management, data acquisition, document assembly, and research.

It's a Screen Capture Tool

Our Screen Capture functions supplement the windows screen capture by adding region and object capture capability, and now feature dual-monitor support. And you can save, print, or export your screen captures to a variety of formats.

It's an Organizer

You can create an unlimited number of collections to store your data, and you have full control over the retention rules so that your collections fit your personal work process. Many users keep their most-commonly used data in their "Safe" collection, while others spread it out by topic, project, source, etc.. ClipMate can hold tens of thousands of items, and its SQL-based search engine can find them all quickly for you. Even if you decide to do nothing special with your clips - you'll always have the last 1000 clips at you disposal, ready to paste wherever you need them. When you're ready to use a "clip", just select it in ClipMate, and it's "loaded" onto the system clipboard, ready for pasting into any program. And with many programs, you can now drag/drop the clip directly from ClipMate.

And More!

It's also a great stand-alone spellchecker, editor, note-taker, e-mail re-formatter, HTML editor, encryption utility, and format stripper. Its network capabilities make it a great solution for workgroup repositories, such as help desk and call center databases. It's got broad applications in just about every conceivable industry, profession, or hobby. If you find yourself typing something that you've read or typed at your computer before, you are ready. With the award-winning ClipMate as your Windows companion, you'll take the familiar underpowered Clipboard and turn it into an unexpectedly powerful time saver.

More:

· New Features In ClipMate 7
· ClipMate Overview
· Basic Operation
· Advanced
· Screen Capture
· The User Interface
· Using ClipMate Effectively
· Purchasing ClipMate
· USB / Portable Drives
· How Do I...
· Tutorial

* Our first release of ClipMate 1.0 was in December 1991, making it one of the most well-known and long-lived utilities for Windows.


New Features In ClipMate 7

New Features In ClipMate 7, 7.1, 7.2, and 7.3

Introducing ClipMate 7 > New Features In ClipMate 7

New Features

· Printing (7.3) - ClipMate's printing engine has been re-written, and now offers a "paper saver" feature, allowing multiple clips to print on a single page, if space allows. Graphics can be multi-printed too, and there's an override so that large graphics will still print on their own pages.
· Portable Drives (7.2) - ClipMate can now run from a portable USB "thumb drive", allowing you to take ClipMate to any Windows PC. The program, data, and registration key are all completely portable. ClipMate is Certified on "U3 Smart" drives!
· Flexible Paths and Settings (7.2) - You can now specify the temp and log directories. You can have settings stored in .ini files instead of the registry.
· Command-Line Parameters (7.2) - have expanded considerably, including the "STOP" option which can be used to halt ClipMate for unattended backups.
· Vista Clipboard Notification (7.2) - On Windows Vista, there is a new way for ClipMate to be notified of clipboard updates. This means no more reliance on the old "clipboard viewer chain", and makes the troublesome "keepalive" and "clipboard re-connect" procedures unnecessary.
· Vista Enhancements (7.2)- ClipMate uses the new "Task Dialog", and screen fonts will default to Segoe UI. Other minor cosmetic fixes.
· Screen Capture Expanded (7.2) - Multi-Monitor capture is expanded with dedicated buttons for screens 2 through 8.
· XML Import/Export (7.1) - Allows you to share clips with other users, or synchronize multiple databases. If you move from one computer to another, you can export the new/changed clips, and then import into the other database to "sync up". You can even send XML files to other users to share your favorite clips.
· Macro Clips (7.1) - Allow you to designate clips as "macro clips", so that special tokens such as {ENTER}, {TAB}, #DATE#, etc., will be "expanded". This allows the insertion of ENTER, TAB, and modifiers like CTRL+, ALT+, and SHIFT+ to perform "live" as the item is virtually "typed into" the target program. This allows limited navigation within the target app, such as entering a TAB between a userid and password, followed by an ENTER.
· Universal QuickPaste - Available from within Explorer or Classic. Just double-click on a clip, and it pastes wherever you were working. The new "Auto-Targeting" feature watches to see which application you are working in, so that it knows where to paste data when you double-click on a clip.
· ClipBar - Integrates right into the windows taskbar, showing the current clip, and up to two rows of toolbar buttons. It's completely customizable so that you can have your most frequently used ClipMate commands right on the taskbar. It's integrated with QuickPaste, giving you quick access to your clips right on the windows taskbar. And you can always see what's on the clipboard!
· External Drag 'n Drop - You can now drag text, rich text and graphic clips right into any OLE-compliant application like Word, Internet Explorer, FireFox, TextPad, etc.. You can also drag portions of a text clip from the editing window directly into other programs. And internal drag/drop has been enhanced as well, such as when dragging a clip into the editor.
· Virtual Collections - Show you all clips captured Today, last 7 days, and last 31 days.
· Templates - add title, URL, date/time, or any boilerplate text to clips as they are pasted. It's like a "mail-merge", built right in. Similar to the "format strings" in QuickPaste, but will work in all situations, and is compatible with PowerPaste.
· Screen Capture - Dual-monitor capture is now supported, with mouse pointer capture.
· Toolbar Customization - the toolbars on the Editor, ClipBar, Classic and Explorer are all customizable. Just right-click on an empty part of the bar, or a button that doesn't otherwise have a pop-up menu, and you can add/remove/move buttons. This is especially useful with the new ClipBar, allowing you to position buttons for your most frequently-used commands.
· User Interface improvements feature easy "stay on top" toggling with transparency, more flexible choices with ClipMate Classic layout, and visually pleasing "skins".

Other Enhancements

· RSS-enabled "ClipMate News and Updates" feature keeps both you AND your software up-to-date.
· Outbound Filtering is now "active", meaning that if enabled, any new clip arriving on the clipboard is immediately overwritten by a "plain text" or "plain bitmap" version, without the fancy formats such as HTML, RTF, OLE, etc..
· Graphic storage in PNG (Portable Network Graphics) format, with comparable space savings to JPEG with no loss of image quality.
· Export - The Export function can now prompt for filenames. Graphic clips can be exported directly to PNG files, along witih JPG and BMP as before.
· URL highlighting in editor can now be turned on/off, enabling editing of text with URLs.
· Database compatibility with ClipMate 6.5 - eases transitioning, with proven reliability.
· Additional hotkeys (7.1) for manual clip capture, toggling auto-capture, and manual filtering.
· Improved Unicode Support (7.1)


ClipMate Overview

Introducing ClipMate 7 > ClipMate Overview

ClipMate "big picture" overview

ClipMate "big picture" overview

You can think of ClipMate as a multi-format database that is tightly integrated with the native clipboard capability in Windows. Everything that you copy to the clipboard is captured by ClipMate. You don't have to do anything special - just copy the data as you regularly would, from within the application that you're working in (usually with the Edit | Copy menu, Ctrl+C, right-click | Copy, etc..) See the "Capture" arrow below. When you are ready to use the data again, just select it in ClipMate, and it's placed back onto the clipboard, ready for pasting into any application. This is represented by the "Update System Clipboard" arrow below.

And ClipMate isn't just going to hold a dozen or two of these "clips". It can easily hold hundreds, even thousands of clips. Everything that you copied today, yesterday, and last week. You can organize your clips into "collections", for keeping important data at your fingertips, and organized efficiently. You have complete control over the data retention and purging, so that important data is kept, while less-important data is stored for a while, then placed in the trashcan, and eventually deleted.

You can also perform powerful editing directly on the data, such as removal of unwanted line-breaks, >>> marks that clutter E-Mail, or case conversion. You can even combine several small clips into one big clip, and there is also a great spell checker included. For the "heavy lifting" data manipulation tasks, we have "PowerPaste", which rapidly pastes a series of data into an application. This is great for moving data between applications that aren't integrated, but should be. Do you have 1000 addresses in a spreadsheet that need to be keyed into an online database? No problem! And if the data is already formatted with commas, tabs, or line-breaks, then the "Exploding PowerPaste" option will cut the job in half again!

ClipMate's powerful search engine (it's based on SQL, for you technical types) allows you to find what you're looking for, and our new ShortCut and QuickPick features let you access your most commonly used information, quickly.

Are you part of a workgroup that could benefit from a shared repository of data? Along with your own personal database, ClipMate can attach to a shared, workgroup database on a file server. You can all contribute clips in real-time, for everyone to use for pasting. This is great for customer support environments where consistency, accuracy, and efficiency are top priorities. Just pick a clip from the repository, and paste. It couldn't be easier. And ClipMate allows you to set the "garbage avoidance" flag on the shared collections, so that they don't fill up with inadvertent clutter.

Give ClipMate a try - free for 30 days of actual use. We think you'll find that it will change the way you think about cutting and pasting.

More:

· New Features In ClipMate 7
· Basic Operation
· The User Interface
· Using ClipMate Effectively
· Purchasing ClipMate
· USB / Portable Drives
· How Do I...
· Tutorial


Basic Operation

Introducing ClipMate 7 > Basic Operation

Assuming that you have installed ClipMate and that it is running (you'll see an icon in the system tray area), ClipMate is ready to start working for you. Most of ClipMate's work involves capturing data from applications (which it does automatically for you as you copy data to the clipboard), and pasting data into applications.

For more information see:

· Capturing
· Pasting
· Capturing Data (copying)
· Pasting
· Screen Capture
· Searching
· Lesson 1: Basic Operation (tutorial)


Selecting Clips

Introducing ClipMate 7 > Basic Operation > Selecting Clips

When you select an item from one of ClipMate's ClipLists, it is automatically placed onto the clipboard. There is no "copy to clipboard" required - it's automatically done as the clip is selected. If you are in ClipMate Explorer, the list of clips is right there. If you are in ClipMate Classic, then there is a drop-down arrow that exposes the ClipList.

Multiple Selections

Sometimes you need to perform an action (deleting, printing, etc.) on more than one clip at a time. This is easily done by holding down the SHIFT key and clicking on two clips with the mouse. This selects the entire range of clips. Or you can use the CTRL key, and pick and choose the clips that you need.

Advanced

For quickly accessing clips that you use frequently, you will want to look into ShortCuts. To quickly access a clip where you know part of the title, you can recall it within the current collection with the QuickPick technique.


ShortCuts

Introducing ClipMate 7 > Basic Operation > Selecting Clips > ShortCuts

Having access to thousands of previous clips is only a great thing if you can find the data that you're looking for, more easily than typing it again. Here is where ShortCuts come in. Similar in operation to QuickPick, ShortCuts are global "nicknames", (Mnemonics for you technical types) that you assign to clips that you need to access frequently. For years our users have been asking for the ability to assign "hotkeys" to individual clips. While we liked that idea (and did try it once), hotkeys are limited in number, are difficult to remember, and often conflict with keys used by other applications. The new ShortCut feature solves all of these problems as you can assign a shortcut to as many clips as you need to, they can be named and even structured to be easy to remember, and they won't cause conflicts or "steal keys" from other applications.

To use, first assign "nicknames" or meaningful codes to your clips. You can create a hierarchical structure with the "." (dot) character. The dot key is also used to enter the ShortCut mode. To assign a ShortCut, simply right-click on any clip, and select the "Change Title/ShortCut" menu option, or press Ctrl+R. You will be able to change the ShortCut and/or title. It is often useful to change both.

As soon as you press the "." key, ClipMate populates the top of the ClipList with all items that have a ShortCut. Similarly to QuickPick, the blue bar separates the ShortCut items from the regular items. But here, items can come from ANY collection or database. As you continue to type, the list is filtered so that only the matches remain. Hit the backspace to shorten the search string and relax the filtering.

In this example, I have associated nicknames with my credit card details. Since I have both a Visa and MasterCard, I have a structure in place to keep them separate. "cc" for "credit card", "v" or "m" for Visa or MasterCard (or Discover, Amex, Eurocard, etc.), and then the particular piece of data such as date, name, number, pin, etc..

So Now I've typed ".cc.v", and have pulled up the 3 pieces of Visa details.

Now I'm ready to QuickPaste the data into NetCaptor (a popular browser add-on), so NetCaptor appears as the QuickPaste target. So I would select the number, press ENTER, and it would be pasted into NetCaptor. If I QuickPaste again (for the Date, perhaps), my ShortCut selection is still in effect - I do NOT need to re-enter the ".cc.v" search string. The selection stays in place until I dismiss it with the ESCape key, or perform another search.

NOTE: Shortcuts are available in both Classic and Explorer modes.

For more information see:

· Lesson 7: Shortcuts (tutorial)


QuickPick

Introducing ClipMate 7 > Basic Operation > Selecting Clips > QuickPick

QuickPick is a method for quickly selecting clips within a collection, and is available in Classic or QuickPaste modes. QuickPick "filters" the titles in the current collection, based on criteria that you type.

You "filter" the titles in the current collection by merely typing the ? key, followed by some text (not case sensitive) that you expect to find in the title of a clip. As you enter each keystroke, the list is updated to show your "hits" up at the top. Keep typing to narrow down the search. In the example below, the user typed: ?pick, so the four items in the list that contained "pick" were pulled to the top. Notice that the search characters are displayed on the status bar at the bottom of the screen.

When you see the clip that you're looking for, simply select it with the arrow keys or mouse, and it's just like selecting any other clip. If you are in QuickPaste, press ENTER or double-click the item to paste into the target application.

Threshold

To improve performance with large collections, you must first cross the "threshold", which is currently 2 characters after the "?" key, before the results are shown. In the above example, no results are shown until you've typed "?jo", to prevent every clip containing "j" from flooding the results and wasting processor time.

Modifying/Cancelling

Hit the Backspace key to remove characters from the search. If you backspace far enough, you'll cancel QuickPick, and the blue bar will disappear. Also, you can press the ESCape key at any time, to cancel QuickPick.

NOTE: QuickPick is available in both Classic and Explorer modes.

For more information see:

· Lesson 6: QuickPick (tutorial)


Capturing Data (Copying)

Introducing ClipMate 7 > Basic Operation > Capturing Data (copying)

As you copy items from other applications, ClipMate will detect the data arriving on the System Clipboard, make a copy for itself, and place it into one of your Collections (similar to folders). This data is now known as a "clip".

Methods for copying from applications vary. Most applications allow you to select data with the mouse or keyboard, and copy to the Clipboard (and thus into ClipMate) with keyboard combinations such as Ctrl+C, Ctrl+Insert, or the Edit | Copy menu.

You can also perform a Screen Capture to obtain a bitmap of a window, the entire desktop, or any part of your desktop.

As you capture the data, you'll hear a little "pop" sound, to indicate that ClipMate has captured the data, and placed it into one of its collections. If you have ClipMate Classic or ClipMate Explorer on the screen, you will see the data appear.

Each clip is assigned an ID (a unique numerical identifier), a title, and is immediately saved into the database under a "Collection", such as "InBox".

Now that ClipMate has captured the data, how long does it stay? By default, ClipMate puts new "clips" into a collection called InBox, which holds the 200 most recent clips. When you shut down ClipMate, it performs some housekeeping which will trim the InBox down to its retention limit. The trimmed clips are sent to another collection called "Overflow". This area keeps 800 clips, and is likely to hold anything that has recently aged off of the InBox. It too, is subject to purging, so when items are purged from Overflow, they are sent to the trashcan.

But unlike previous versions of ClipMate, the trashcan does not get discarded when you quit the program. Instead, items in the trash will say there for 7 days (adjustable, of course), in the event that you wish to retrieve something. You can learn all about this process in the Data Management section.

You may have clips that you want to keep forever - so place those into another collection, with retention rules set to "never delete". The default "Safe" collection is one such collection. To view/set the retention rules of any collection, right-click on it and view the Collection Properties dialog.


Pasting

Pasting Into Other Programs

Introducing ClipMate 7 > Basic Operation > Pasting

When it is time to paste the data into another application, you have several options, outlined below. In each of these methods, the basic rule is the same - as soon as you select an item in ClipMate, it is loaded onto the System Clipboard, and is ready to paste into any target application that accepts the data types contained within the Clip. There are 3 methods of pasting available:

More:

· Pick, Flip, and Paste
· QuickPaste
· PowerPaste


Pick, Flip, and Paste

Introducing ClipMate 7 > Basic Operation > Pasting > Pick, Flip, and Paste

This is the most casual use of ClipMate. Simply activate ClipMate, either by clicking on it on the screen, activating its icon in the system tray or taskbar, or using the hotkey (defaults to Ctrl+Alt+C). Select a Clip in the drop-down ClipList (or if you're in "ClipMate Explorer" view, the ClipList is already visible) and it will be placed on the System Clipboard. Then "Flip" over to the target application (possibly with Alt+Tab, if you hot keyed into ClipMate, otherwise click on it with your mouse) and paste the data as you normally would.

This is easy, but you can save half of the steps by using QuickPaste.


QuickPaste

Introducing ClipMate 7 > Basic Operation > Pasting > QuickPaste

QuickPaste lets you easily paste clips into just about any application simply by double-clicking on a clip or selecting it and pressing the ENTER key.

In prior versions of ClipMate, QuickPaste was a special "mode", where you activated a hotkey from within the application in which you wished to paste (known as the "target application"), and then you could double-click on a clip to paste it. But with ClipMate 7, the hotkey is no longer necessary. QuickPaste is "always on", and available both within ClipMate Classic, ClipMate Explorer, and the special configuration of ClipMate Classic that rises up from the ClipBar when you click the drop-down arrow. We call this "Universal QuickPaste".

Universal QuickPaste - Any ClipList, including the one in ClipMate Explorer, can now paste a clip into the "target application" when you double-click or select a clip and press ENTER. But how does it know what the target application is? This is accomplished with Auto-Targeting.

Auto-Targeting is how ClipMate knows where you want to paste data. Whenever ClipMate comes to the foreground, either by calling it up from a hotkey, by clicking on one of ClipMate's windows, clicking on the systray icon or the ClipBar, the auto-targeting process is activated. Upon gaining focus, the auto-targeting looks to see which application was most recently active. This "top window" is analyzed for reasonability (throwing out unwanted targets such as the windows taskbar, and other "bogus" targets) and if it passes, it is marked as the "target application", and appears in the QuickPaste Toolbar.

Occasionally, QuickPaste "locks on" to applications that you don't want to use, or it picks the wrong window of an application. You can "fine tune" the targeting, to make better choices.

QuickPaste Toolbar

The QuickPaste Toolbar, which is visible at the bottom of both Classic and Explorer, shows the name of the current "target", and shows 4 buttons: The "GoBack" button, the Tab and ENTER buttons, and the Target button.
The QuickPaste Toolbar, showing Internet Explorer as the current target.

The QuickPaste Toolbar, showing Internet Explorer as the current target.
· GoBack Button - toggles on/off to dictate whether focus stays with the target application, or shifts back to ClipMate, after pasting.
· Tab Button - Sends a TAB keystroke to the target application.
· ENTER Button - Sends an ENTER keystroke to the target application.
· Target Button - toggles the "target lock". Click and a green check mark appears, which turns off the auto-targeting, leaving the target "locked" onto the current target. If un-checked (the default), auto-targeting will continuously re-target every time ClipMate gains focus.

In addition to the toolbar, these commands are all available from the pop-up menu of the ClipList. Just right-click on any clip, and the pop-up menu contains a QuickPaste section. Visually-impaired users with screen readers should use this menu, rather than the QuickPaste toolbar.

Legacy QuickPaste

In prior versions, you needed to invoke QuickPaste with the QuickPaste hotkey of Ctrl+Shift+Q. While this isn't necessary, it still works, and has the additional effect of "locking" the target onto the application where you were when you pressed the hotkey. You WILL need to click the targeting button to un-lock the targeting, if you wish to return to auto-targeting. Targeting resets upon application restart.

See:

· Basic QuickPaste
· Advanced QuickPaste
· Fine-Tuning the Targeting
· Using QuickPaste Format Strings
· Lesson 4: QuickPaste... (tutorial)


Basic QuickPaste

Introducing ClipMate 7 > Basic Operation > Pasting > QuickPaste > Basic QuickPaste

Step 1: Invoking QuickPaste

Bring up ClipMate, either by clicking on the drop-down arrow of the ClipBar, by clicking on an open ClipMate Window, using the "show ClipMate" hotkey: Ctrl+Alt+C or by clicking on the System Tray Icon. Note the "target application" listed in the QuickPaste Toolbar, to ensure that it is the application where you will be pasting the data. If not, then click into the intended target, and re-activate ClipMate

Alternately - use the Legacy QuickPaste Hotkey: Press the hotkey (Ctrl+Shift+Q by default), from within the target application.

Step 2: Select a Clip

Scroll down with the arrow key, or use the mouse to pick a clip.

Step 3: Send the Clip to the target.

Press ENTER or double-click the mouse to send the clip to the target application. Depending on the state of the "goback" button, focus may remain in the target, or it may return to ClipMate.

Step 4: Fine Tuning

The Auto-Targeting works well, but sometimes needs to be "trained" to distinguish good and bad targets. There is a section of the options dialog where you can fine-tune the targeting.

That's It!

That is the basic functionality of QuickPaste. Bring it up with the hot key, arrow down to the clip you want, and press ENTER. Zoom - it's right where you were working, and your hands don't have to leave the keyboard.

But wait, there's more! See:Advanced QuickPaste


Advanced QuickPaste

Introducing ClipMate 7 > Basic Operation > Pasting > QuickPaste > Advanced QuickPaste

After you have mastered the basics, you will want to use some of QuickPaste's advanced features.

Dual ClipLists

For starters, you can configure ClipMate Classic to show you TWO ClipLists instead of just one. From the View menu, select Classic Options. There, you can show/hide the second ClipList and the editor window. The second list should show immediately.

The top one will always be your "active" collection. But the bottom one can be "tacked" to any other collection. And you can change it on the fly by clicking the title of the secondary collection (see "click to change" in the accompanying screen shot).

QuickPaste Formatting Strings

ClipMate usually sends the "Ctrl+V" keystroke to the target application to make it paste the data. This doesn't always work, so alternate methods are available in the list of quickpaste formatting strings. This is a drop-down list to the right of the QuickPaste toolbar. While there is significant overlap with the new "template" feature, the formatting strings are still the only way to change the "paste method" keystrokes. See:Using QuickPaste Format Strings.

QuickPick / ShortCuts

QuickPick and ShortCuts are designed to be used when in QuickPaste. As you invoke QuickPick (with the "?" key) or ShortCuts (with the "." key), the search string will appear on the status bar, just to the left of the "target" icon. Read more about QuickPick and ShortCuts in their respective topics.


Using QuickPaste Format Strings

Introducing ClipMate 7 > Basic Operation > Pasting > QuickPaste > Using QuickPaste Format Strings

When QuickPaste sends data into the target application, it does so by placing data onto the system clipboard, and then sending some keystrokes to the application. Usually, Ctrl+V does just fine. But sometimes you find an application that works better if you use its own Edit menu, or you may find an older application that uses Shift+Insert instead of Ctrl+V. So we added this capability to let you can control what keys are sent during pasting.

While we were at it, we added the capability to insert other items into the keystrokes. The ENTER and TAB keys, were natural additions. Looking over our past suggestions from users, we found that people sometimes need the date/time, source URL, and clip title as well.

So this feature was designed to let you configure QuickPaste to handle just about any pasting task. Do you need to key in some static text like "user name:" before every clip? How about pasting the Source URL after the clip? Or the title? Maybe some TABs and ENTER keys need to be pressed? Don't worry, the QuickPaste Format Strings can handle all of that.

Here is a look at the formatting strings that are typically available by default. You have a drop-down list attached to the QuickPaste Toolbar, and the titles of the formatting strings are visible. Select one, and it'll be used on the subsequent paste operation. The default entry, simply sends Ctrl+V to the application. Then you have Shift+Insert and the Edit Menu paste (sends Alt+E, then P) for applications that prefer those methods of invoking their paste function.

Then you have the fancy ones. Paste with an Enter, Paste with a Tab, and Paste with a timestamp. If you go to User Preferences | Pasting, you'll see that the Timestamp paste actually sends the regular Ctrl+V, then the ENTER key, then"Captured At:" and then the date/time of the original capture.

Title Triggers

Then there is the capability to automatically select a particular format string based on the title of the application that you are pasting into. The "Excel Paste" is like that. Excel hates it when ClipMate sends Ctrl+V, but doesn't mind if you paste from the Edit | Paste menu. So the Excel Paste is set to look for "Excel" in the title of the "target application", and will be selected automatically if you paste into Excel.

Custom Format Strings

You can add your own paste strings to handle just about any situation that you may have. See: QuickPaste Settings in the User Preferences section for information on how to configure the strings.

Sequences

You can have "sequences" in the format string, to type numbers such as 1,2,3, into the target application. If you have selected a format string with the word "Sequence" in the description, then you can reset the sequence by right-clicking on the format list.

Templates?

With version 7, you may wish to use Templates instead. They are simpler to use, but cannot perform any navigation inside the target application.


Fine-Tuning the Targeting

Introducing ClipMate 7 > Basic Operation > Pasting > QuickPaste > Fine-Tuning the Targeting

NOTE: This section applies to Auto-Targeting, and will have no effect if the targeting is "locked".

Auto-Targeting sometimes needs a little help.

When ClipMate is activated, it tries to look and see "where was the user working, just a second ago?" This involves hunting through the "stack" of windows on the screen, trying to find likely candidates. It usually gets it right, but sometimes ClipMate will find "hidden system windows" such as your antivirus scanner that may have (invisibly) risen to the top of the window stack. Or will pick the right program, but the wrong window. Sometimes it'll be a window that you didn't even know was there, such as "IEXPLORE:Default IME" or "WINWORD:Print Preview", or something equally useless.

That's ok, you can "train" ClipMate to ignore the bad windows, and hunt for the good ones.

Good Targets and Bad Targets

ClipMate uses a filtering mechanism to help the Auto-Targeting avoid identifying invalid or unwanted targets. There are two lists, both of which can be viewed/edited in the Options dialog box. And you can quickly add to either list by right-clicking on the QuickPaste Toolbar. Both lists consists of entries in the format of: "app:classname". The "app" is the application that owns the window (ex: Explorer, PowerPnt, FireFox, etc..), and the "classname" is the window class that the programmer used internally. It's more reliable than the "caption" or "title" of the window, which tend to change with various documents or language settings. The "classname" usually means "a certain type of window", and most apps have window classes that are worth pasting into, and those that should be ignored. ClipMate tries to figure this out on its own, but will consult the good/bad lists to see if you have made any override decisions to guide its search.

So if you see that Auto-Targeting has made a bad choice, right-click on the text in the QuickPaste Toolbar and add to the bad list. The next time that auto-targeting is used (when you switch to that same program and then back to ClipMate), this same app:classname will be searched for.

But how to add to the "good list"? If it had made a good decision in the first place, would you have any need to add it? The key here, is to set a good example, and then train it to follow your lead.

Training

Here you show ClipMate which window within an application should be used for future targeting. Use the "old-style" quickpaste hot key to "grab" a window, which will then be loaded into the target selection (text area on the QuickPaste Toolbar). The hot key approach has a big advantage in that it gets to look and see what is the "window with keyboard focus" before ClipMate is activated, instead of having to figure it out "which window had focus before ClipMate".

All you do, is go to the program where you want to paste. Press the QuickPaste Hotkey (default is Ctrl+Shift+Q). Select a clip, and press ENTER. Did it paste where you wanted? If so, let's train ClipMate to always look for that particular window, when pasting into that program. Do the Ctrl+Shift+Q again, and this time, look for the application name in the QuickPaste Toolbar. Right-click on it, and a menu should appear. Here you can add to the "GOOD" target list.

Important: The QuickPaste hot key will "lock" the target. So if you see a green check mark over the target icon, click it again to turn it off, otherwise Auto-Targeting won't do anything at all.

Tip: If you find something that's good to add to either list, consider posting a message about it in our online forum. If it's a common program, we may consider building the rule right into the next release of ClipMate.


PowerPaste

Introducing ClipMate 7 > Basic Operation > Pasting > PowerPaste

This very POWERFUL feature allows you to rapidly paste a series of items into an application. Once you have a series of items copied into ClipMate, simply select the starting clip, activate PowerPaste, switch back to the target application, and start pasting. As you paste each item, PowerPaste advances to the next Clip Item in your collection.

The PowerPaste has two "Modes", corresponding to the two modes of PowerPaste. The button can be found on the far left side of the ClipMate toolbar (either Classic or Explorer). From a given starting item, PowerPaste can either work its way up toward the top of the Collection, or down toward the bottom. So you will notice that the icon has an arrow that either points UP, or DOWN, depending on the direction of travel. If it is pointing the wrong way, simply click it again and it should "flip". Then it should remember your preferred direction for the next time you use it.

Starting PowerPaste

To start PowerPaste, first you want to pick the first clip in the series. For example, if you need to paste some records into a database, such as first name, middle initial, last name, etc., you'd start with the clip containing the "first name".

Then you click the PowerPaste button. Click it once, and an arrow should light up on the button, like this: . This indicates that PowerPaste is active, in the "UP" Direction. This means that PowerPaste will work its way UP the Cliplist. Click it again, and the arrow reverses. Use whichever direction suits the arrangement of the data in the Cliplist. Usually, you'll pick the oldest clip in the series, and PowerPaste UP the list, until you hit the top and run out of data, and then PowerPaste will terminate with a "beep"

To Cancel PowerPaste, just click the button until no arrow appears.

Note: The direction of PowerPaste determines whether you get the data in the order that you copied, or in reverse order.

Exploding PowerPaste

This special mode allows you to PowerPaste individual lines, words, or other "fragments" of a clip. Let's say you have some data like this (as one big clip):

January, 31

February, 28

March, 31

April, 30

May, 31

June, 30

And you need to paste into an application, as separate fields. I.e. paste January, then paste 31, then paste February, and so on. With standard PowerPaste, you'd have to copy each "fragment" as a separate clip. Not so with "Exploding" PowerPaste. Just copy the data as one big chunk. Turn on the "Explode Into Fragments" option under the Edit menu, and start pasting. PowerPaste will break the data into "fragments", giving you January, then 31, followed by February, etc., as you keep pasting the same clip repeatedly. It'll remove the commas for you, and strip the leading/trailing spaces. In the above example, you would paste 12 times to get all of the data, pasted as individual fields.

This is great for working with comma delimited data from spreadsheets!

To configure how PowerPaste "explodes" the data, see the Pasting page of the Options dialog.

Looping PowerPaste

Sometimes you would like PowerPaste to "loop" when it reaches the end of the collection (or extended selection). Turn the "PowerPaste Loop" option on under the Edit menu, and PowerPaste will "loop" back again after it reaches the end (you will hear the "PowerPaste complete sound play twice). So you can paste the same series of data, over and over. Simply click the PowerPaste button to turn it "off", when you finally are finished pasting.

Extended Selections

Like many operations, PowerPaste can operate on Extended Selections, where you have chosen multiple clips by holding down SHIFT or CTRL, as you click in the Cliplist. If you have made such a selection, then PowerPaste will act on those selected clips. Otherwise, it will assume that it is running from the selected clip to the end of the collection.

Real-Life PowerPaste Example

At Thornsoft, we use PowerPaste every time that we receive an order from our web site. As customers order ClipMate, we need to enter the orders into our in-house order-entry system so that we can create shipping labels, receipts, etc. The order information coming out of the web site isn't in the right format for our order entry system, so we use PowerPaste to automate the conversion of web orders into our system.

We simply copy the individual fields from the report (Name, Company, Street1, Street2, City, State, Zip, Country, Quantity, ID) into ClipMate. We do all of the orders at once, so there could be a lot of data (the more, the better!) To set our starting point, we pull down the Clip Item Selection List to select the first item of data that we want to paste (the customer name of the first order). Next, we press the PowerPaste Up button, as we want to paste the items in sequence from oldest to newest. Then, we go to the order-entry screen and tab to the "Customer Name" field. Paste the data, tab to "Company Name" field. Paste the data, and tab to the next field. Paste and tab, until the whole order is done. Begin a new order, and repeat the paste-tab process.

As you can see, this is much easier than switching back and forth to ClipMate in order to retrieve the data. And compared to keying-in all of this data, it is fantastic!

Arrow Behavior:

The first time you click the button, the arrow will indicate the direction that you used last time. If you paste some data, and click the button, the PowerPaste will simply turn off, and the arrow disappears. However, if you click the button without having pasted anything, then the arrow will flip, so that you can paste in the other direction.

So, if you PowerPaste in the same direction every time, it will remember the correct orientation, and you will only have to click it once to turn it on, and then once to turn it off.

About the new button:

Previous versions of ClipMate used a "split" button, which looked like an electrical outlet. With ClipMate's new "space saving" toolbar, the split design didn't work out, and the button was confusing. The new button design contains "gears", which are meant to imply "automation". The arrow provides "direction". We think you'll like the new button.

Alternate Access: PowerPaste Up/Down from Edit Menu, and SysTray Menu.

For more information see:

· Lesson 2: PowerPaste (tutorial)


Screen Capture

Introducing ClipMate 7 > Basic Operation > Screen Capture

ClipMate can handle many simple screen capture tasks, including screenshots of individual windows, the entire desktop, a "rubberband" selection area, and something called "object capture". Additionally, version 7 can handle screen capture with multiple monitors, allowing you to capture selected regions, windows, or screens of the various monitors.

Windows PrintScreen Key

If you press PrintScreen, Windows generates a bitmap of the entire desktop and sends it to the clipboard. Of course, ClipMate sees this, and makes a copy for itself. Thus, you have a basic screen grab. If you use the Alt key in addition to PrintScreen (alt+PrintScreen), you get just the current window.

Note that if you have more than one monitor, you will get the whole desktop if you press the PrintScreen key. This may or may not be desirable, but you can use the Monitor capture options instead.

ClipMate Screen Capture Capture Facilities

There are several screen capture functions built into ClipMate. Found under the Edit menu, there is a sub-menu for the Screen Capture options. Additionally, most of these can be found on (or added to) the various toolbars, including the ClipBar.

Area Capture

This gives you a "rubber band" mouse selection, so you can specify an area of the screen to grab. Aside from the menu and button, there is a global hotkey available, which defaults to Alt+Ctrl+F12.

Multi-Monitor Note: On multi-monitor systems, it will only capture from the "active screen". So move ClipMate (classic or explorer) onto that screen first, then invoke the function. ClipMate will hide itself to get out of the way, so that you can make your screen grab.

Object Capture

Object Screen Capture - Similar to the above, but you simply click on any screen object, and that object is captured as an image. For example, click in a browser window and you'll get a picture of the contents of the window - but not the toolbar, menu, title bar, etc.. Click on the toolbar, and you'll get an image of the toolbar. Some will find it a bit odd - others will find it to be a lifesaver, as it can save a lot of clean-up that you'd otherwise get with an area capture. This is definitely a "take it or leave it" feature. If it works for you, great. Otherwise, leave it alone. Invoke this function with Alt+Ctrl+F11, or use the Edit menu. Then click on something, and it should be captured by ClipMate.

Multi-Monitor Note: Same as the Area Capture.

Monitor Capture

Since the PrintScreen key captures the whole desktop, users with more than one monitor may want to capture a specific screen instead. Use Screen Capture Monitor 1 or Screen Capture Monitor 2. Note: Expanded to 8 monitors in version 7.2 - just customize the toolbar to add the buttons.

Desktop Capture

This will produce the same result as the PrintScreen key, capturing the entire desktop. On multi-monitor systems, it stretches across all screens. The geometric arrangement is set by windows or your video driver, not ClipMate.

Capture Current Screen

Captures the current screen - i.e. the one where ClipMate is displayed. Only effective with multiple monitors, as single-monitor systems only have one screen.

Capture Screen With Cursor

Captures the current screen, with cursor. This is very useful for making demonstrations, training, or user manuals. It works by overlaying a "stock" cursor over the captured image, at the current cursor location. So the cursor in the resulting image may not exactly match the one that you see on the screen.

Printing Screen Shots

ClipMate can print the screen shots. And it can do it automatically, if you want to. See the Print Properties dialog, for the "automatically print screen shots" option.

Also See:

· How do I E-Mail a Screen Shot?


Searching

Introducing ClipMate 7 > Basic Operation > Searching

ClipMate has a powerful, SQL-based search engine which can quickly retrieve clips based on several criteria such text appearing in the title, body, creator name, or source URL. It can filter by data format (text, HTML, Bitmap, etc.), date of capture, and whether the clip is encrypted. You can save queries for re-use. And if the provided search criteria isn't quite what you need, you can enter queries directly as SQL (this will obviously appeal more to people who know SQL already!)

To begin a search, click on the search icon on the main toolbar, use the View | Find menu, or the Ctrl+F shortcut key. You'll be presented with the ClipMate Search dialog box. There are two major sections to the dialog.

The "Clips Containing" section lets you search on particular text occurring in various fields of the clip. If you leave them all blank, then it will return all clips that aren't filtered out by the filtering criteria.

The "Filtering Criteria" section narrows the search further by first looking for certain criteria, such as date ranges, data formats, collection membership, etc..

Both sections are optional. If you don't specify anything, then it'll return everything.

Clips Containing

Enter some criteria in the Clips Containing... section.

You can specify the search criteria using 3 different methods:

· Whole Keywords: Enter whole words, separating by commas.
· * Wildcard: Use the * at the END of any keywords, such as: POWER* to return any instances of Power, PowerPoint, Powerful, etc.
· % Search String %: Can be used anywhere in the search string. For example, %ow% would return Powerpoint, lawmower, cow, own, etc.. %Winter Olympics% would return anything with Winter Olympics in it, as would %winter olympic% or %win%oly%.

Note: For those of you familiar with SQL, the % uses the "like" operator.

Keyword Highlighting: The keywords specified in the search criteria will be passed along to the Keyword Highlighting feature (new in 6.1). Any % or * operators will be removed.

Filtering Criteria

If you want to narrow the search to data of a particular format, date, etc., use the Filtering Criteria. The dates are considered 12:00AM (Midnight), so if you want to find items captured today, use the "captured after" = today's date. To find yesterday's clips, use captured after = yesterday, and captured before = today.

You can choose to narrow the search by collection. This can also dramatically speed up long-running queries on the Clip TEXT field.

Performance Note: Expect searches that use the "Clip TEXT" to run longer than searches on other fields, due to the sheer amount of data that must be processed. So be sure to narrow the search by filtering on collection and/or dates, to avoid having to process each and every piece of text.

SQL - If you want to make a really "hard core" search, you can edit the SQL directly. Click on the little "twistie" arrow on the SQL bar, and the window will expand, to show the SQL. Notice how it reacts to the various checkboxes and other input controls. You can go "out of bounds", if you know how. We expect to publish our database layout in the Support area, at the ClipMate web site.

If you want to re-use this query, you can do so with the Save/Recall section. The buttons are self-explanatory. For more details see:

SQL Search Panel

Wildcards

We have an online "viewlet" that will SHOW you this function as a live, online demo. View it online.


Wildcards

Introducing ClipMate 7 > Basic Operation > Searching > Wildcards

Use the * symbol to search on partial matches - but only at the end of a word.

Ex: comp*

would return complete, computer, compliment.

Separate individual keywords with commas. Enclose literal strings in double quotes.

Or, you can use the "like operator" symbol: %

This can be used at the beginning or end of the search string, such as %ow% would return Powerpoint, lawmower, cow, own, etc..

You will usually use the % at each end of the string. Or, within the string.

Such as %y%mate% would find "Try ClipMate", as well as "my roommate snores".

Both options are case insensitive (not sensitive to case).


SQL Search Panel

SQL Searching

Introducing ClipMate 7 > Basic Operation > Searching > SQL Search Panel

Here is the actual Structured Query Language (SQL) that is passed to the database.

You can edit it manually, to perform searches that aren't covered by the options above.

This should only be used by users who have experience with SQL.

The layout of the ClipMate database will be documented and available online at

http://www.clipmate.com/support


Installation...

Introducing ClipMate 7 > Installation...

· Program Requirements
· Installing ClipMate
· Entering Your Registration Key
· Upgrading from ClipMate 6
· Upgrading from ClipMate 5

ClipMate Portable (USB thumb drives)


Program Requirements

Introducing ClipMate 7 > Installation... > Program Requirements

Platforms:

ClipMate 7 runs on:

· Windows 98, Windows ME, NT 4.0, Windows2000, XP, or Vista.
(Note: Currently, 7.3 only runs on Windows2000, XP, or Vista, but you can still run 7.2 on Windows 98 and ME).
· Internet Explorer 4 or higher.
· 16-bit color or higher (otherwise button colors will not look right)
· 25 mb free disk space for program and data.
· 8mb RAM (used by ClipMate).
· Any mouse or pointing device supported by Windows.

Note: NT 3.5 is not supported.

Note: ClipBar feature is not available on 64-bit versions of XP or Vista

Portable USB Drives

There are special versions of ClipMate that run on USB drives. See USB / Portable Drives

Windows 3.1?

ClipMate 7 does not run on 16-bit platforms. Instead, ClipMate 4.2 is available to users of Windows 3.1. It is not as feature-rich and uses the older ClipMate 4 user interface.


Installing ClipMate

Introducing ClipMate 7 > Installation... > Installing ClipMate

Installing ClipMate is an easy matter. Simply run the SETUP program, and follow the prompts. If you have a prior version of ClipMate 7 already on the system, install into the same directory – do not uninstall the old one first.

NOTE: If you are upgrading from a version of ClipMate prior to 7.0, do NOT install into the same directory.


Entering Your Registration Key

Introducing ClipMate 7 > Installation... > Entering Your Registration Key

If you have purchased a license for ClipMate, your registration key will work with any 7.x version of ClipMate, which means that you can download new releases from our WWW site any time that one is available. From ClipMate's Help menu, select "Enter Registration Key". This opens the dialog box for entering your name and key. Only valid ClipMate 7.x registration keys will be accepted. If you are upgrading from a previous version, you will have the standard 30 days to evaluate the new release. If you successfully enter and validate your key, then a "thank you" message will appear, and the software will be registered to you, all features will be enabled, and the "registration reminder" screens will not appear again.

NOTE: ClipMate 6 keys will NOT work with ClipMate 7.

Also See

· Purchasing ClipMate
· Entering Your Registration Key - Step By Step
· Portable Devices


Entering Your Registration Key - Step By Step

Introducing ClipMate 7 > Installation... > Entering Your Registration Key > Entering Your Registration Key - Step By Step

ClipMate's registration key is really too long to type accurately, so we've made a "smart pasting" function where you can copy and paste from your order confirmation e-mail (sent to all registered users). We can re-send this e-mail upon request - just send a note to sales@thornsoft.com with "ClipMate Key" in the subject, and your name/address in the body.

The e-mail contains a "key block", similar to this:

BEGIN LICENSE

[Registered To: ] Joe W. User Sr.

[7.0 Key:] HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-7U768P-E5XM4M-1PB5RK-RA05PZ

END LICENSE

Just copy the whole block, including the BEGIN/END lines, then open the "Enter Registration Key" dialog, found under the Help menu. The key should be automatically "discovered", entered, and validated.

The registration block may be formatted differently, and it may contain keys for older versions as well. Or it may just appear as two lines, which you would copy together:

Joe W. User Sr.

HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-7U768P-E5XM4M-1PB5RK-RA05PZ

Or it may be formatted like this:

Registration Information:
Serial Number Name: Joe W. User Sr.
Serial Number: HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-BHQZDE-M6FDY0

For any of these formats, just copy part shown in BOLD.

Step by Step:

1. Run ClipMate.
2. Access your order confirmation e-mail, as shown above.
3. Just highlight the key block as shown above, and Copy to the clipboard (right-click, Copy).
4. In ClipMate, you'll see the menu along the top of either ClipMate Classic or Explorer. File, Edit, Tools, View, and Help. Select Help, and from there, select "Enter Registration Key".
5. As soon as the "enter key" dialog opens, a bit of "magic" happens. Since you copied the key block to the clipboard in step 3, the "enter key" dialog senses this, and processes it. Just wait a few seconds, and it should confirm the registration.
6. If the key fails to confirm, just copy/pate the name and key from the e-mail directly into the fields. But JUST the data - no "begin/end" or "[key]" markers. Just the name, and the key, as provided in the e-mail. Then click "Validate", and you should be done.
7. Visit the Help | About box to confirm that it shows your name in the "registered to" field.
8. You are done! Make a backup of your registration confirmation in a safe place (print out, save to disk, etc..)

Note: This is not a valid key, and is only shown for sample purposes.

Note: No communication takes place with our servers - the program validates the key all on its own.

Note: There may be multiple keys present, for example, we may provide keys for older versions to accommodate users who cannot upgrade to the latest due to corporate standards. ClipMate will pick the one that is valid for THIS version of the program.

Note: ClipMate 6 keys and ClipMate 5 keys will NOT work with ClipMate 7. Except for customers purchasing ClipMate 6.5 within the free upgrade window, this is considered a "pay for upgrade", with discounts for licensed owners of Version 6 who purchased prior to Jan 1, 2005.

Manual Entry:

If you are going to type the key (from a hardcopy perhaps), you only type the parts shown below in BOLD:

BEGIN LICENSE

[Registered To: ] Joe W. User Sr.

[ClipMate 5 Key:] G01127211626946

[ClipMate 6 Key:] A9CA-5512-XY34-3325-C32C-1E8C-9E5A-DAB6-EB92-7EFB-61BE

[7.0 Key:] HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-7U768P-E5XM4M-1PB5RK-RA05PZ

Number of Users: 1

END LICENSE

eSellerate Format:

Registration Information:
Serial Number Name: Joe W. User Sr.
Serial Number: HQPRX3-GJ4HXP-P8H3QQ-Q45GW7-BHQZDE-M6FDY0-E5XM4M-1PB5RK-RA05PZ


Upgrading from ClipMate 6

Introducing ClipMate 7 > Installation... > Upgrading from ClipMate 6

If you have ClipMate 6 on your system, then you will want to keep these things in mind:

1. Install ClipMate 7 into its own directory.
2. When you run ClipMate 6, it will ask if you would like to use the data and settings from version 6. If you choose yes, then version 7 will use the same database that you had before, possibly renaming the directory to reflect ClipMate 7. Once this has been done, older installations of ClipMate 6 cannot find the database. If you choose not to use the data and settings, it will install as a "fresh" installation. You can then import data from the v6 database by running a database restore (File | Database Maintenance | Restore Database) and using your last backup file, created with version 6. It's likely held in your "my documents" folder, and is named like this: ClipMate6_<databasename>_<date/time>.ZIP
ex: ClipMate6_DB_My Clips_2005-08-06_1519.ZIP
3. After you are comfortable with ClipMate 7, and have verified that all of your data is intact, you can then uninstall version 6 and remove its data directory. You may want to make an archive of the old data on CD-ROM, ZIP disk, etc..
4. Note: Your ClipMate 6 registration key will not work - you must purchase an upgrade key from Thornsoft Development, or an authorized reseller.


Upgrading from ClipMate 5

Introducing ClipMate 7 > Installation... > Upgrading from ClipMate 5

Starting with ClipMate 7.1, you can use the new XML Import feature to migrate your data from ClipMate5. You can get the conversion utility, and instructions for use, at this page on our website:

· http://www.clipmate.com/v5convert.htm


USB / Portable Drives

Introducing ClipMate 7 > Installation... > USB / Portable Drives

ClipMate can now run completely self-contained from USB Thumb Drives, including the ones running the "U3 Smart" launchpad and the PortableApps menu. You can even run from a "bare" drive with no menu system. When in portable mode, ClipMate does not need to be installed on the host computer, nor will it leave licensing information behind. The license is stored on the removable drive, along with settings and the database. Some files will be temporarily stored on the host machine (for performance reasons, or to reduce disk wear on the portable drive), but are removed at shutdown or device removal.

We recommend the use of a menu/launcher system, such as U3 (only available on devices with the "U3 Smart" logo) or PortableApps (free, open platform from www.PortableApps.com, can be added to any USB drive). These consist of an "autorun" feature that launches a menu, from which you can run your portable programs, and have a structured approach to where portable programs store their data and settings.

The installation package varies by platform, so be sure to download the U3 Installer for U3 drives, and the PortableApps installer for all others (including "bare" drives).

Limitations

· ClipBar - Since the ClipBar runs as part of the Windows Explorer process, and as such, requires DLL registration, it is not practical or safe to run such a DLL on a removable drive. Therefore, the ClipBar is unavailable when running on a host computer that does not have ClipMate 7.2 installed on it. However, if the ClipBar IS installed on that computer (as part of a normal ClipMate installation), then the portable ClipMate will happily interact with it.
· Clip Purging and Maintenance - To minimize disk wear on the portable drive, and ensure quick shutdown during the "safe eject" process, ClipMate does not run any automatic clip purging. You will need to manually run this when needed, using File | Database Maintenance | Run Cleanup Now.

Licensing

Portable ClipMate is licensed the same way as regular ClipMate. You can run ClipMate simultaneously on your computer, plus one other computer where you are the primary user. That usually means your desktop and a laptop, or another desktop. With the Portable option, you are still licensed within that "one computer plus one more" framework, however it is not expected that you are the primary user of whatever machine you run the portable version on. So you can run it on your desktop and also place a license on your USB drive, and take that with you and run it on any computer. But you need to ensure that you do not exceed the total number of licenses purchased.

Transferring the License

The license keys for the portable version are the same as the regular version. You can easily copy the license with the following procedure:

1. Upgrade ClipMate on your PC to ClipMate 7.2 or later. Run once, and quit. This makes the key visible to the portable version.
2. Run the portable version from the USB drive.
3. ClipMate should detect the key on the host computer, and offer to copy it to the portable device. Click OK, and it will copy the key for you. Quit and re-start the portable version.
4. It should now recognize the registration key. Verify in the Help | About box.
5. You can now run ClipMate on any PC by inserting the USB drive. It will run as fully registered to you, but will not leave the key on the host, nor will it start a trial counter.

Installing and Running Portable ClipMate

· U3 "Smart" Drives
· PortableApps
· Generic USB Drives


U3 Smart Drives

Introducing ClipMate 7 > Installation... > USB / Portable Drives > U3 Smart Drives

What Are "U3 Smart" Drives?

These are specially branded flash drives with the "U3 Smart" logo, available from manufactures such as Sandisk, Kingston, Verbatim, Intuix, and Memorex. They often included bundled software such as antivirus, backup, and sync. They often include built-in encryption for security. But the biggest feature is the launchpad, which automatically runs when the drive is inserted, giving you easy access to your installed software. All U3-compatible software is required to store its data and settings on the U3 drive, and not bother the host system with unwanted files or registry modifications. It also tracks the running processes so that it can issue shutdown orders upon ejection. There is a nice installer, which installs files with the .U3P extension, adding them to its menu, and it has an update checker to alert you of new versions of the launchpad software. You definitely want to ensure that your launchpad software is up-to-date. More information on U3 can be found here:
http://www.u3.com

ClipMate is a certified "U3 Smart" application, having passed the logo requirements for XP and Vista.

Prerequisites

U3 Launchpad version 4,3,0,2 or later, running on Windows 98, ME, 2000, XP, or Vista. To check the version of the launchpad, use Help & Support | About U3 Smart Drive. There is also an auto-updater, which can update your launchpad software.

Installation

Download and run the ClipMate U3 installer, either in .u3p or .exe format.
ex: ClipMate_7200_1331.u3p or ClipMate_U3_7200_1331.exe

The .exe file can simply be run, and it will find the U3 device. .u3p files are used with the "add programs" option in the U3 launchpad.

Once installed, ClipMate will appear on the launchpad menu, possibly under "more programs" if you have a lot of programs installed. ClipMate does not set itself to auto-run by default, but can be set to do so in the program settings menu of the launchpad.

Operation

Run ClipMate from the U3 launchpad menu. It will copy/paste just as if it were resident on the system, but the data will be stored on the U3 drive. Remember to close ClipMate before ejecting the drive, and use the U3 "safe eject" procedure. Unsafe drive removal can cause data loss, so be sure to occasionally back up the database onto your hard drive.

Licensing and License Migration

See this topic.

Data Migration

If you would like to populate the ClipMate database on the U3 drive with data that you already have, please follow this procedure:

Using the copy of ClipMate 7.2 on the host machine:

1. Delete unneeded clips, empty the trash using File | Database Maintenance.
2. Run a database compaction with File | Database Maintenance | Repair/Compact Database.
3. Run a database backup, remember which directory the backup is written to.
4. Shut down ClipMate using File | Exit ClipMate

Using the portable ClipMate on the removable drive:

1. If you have any clips that you need to save, export them using the XML Export, for later import. See XML Import/Export for details.
2. Restore the database from the backup made above, using File | Database Maintenance | Restore from Backup.

Storage

ClipMate adheres to U3 conventions of storing the database in a sub-directory of the

Item | Location
ClipMate Program* | {USB Drive}:\System\Apps\E21B62F2-4CFA-4913-9B79-4F955F4F202D
Settings | See Above (ClipMate Program) +\Data
Language | See Above (ClipMate Program) + \Language
Host Executable "run" directory** | {Current user's "Application Data" directory on the host computer}\U3\0000060427028169\E21B62F2-4CFA-4913-9B79-4F955F4F202D\Exec\
Temp and Log Files** | See Above (Host Executable) + \Temp
Log files** | See Above (Host Executable) +\ Log
* Note: Usually marked as "hidden" directory on the U3 device. ** Note: These are deleted when the U3 device is removed from the host computer, as part of the U3 cleanup.


PortableApps

Introducing ClipMate 7 > Installation... > USB / Portable Drives > PortableApps

What is a PortableApps drive?

Unless you have a "U3 Smart" drive, your removable flash drive probably has no launcher software. But you can add the PortableApps framework for free! Developed by John T. Haller, PortableApps is a menu system that will "auto-run" on device insertion. Just select "Start PortableApps" from the windows autorun dialog when you insert the drive (or start it manually from the top directory of the drive), and the menu will be accessible from an icon in your systray. From there, you can launch your "Portable Apps". These are programs which have a PortableApps-compliant "launcher", which ensures orderly startup/shutdown without contaminating the host PC. There are dozens of PortableApps, including the "PortableApps Suite TM", which includes OpenOffice, FireFox, ClamWin antivirus, e-mail, and even a good Sodoku game.

Unlike U3, the PortableApps menu does not track running programs, and it doesn't issue shutdown commands. You need to ensure that programs are closed and the PortableApps menu is shut down, prior to drive removal.

Prerequisites

PortableApps Menu version 1.0 or later, running on Windows 98, ME, 2000, XP, or Vista.
Obtain from http://portableapps.com/suite. Download the "base" edition (1 MB) for just the menu, or get more with either of the Suites.

Installation

Download the ClipMate PortableApps installer, in "PAF" format.
ex: ClipMatePortable_7200_1421.paf.exe

You can run the .exe and instruct it to install into the "portableapps" directory on the removable drive.
ex: M:\PortableApps
It will make its own directory, beneath wherever it is installed to. ex: M:\PortableApps\ClipMatePortable

Or, you can install from the PortableApps menu (Options | Install A New Application), and it will place it properly for you.

Once installed, ClipMate will appear on the PortableApps menu.

Operation

Run ClipMate from the PortableApps menu. It will copy/paste just as if it were resident on the system, but the data will be stored on the USB drive. Remember to close ClipMate before ejecting the drive, and use the USB "safe eject" procedure. Unsafe drive removal can cause data loss, so be sure to occasionally back up the database onto your hard drive.

To minimize disk wear on the portable drive, and ensure quick shutdown during the "safe eject" process, ClipMate does not run any automatic clip purging. You will need to manually run this when needed, using File | Database Maintenance | Run Cleanup Now.

Licensing and License Migration

See this topic.

Data Migration

If you would like to populate the ClipMate database on the portable USB drive with data that you already have, please follow this procedure:

Using the copy of ClipMate 7.2 on the host machine:

1. Delete unneeded clips, empty the trash using File | Database Maintenance.
2. Run a database compaction with File | Database Maintenance | Repair/Compact Database.
3. Run a database backup, remember which directory the backup is written to.
4. Shut down ClipMate using File | Exit ClipMate

Using the portable ClipMate on the removable drive:

1. If you have any clips that you need to save, export them using the XML Export, for later import. See XML Import/Export for details.
2. Restore the database from the backup made above, using File | Database Maintenance | Restore from Backup.

Storage

ClipMate uses the following layout:

Item

Location

ClipMate Portable "Home" (launcher)

{Portable USB Drive}:\PortableApps\ClipMatePortable

Launcher

See Above (ClipMate Home)

ClipMate Program, Dictionaries, etc.

See Above (ClipMate Home) +\app\ClipMate

Language

See Above (ClipMate Home) +\app\ClipMate\Language

Settings

See Above (ClipMate Home) +\Data\Settings

Log files (permanent)*

See Above (ClipMate Home) +\Data\Log

Database**

See Above (ClipMate Home) +\Data\Database

Templates

See Above (ClipMate Home) +\Data\Templates

Log and Temp files (transient)

{User's TEMP directory on host}\ClipMateLog, ClipMateTemp

* Note: At shutdown, log file is copied from host down to the USB drive, then deleted from host.
** Note: Database location may be overridden with ClipMatePortable.Ini in launcher directory.


Generic USB Drives

Introducing ClipMate 7 > Installation... > USB / Portable Drives > Generic USB Drives

Bare Drive?

You can run ClipMate Portable with other launchers, or run "bare", by using the PortableApps installer. It just won't have a menu entry, but you can run by double-clicking on a launcher.

Or, you can go ahead and get the PortableApps launcher. It's free, and we like it. You can even download their bundle of free, open source apps like FireFox and Sodoku. See www.PortableApps.com

If you still want to run from a "bare" drive, read on....

Prerequisites

Establish a directory where you typically run portable programs. If you don't already have such a directory, make one called \PortableApps. We'll refer to this as the "PortableApps" directory, regardless of whether it's called that or not.

Installation

Download the ClipMate PortableApps installer, in "PAF" format.
ex: ClipMatePortable_7200_1421.paf.exe

Run the installer and instruct it to install into the "PortableApps" directory on the removable drive.
ex: M:\PortableApps
It will make its own directory, beneath wherever it is installed to. ex: M:\PortableApps\ClipMatePortable

Operation

Run the program by double-clicking on the ClipMatePortable.Exe "launcher" (NOT ClipMate.EXE), or by running a shortcut in a portable menu program not discussed in this document.

ClipMate will run, believing it is in "PortableApps" mode. It will use the same file structure as is discussed in the PortableApps topic.

It will copy/paste just as if it were resident on the system, but the data will be stored on the USB drive. Remember to close ClipMate before ejecting the drive, and use the USB "safe eject" procedure. Unsafe drive removal can cause data loss, so be sure to occasionally back up the database onto your hard drive.

To minimize disk wear on the portable drive, and ensure quick shutdown during the "safe eject" process, ClipMate does not run any automatic clip purging. You will need to manually run this when needed, using File | Database Maintenance | Run Cleanup Now.

Licensing and License Migration

See this topic.

Data Migration

See the PortableApps topic

Storage

See the PortableApps topic


The User Interface

ClipMate has two main windows - ClipMate Classic, which is essentially a toolbar with a drop-down list of clips with a preview area, and ClipMate Explorer, which has a 3-pane interface much like Windows Explorer. Both feature a ClipList, Preview/Edit area, and Toolbar. ClipMate Classic is intended for quick access to your data, while Explorer is intended for heavy-duty editing and organization of your clips.

You can easily move back and forth between the two with the Ctrl+E key, or by selecting the "Switch Between Classic/Explorer" on the toolbar.

ClipMate 7 introduces a 3rd interface, the ClipBar, which resides in the windows taskbar, giving access to most of the functionality found within ClipMate Classic.

Also See

· ClipMate Classic
· ClipMate Explorer
· ClipBar
· Toolbar Buttons...
· ClipList
· Preview/Edit Window


ClipMate Classic

The User Interface > ClipMate Classic

ClipMate Classic in "rolled-up" mode, featuring skin MX49.

ClipMate Classic in "rolled-up" mode, featuring skin MX49.

ClipMate Classic closely resembles previous versions of ClipMate, and takes up much less space than ClipMate Explorer. It features a menu, a toolbar, and a drop-down list of Clips (the ClipList). In the picture to the right, it is shown in the "dropped-down" state, where you see a ClipList and a slimmed-down version of the preview/edit window.
Classic in "drop-down" mode.

Classic in "drop-down" mode.

· The ClipList gives you access to all of the Clips in the current Collection. As soon as you select a Clip, it is placed back onto the system Clipboard, and is ready for pasting into any application.
· When you click on the drop-down arrow in the lower-right, the window expands to show the ClipList (listing of the clips in the current collection) and a preview of the data.
· Once dropped-down, a "tack" button appears next to the drop-down button. This can be used to have it stay in the drop-down state. Otherwise, it'll automatically "roll-up" when it loses focus. Unless you have "tacked" it in the "drop-down" state, it will "roll-up" as soon as you switch away to another application.
· To make Classic "stay on top" or "auto-hide", see the View | Visibility menu, or use the new visibility button on the titlebar, if you are using one of the "skins".
· To move between the two states of the Classic window, press the Spacebar, or click the "drop-down" button, shown in the lower-right of the picture above.
· At the bottom is the QuickPaste toolbar, showing the current QuickPaste target (in this case, "NetCaptor").
· Although the preview/edit window is currently not showing the toolbar (to save space), you can right-click within the editor to bring up a menu with many options that are normally found on the toolbar, and you can even show the toolbar itself.
· The ClipMate Toolbar has many optional buttons - see the toolbar topic for configuration..

Accessing Classic

If you are in Explorer, use the "Switch Between Classic / Explorer" button [PICTURE clip0025.bmp] to go back and forth, or use Ctrl+E. If Classic is already loaded (but hidden from the screen), it should come up instantly. Otherwise there will be a slight delay while the Classic window is constructed and populated. If you use Classic frequently, you can opt to have it load at startup. See the Visual tab in the options dialog.

QuickPaste and Classic

Since QuickPaste is now universally available in any ClipList, including Explorer, ClipMate Classic no longer has a specific "quickpaste mode" as in version 6. If you would like to see dual ClipLists, or show/hide the viewer, you can do that easily. See View | Classic Options, and there are options for hiding/showing the second ClipList and the Viewer.

For convenience and familiarity for version 6 users, the old QuickPaste Hotkey, Ctrl+Shift+Q, will continue to bring up Classic in "drop-down" mode.

Classic and the ClipBar

When you click the drop-down arrow in the ClipBar, the list of clips that appears is actually ClipMate Classic. ClipMate Classic retains two sets of size/position/visibility - one for "regular Classic" and one for "ClipBar Classic". This allows it to appear to be integrated more closely with the ClipBar. So it's normal to see it slide around when you use it in different ways.


ClipMate Explorer

The User Interface > ClipMate Explorer

The ClipMate Explorer is well suited for data management and editing, as opposed to the quick access focus of Classic and ClipBar.

We've based ClipMate Explorer on the Microsoft Windows Explorer interface, and have incorporated drag 'n' drop support to speed data management tasks, and minimize the learning curve.

As you can see in the screen shot below, ClipMate Explorer is an expansion of the Traditional View, replacing the drop-down list with three new panes: Collection Tree on the left, ClipList on the right, and Edit/Preview beneath the ClipList. There are re-sizable "splitter" bars between the panes, and the QuickPaste toolbar is at the bottom.

ClipMate Explorer as viewed with the "Longhorn" skin.

ClipMate Explorer as viewed with the "Longhorn" skin.

Collection Tree Height

You can choose to have a full-height collection tree, making Explorer look like it did with version 5 (tall Collection Tree, narrow Editor). See the "General" panel in the Options dialog.

Accessing Explorer

If you are in Classic, use the "Switch Between Classic / Explorer" button [image] to go back and forth, or use Ctrl+E. If Explorer is already loaded (but hidden from the screen), it should come up instantly. Otherwise there will be a slight delay while the Explorer window is constructed and populated. If you use Explorer frequently, you can opt to have it load at startup. See the Visibility tab in the options dialog.

More:

· Toolbar Buttons...
· Collection Tree
· ClipList
· Preview/Edit Window


Collection Tree...

The User Interface > ClipMate Explorer > Collection Tree...

The Collection Tree is normally displayed within ClipMate Explorer.

The Collection Tree is normally displayed within ClipMate Explorer.

The Collection Tree shows the various databases and collections within. By default, you'll have a database called "My Clips", and this refers to a particular directory on your hard disk where all of the data is stored. Within the database, the clips are arranged in groups called "collections", Each collection can have its own retention rules (determines when, if ever, data is purged), title, and icon. By default, you'll have InBox, Overflow, and Safe. Plus two special collections: Trashcan and Search Results. Here you see we've added a bunch of collections that we consider "Important Stuff".

Note: Starting with v7.0.05, you need to hold the ALT key while you drag. This is to prevent unintended drag/drop. There is an option to set the ALT requirement in the Options dialog.

Hierarchy:

The hierarchy is managed via drag 'n' drop, and collection properties can be accessed via a right-click popup menu. The collection tree interacts with the ClipList, as selecting a collection will cause the ClipList to display the Clips within that collection. Also, you can drag Clips from the ClipList into the Collection Tree, to move Clips between collections.

Sorting:

The contents of the tree are either sorted Alphabetically, or by a "Sort Key", which is the default. As collections are created, they are assigned a sort key, such as 100, 200, 300, etc.. If you right-click on a collection and select "Move Up" or "Move Down", then the sort key is changed, and the item is re-positioned. You can manually view/edit the sort key as well, by right-clicking on a collection and viewing the Properties dialog.

To choose between alphabetic and "key" sorting, go to Config | User Preferences | General. The default is Manual (Key) sorting.

Tip: If you prefer Alphabetic sorting (users with hundreds of collections often prefer this), but still want the InBox (or others) to still be at the top, you can trick the sort routine into doing what you want. Right-click on the collection, view the Properties. Then rename the collection so that it has a SPACE in front. "InBox" becomes " InBox". Note the space. Now it will sort to the top.

Expand/Collapse:

Right-click to expand or collapse the tree. Very handy if you have dozens, or hundreds of collections.

Drag/Drop Expansion:

If you are dragging/dropping clips from a ClipList into the Collection Tree, any "parent" collections will expand to show their children, as they are dragged over with the mouse. If you hold the CTRL key, you can suppress that behavior, and keep them from expanding.

Show All Clips In All Children:

If you have a collection that contains several others, then you can use this function to list all clips in all child collections. This can be particularly useful when exporting clips.


Special Icons And Markings

The User Interface > ClipMate Explorer > Collection Tree... > Special Icons And Markings

The Collection Tree visually shows you each Collection's specific properties or situations, using these icons and markings:

RED Red or Maroon text indicates that the collection is configured to reject new Clips from the Clipboard. Instead, they'll "bounce" to the first "open" (colored black) collection in the tree.

UNDER Underlined titles indicate that the collection is designated as "safe", meaning that auto-purge will NOT occur as the collection fills or the items age.


Keyboard Navigation of the Collection Tree

The User Interface > ClipMate Explorer > Collection Tree... > Keyboard Navigation of the Collection Tree

Although ClipMate Explorer is primarily a pointer-driven feature, it is possible to navigate with the keyboard. Use the arrow keys to navigate up and down. Left/right arrows collapse and expand parent folders. Tab takes you out, and over to the ClipList.


Collection Tree Pop up Menu

The User Interface > ClipMate Explorer > Collection Tree... > Collection Tree Popup Menu

Right clicking on a Collection in the Collection Tree will bring up a menu of options (Shift+F10 is the keyboard shortcut).

· Properties - Brings up the Collection Properties Dialog.
· Move Up in Sort Order - Moves the Collection up one position in the Collection Tree, by adjusting the Sort Key. The top Collection in the tree is the one that opens by default when ClipMate loads.

Tip: You can also use the + key.

· Move Down in Sort Order - Moves the Collection down one position in the Collection Tree, by adjusting the Sort Key.

Tip: You can also use the - key.

· Add New Collection - Adds a new Collection to the tree. It will become a child of the currently selected Collection or Database.
· Delete Collection - Removes a Collection from the database. If it contains clip, you'll be prompted. Clips will be recoverable from the trashcan.


ClipBar

The User Interface > ClipBar

Single-Row ClipBar

The ClipBar integrates right into the windows taskbar, showing the current clip, and up to two rows of toolbar buttons.

ClipBar shown with "pop-up" list of clips.

ClipBar shown with "pop-up" list of clips.

It's completely customizable so that you can have your most frequently used ClipMate commands right on the taskbar. It's integrated with QuickPaste, giving you quick access to your clips right on the windows taskbar. Just click the drop-down arrow, and a modified version of ClipMate Classic pops up, giving you access to your clips. Just double-click and the clip is pasted right where you were working. Or drag 'n' drop a clip into most OLE-compliant application like IE, Word, and FireFox. And of course, with the ClipBar active, you can always see what's on the clipboard!

Use

The ClipBar will show the active clip, and has a drop-down button that will summon ClipMate to show the current ClipList. From there, you can double-click on a clip to paste a clip into a target, use drag/drop to insert a clip, or just select a clip and use ESC (or click the drop-down button again) to dismiss. You can also add other buttons to activate many of ClipMate's functions, such as PowerPaste, screen capture, filtering, etc..

The ClipList that is shown is actually ClipMate Classic, re-positioned when summoned from the ClipBar.

Activating the ClipBar

Activating the ClipBar

Installation (Before use, the ClipBar must be activated by Windows Explorer)
· Select the "ClipBar" option while installing ClipMate7. If you opted not to install it, just re-run the installation.
· Activate ClipBar as follows:
1. Right-click on the Windows taskbar
2. Select "Toolbars"
3. Select "ClipMate ClipBar". If it is not present, a re-boot may be required before Windows "sees" it.
4. A new bar should appear on the taskbar. But It will initially show up as just a "bumpy spot" on the taskbar. Use your mouse to drag it wider.
5. If it doesn't appear, turn it off and back on, and observe the taskbar to see if it changes. If it changes, it's likely the "bumpy spot" in step 4 appearing.
6. If it doesn't appear at all, see this FAQ article at our website.

· ClipBar should automatically connect to ClipMate if running. If it doesn't, give it a click and allow it to re-connect.

Keyboard Access

There is a systemwide hotkey reserved for showing the ClipBar from the keyboard. It's configurable in the Hotkeys screen, and the default is the "Windows" key + V (Win+V).

Configuration

The ClipBar can show one or two toolbar rows, depending on how tall the Windows taskbar is. The top row will always show the current clip, with drop-down button. There's a little slider that will hide/reveal other buttons to the left of the clip display. If you have top toolbar (toolbar1) set to load no other buttons, then the slider will not be displayed, allowing for a more compact display.

ClipBar displaying two rows of buttons.

ClipBar displaying two rows of buttons.

To configure the toolbars, right-click on any toolbar button, and access the toolbar configuration from the popup menu. A customization dialog shows, where you can configure either toolbar.

Making Room On The Taskbar

While the ClipBar is certainly handy, it does compete for space on the taskbar along with the other toolbar areas, such as the QuickStart Bar and SysTray, and possibly others. Here are some tips on managing your taskbar space.

Notes:

· Since the ClipBar actually runs inside the Windows Explorer process, a reboot may be required when updating ClipMate. When ClipMate starts after the install, it will inform you if it really NEEDS the newer version fo the ClipBar. Otherwise, it's safe to continue working until your next regular reboot.
· The ClipBar is optional - ClipMate runs just fine without it. It's provided as an extra convenience.
· If ClipMate isn't running, the ClipBar won't be populated with buttons. It may have a lone, "connect to ClipMate" button. Just run ClipMate, and click that button, or use ClipMate's option to "connect to the clipbar" under the "tools" menu.
· Even if you have the taskbar set to show two rows, the ClipBar may be "stuck" in single-row height. This is all determined by the windows task manager. Re-arranging other "bars" may help you determine whether it shows the ClipBar as single or double-height. The ClipBar does not get much to say about the space that the taskbar gives it.
· If you find that you can't move/size things in the taskbar the way you'd like, you probably have it "locked". Unlock it from the right-click menu (right-click on a blank spot).
· The tooltip that appears when you hover over the "current clip" window will show the first 1024 bytes of the clip - it's a handy way to see what's on the clipboard. This is controlled by the "Show Clip Hint" in the options dialog.
· By default, the presence of the ClipBar will hide the System Tray icon. But you can configure it to show both, if you prefer. See the Options dialog.
· If the ClipBar gets "lost", simply unload/re-load it by right-clicking on a blank spot on the taskbar, select "toolbars", and turn it off. Then turn it back on. Then in ClipMate use Tools | Connect To ClipBar.

Troubleshooting:

Q: I have activated the ClipBar, but it doesn't show up

A: Make sure that the taskbar isn't LOCKED. Right-click on taskbar, and make sure that there is no checkmark next to "lock the taskbar".

Q: The ClipBar does not show up on the menu.

A: Sometimes Windows doesn't realize that a new toolbar is available. You may need to "wake it up" by re-sizing the taskbar, or by lock/un-locking it. This is usually enough to get it to see the new entry in the "toolbars" sub-menu. In some cases, a re-boot may be required.

Q: Why does "ClipBar Dock Panel" appear?

A: When ClipMate isn't running, or when it IS running but has become disconnected from the taskbar, you will see a "placeholder" panel on the taskbar that says "ClipBar Dock Panel". This is the portion of the ClipBar that is "owned" by the Taskbar, and is merely an empty frame with a "re-connect" button that will attempt to make ClipMate re-connect, and can sometimes launch ClipMate if it isn't running.
When ClipMate starts, it looks for the dock panel, and if it finds it, will automatically connect. But if you close ClipMate, the dock panel sits "empty". If you don't want to see it, you can use the sizer/gripper to re-size it down to "just about nothing", or you can turn it off by de-activating it from the right-click menu (on any OTHER spot on the taskbar).

Q: I've undocked the dock panel and it's floating on my desktop. Help!

A: Try to re-dock it. If you can't, then close it, and re-activate from the "toolbars" menu that comes up when you right-click on the taskbar.


Main Toolbar Buttons

The User Interface > Main Toolbar Buttons

There are many toolbar buttons which are available in ClipMate Explorer, ClipMate Classic, and the two toolbars in the ClipBar. Many are available across all 3 windows, and if are not already present, can be added by customizing any given toolbar. To customize a toolbar, right-click on a button or blank space, and select "Customize" from the menu. Within the Toolbar Customization dialog box, you can choose to use the large or small button set.

Click on a button to see the related topic

Click on a button to see the related topic

· Show ClipMate
· PowerPaste
· Delete Clips
· Print
· Remove Line Breaks
· Append
· Move Clips To Collection
· Copy Clips To Collection
· Search
· Switch Classic / Explorer
· Show Classic
· Show Explorer
· View Clip
· Select Collection
· Outbound Clip Filtering
· Templates
· Text Clean-Up
· Looping PowerPaste
· Exploding PowerPaste
· Screen Capture by Area
· Screen Capture by Desktop
· Screen Capture by Monitor
· EventLog
· View Mode


Show ClipMate

The User Interface > Main Toolbar Buttons > Show ClipMate

This button is only available on the ClipBar, and causes either the Classic or Explorer windows to be displayed. It will bring up the one that was viewed last, during the current session.


PowerPaste

The User Interface > Main Toolbar Buttons > PowerPaste

Initiates the PowerPaste feature, to automate pasting of a series of Clips into an application. When you have a lot of data to paste, and it's all in the right order, PowerPaste is the tool to use. As you paste a clip, PowerPaste will look either UP or DOWN in the ClipList, to pick the next item. It will then place it on the clipboard, ready for pasting. As you paste that item into a target application (using the normal clipboard conventions of that application), PowerPaste will select another item, and the cycle begins again.

See: PowerPaste Overview for more information on the use of PowerPaste.


Delete Clips

The User Interface > Main Toolbar Buttons > Delete Clips

Deletes the currently selected item(s) from the current collection, and sends them into the trashcan. Depending on the settings of the database, the trashcan will keep the data for a week or so, before actually deleting. So you can rescue them from the trash, if you need to.

To "delete all", select all items in a collection with Ctrl+A, then Delete.

Alternate Access: Pressing the Delete Key when ClipList has focus, or using the Edit | Delete Item(s) menu.


Print

The User Interface > Main Toolbar Buttons > Print

Prints the currently selected Clip(s). See the Print Options tab of User Preferences for configuring settings, including options for accessing Print Preview, automatically printing screen shots, printer selection, and customizing the output.

Alternate Access: Print from the File menu.


Append

The User Interface > Main Toolbar Buttons > Append

Append will combine several text Clips into one big Clip. There are two ways to append data:

1. You can select several clips in the ClipList and glue them together, creating one big clip. Items are glued top-down, or bottom-up, depending on which direction the clips were chosen. Note that the specific ORDER is not preserved, but the general DIRECTION is.

2. If you turn Append on without selecting multiple clips, then it will enter the "Auto-Append" mode, where all new clips are appended to a new clip, that keeps on growing. Much like a giant snowball running downhill.

Using either method, items are appended according to the "Append Rules". See: Capturing .

· Note that this used to be called "Glue".
· Note that Glue is available only for TEXT items, and will not glue other formats such as Bitmap, Picture, Rich Text Format, etc.
· Note that when capturing items in Auto-Glue mode, there is a different "pop" sound, so that you know you're appending.
· Alternate Access: Edit | Append menu option.


Move Clips To Collection

The User Interface > Main Toolbar Buttons > Move Clips To Collection

Moves selected Clip(s) to another collection. This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right. It is actually two separate buttons. The Drop-Down arrow will give a menu of available target collections. Select the target collection, and the selected items are moved.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.

Note: By default, clicking on the button a second time will perform the action using the same collection that you used before, and the menu of collections will not be shown. To choose a different collection, click on the "arrow" portion of the button, which will always bring up the drop-down list. Or, turn off the option to re-use the last selection in the Options dialog - see the "Advanced" page.


Copy Clips To Collection

The User Interface > Main Toolbar Buttons > Copy Clips To Collection

Copies selected Clip(s) to another collection. This button is a special "drop-down" button, and is shown on most systems with a little down-arrow to the right. It is actually two separate buttons. The Drop-Down arrow will give a menu of available target collections. Select the target collection, and the selected items copied.

Alternately, you can drag 'n' drop the clips with the RIGHT mouse button, and you will see a menu that allows you to either Move or Copy the clips.

Note: Copying a large number of clips is much slower than Moving them. Moving involves a simple database update. But copying requires each clip to be read into memory, "cloned", and then written out as a new record.

Note: By default, clicking on the button a second time will perform the action using the same collection that you used before, and the menu of collections will not be shown. To choose a different collection, click on the "arrow" portion of the button, which will always bring up the drop-down list. Or, turn off the option to re-use the last selection in the Options dialog - see the "Advanced" page.


Select Collection

The User Interface > Main Toolbar Buttons > Select Collection

This is another split button like the Move/Copy buttons, which has a drop-down portion (the "down arrow"), and an icon. The icon represents the collection that is currently loaded, and clicking on it will bring up the next collection in the tree (if set to do so in the User Preferences | General dialog). Clicking on the drop-down arrow will show a menu of available collections. Simply select a collection, and it will be loaded into the ClipList.

This is the same as choosing a collection in the Collection Tree.


Search

The User Interface > Main Toolbar Buttons > Search

Invokes ClipMate's Search facility.

See: Searching.


Switch Classic / Explorer

The User Interface > Main Toolbar Buttons > Switch Classic / Explorer

This button switches between Classic and Explorer views.

You can use Ctrl+E to toggle back and forth, as well.


View Clip

The User Interface > Main Toolbar Buttons > View Clip

Opens up a floating Preview/Edit window.


Show Classic

The User Interface > Main Toolbar Buttons > Show Classic

Displays the ClipMate Classic window.


Show Explorer

The User Interface > Main Toolbar Buttons > Show Explorer

Displays the ClipMate Explorer window.


View Mode

The User Interface > Main Toolbar Buttons > View Mode

This Explorer-Only option toggles the ClipList from "report view", where it shows columns such as title, date, creator, etc., to a "thumbnail" view.

Thumbnail view is very useful for working with clip art.


Outbound Clip Filtering

The User Interface > Main Toolbar Buttons > Outbound Clip Filtering

When selected, this option prevents non-text formats like RTF and HTML from reaching the clipboard, causing data to be pasted as pure text. This has the same effect as the "strip non-text formats", except that it doesn't actually remove the data from the clip - it just affects how it is presented to the clipboard. Also, it's more convenient.

You can think of it as the Application Profile, in reverse. Where the Application Profile filters data from coming INTO ClipMate, this feature filters data going OUT to the system clipboard.

For example, you may have a clip copied from Internet Explorer, which would likely contain the same information as plain TEXT, but also in Rich Text Format (RTF) and HTML. Each format may behave differently when pasted, as the RTF and HTML will carry their formatting attributes (font, color, links, etc.) with them. It is often most useful to paste just the text, which then goes in as if you were typing at the keyboard, usually assuming the font/size/color/etc., present at the insertion point. Use this new filter, to cause ClipMate to put just the plain text onto the clipboard.

It also works with graphics. If you have a graphic clip, represented in multiple image formats (Bitmap, Metafile, Picture, OLE, and maybe some custom formats), you can force it to paste as just Bitmap, by using this feature. Since the same item will rarely have both TEXT and Bitmap, there isn't usually a conflict - but if there is, TEXT will have priority.

New in version 7: The filtering is now "active". You'll hear a special sound when ClipMate captures the data, indicating that it has also updated the clipboard with its "cleansed" version. There is no longer a need to invoke ClipMate as an intermediary when you do a straight copy/paste within an application or from one application to another, as you would have needed to do with ClipMate v6.5.


Templates

The User Interface > Main Toolbar Buttons > Templates

This button turns the Templates on/off and allows you to select a template.


Event Log

The User Interface > Main Toolbar Buttons > Event Log

Shows a log of events, such as clips captured and placed onto the clipboard. Useful for troubleshooting.

Also found under Tools | Show Event Log.


ClipList

The User Interface > ClipList

The ClipList is the centerpiece of both ClipMate Explorer and ClipMate Classic, as it's embedded into each of them. All of the Clips in the current collection are listed, with their various attributes (title, source, date/time of capture, available formats, etc.) listed in sortable columns. The ClipList supports a variety of drag and drop operations, for re-ordering Clips within the collection, for dragging Clips into the Preview/Edit pane, and for moving Clips to other collections by dragging into the Collection Tree.

When viewed within Explorer, the ClipList can show clips in "Detail View" or "Thumbnail View". The "Views" button at the right end of the explorer toolbar lets you switch between the two views.

The ClipList can be sorted on any column. Read more about Sorting.


Sorting Clips

The User Interface > ClipList > Sorting Clips

Click on a column heading to sort the Clips according to the data in the column. ClipMate understands alpha, numeric, and date sorts. Click again, to sort in the opposite direction. The direction and column of sorting can be different for each collection, so that you can have one collection sorted alphabetically, another sorted with new Clips on top, another with new Clips on the bottom.

One of the columns is the mysterious, but ever so important, "SortKey" column. This is used to sort the way YOU want. For example, if you have some Clips that you need at the top of the collection, you can re-order Clips by dragging and dropping them on one another, or using the right-click "move to top/bottom of sort order". OK, you've moved them, but now none of the usual sort criteria apply. Alphabetic is no good, neither is date or size. So we have this magical, mystical, user-defined sort column. As you move Clips around, the SortKey value changes, to reflect its position, relative to the two Clips that it falls between. If you drop a Clip between two Clips with SortKey values of 100 and 200, the dropped Clip will be assigned 150. So when you sort by SortKey, it comes up the way that you want it.

New Clips get assigned a new SortKey value of the Clip ID multiplied by 100. This means that the sequence grows automatically, and has lots of room between Clips. Don't worry, you won't run out of numbers! (The sortkey wraps around at a little over 2 billion.)

· Tip: Sorting determines where new clips are placed. If you sort on the SortKey, ID, or Date/Time columns, then new clips will appear on the top, or bottom of the collection, depending on the direction of the sort.
· Tip: For most uses, sorting by the SortKey column in descending order (largest on top) is the most useful, as it keeps the newest Clips on top and is sensitive to manual Clip movements within the collection.
· Tip: To manually adjust the SortKey field you can right-click on a clip, and use the Property dialog to make the change. This is handy if you want to set a SortKey value to a very high number, so that the clip will be at the top of the sort order, every time that the collection is loaded.


Source URL

The User Interface > ClipList > Source URL

When copying from Netscape or Internet Explorer, the URL of the page that the data was copied from, is recorded in the Source URL field. In ClipMate Explorer, you can click on the URL, and launch the page in your default browser. Also, you can right-click on a clip, and select "Open Source URL in Browser", which is handy if you are in Traditional View, and would otherwise have to scroll excessively.

Tip – Place Source URL On Clipboard:

You can also place the source URL onto the clipboard – all by itself, by right-clicking on a clip and selecting "Place Source URL on Clipboard". It'll be placed onto the system clipboard, ready for you to paste into a document. It will NOT be re-captured by ClipMate though (to avoid clutter).


Detail View

The User Interface > ClipList > Detail View

If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View. Detail View is the default, and presents the cliplist as a multi-column display, with sortable columns.


Item Type Icons

The User Interface > ClipList > Item Type Icons

Item Type Icons

The first column can contain icons that tell you which formats are present in the Clip Item. Here is a key:

Icon Meaning

Bitmap Image

Picture (Metafile) Image

Text – Plain text with no formatting

Rich Text Format – contains font, alignment, color, etc.

HTML Format

HDROP – Contains a list of files, copied from Windows Explorer. This can be converted into plain text with Edit | Convert File Pointer To Text. There's an option to do this automatically, see:


Thumbnail View

The User Interface > ClipList > Thumbnail View

If you click on the button at the far right of the ClipMate Explorer toolbar, you will go back and forth between Thumbnail View and Detail View. Thumbnail View shows Bitmap and Text clips as graphic thumbnails, giving you a preview of the clip.


Preview/Edit Window

The User Interface > Preview/Edit Window

The Preview/Edit Pane is where you can view Clips, and if they're text items, you can edit and reformat them. There are 6 tabs at the bottom of the pane, to display various formats of data (TEXT, Rich Text Format, Bitmap, Picture, HTML, and Binary). Not all will be present – only the ones that are applicable to the data contained within the Clip are displayed.

Aside from being docked into Explorer and Classic, you can also have free-floating editor windows. This can be very helpful if you want to do some heavy-duty editing on a particular clip, or if you want to see the current clipboard contents, but don't want to clutter your screen. To bring one up, click the (optional) "view clip" button or menu option, or press F2 from within either Classic or Explorer.

Here is the editor, shown floating on the desktop. Note the 3 tabs at the bottom, to view the data as Text, Rich Text, or Binary. If it had been a Graphic or Web Page, there would have been other tabs, as well.

By default, the editor embedded within Classic has its toolbar hidden to save space, but you can turn it on. Right-click within the editor box of a text clip, and the option to turn the toolbar on/off is on the menu. You can also do this with "floating" editor windows.

See:

· Text Editor
· Text Editor Toolbar
· Rich Text Format Tab
· Bitmap Tab
· Picture Tab
· HTML Tab
· Binary Tab


Text/Edit Tab

Text Tab

The User Interface > Preview/Edit Window > Text/Edit Tab

This tab displays and edits TEXT items, and has a toolbar full of powerful editing buttons. You will find that the editing features will rival those of stand-alone editors (but it isn't really meant to replace your favorite editor - but it should compliment it nicely). You can type, drag 'n' drop, or use cut/copy/paste to edit the contents of TEXT items.

Click below to find out more:

· Editor Toolbar...
· Rectangular Selections


Drag 'n' Drop

The User Interface > Preview/Edit Window > Text/Edit Tab > Drag 'n' Drop

ClipMate's Text Editor features drag and drop capability. You can drag and drop text within the editor to re-arrange data, and you can drag 'n' drop other Clips into a Clip, providing an on-the-fly composition of Clips from other Clips. And you can even drag portions of clips into other programs such as FireFox, IE, or Word.

Local Editing

Just select some text and drag within the editor. Drop when ready. That re-arranges text within the clip. Hold CTRL to "clone" the highlighted text, otherwise it will move it.

Combining Clips

First, click the "tack" icon to prevent the editor from scrolling to other clips. Now it is editing just THIS clip, and you can drag/drop other text clips into this one, to combine several clips into one.

For example, let's say that you have fragments of someone's name and address in the current collection, but you need to have them all combined into one Clip. You can simply create a new Clip, set the "tack" icon, and then Drag 'n' Drop the pieces of the address into the editor, composing the address on the fly. This is similar to the Glue feature, but offers more flexibility.

External Drag and Drop - Drag Into Other Programs

Sometimes you want to move PART of a clip into another program. That's easy with the "external drag/drop". First, click the external drag/drop button. It looks like this:

When selected,this changes the behavior of drag/drop, so that instead of dragging text around within a clip, you can drop it into other programs like Word, IE, FireFox, TextPad, Outlook Express, etc.. Not all programs allow this! They have to support OLE Drag and Drop for TEXT. Notepad, for example, does NOT work. Turn the button off, to return to internal drag/drop.

Notes / Troubleshooting

· If you can't drag/drop within a clip, you may have inadvertently turned on the extrnal drag/drop. See the topic above.
· Drag/drop only works with plain text. Drag/drop editing of RTF, HTML, Bitmap, etc., is not supported.


Rectangular Selections

The User Interface > Preview/Edit Window > Text/Edit Tab > Rectangular Selections

Sometimes you need to be able to select a rectangular area in the editor. To do so, turn OFF the Word-Wrap toolbar button, and hold down the ALT key as you drag. This is useful for deleting sections of text, or using the COPY button to make a new clip out of the rectangular selection. Do you have data with a column of numbers that you want to isolate? Use the rectangular selection, and then the Copy button. Now you have a new clip, with just that column of data.

Most of the toolbar buttons will not work with rectangular selections, and are greyed when performing this operation.


Editor Toolbar...

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar...

The Text Editor has a toolbar for accessing many of the editing functions. The same editor is used in both ClipMate Explorer and ClipMate Classic, but due to space constraints, may be hidden when docked into ClipMate Classic. You can right-click within the editor to turn it back on.

To customize a toolbar, right-click on a button or blank space, and select "Customize" from the menu. Within the Toolbar Customization dialog box, you can choose to use the large or small button set.

Click below to find out more:

· The Tack Icon
· Word-wrap
· Show Non-Printing Characters
· New Clip
· Cut
· Copy
· Paste
· Shift Left
· Shift Right
· Remove Line Breaks
· Change Case
· Text Cleanup
· Trim
· Find/Replace
· Undo
· Spell Check
· Active Spell
· Hilghlight URLs
· Hilghlite HTML
· Encrypt / Decrypt
· Base64 Encoding


The Tack Icon

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > The Tack Icon

A very useful mode of operation when doing extensive editing on a clip is to "tack" the editor to the clip. Normally, each editor window will display the clip that is currently on the clipboard. That's usually ok, but what if you want to cut and paste within a clip? Or combine two clips? Then you will need to "tack" the editor to the clip that you are working on. Now you can cut/copy/paste, without the editor trying to display the current clipboard contents.


Word-wrap

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Word-wrap

Displays the text in a word-wrap fashion – has no effect on the data itself.

If the toolbar is hidden, you can access it from the right-click menu when you click in the preview area.


Show Non-Printing Characters

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Show Non-Printing Characters

The editor can now show the "non-printing characters", such as line-breaks, spaces, and tabs which will be shown as: ¶ · », respectively. This same feature and button appear in many editors and word processors - it works the same way. Press to toggle on/off.

Tip: This can be helpful in understanding data alignment problems, to see where the spaces, tabs, and linebreaks actually fall within the data.


New Clip

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > New Clip

Creates a new, empty Clip in the editor. This is handy if you want to create data to paste somewhere without having to go into Notepad and create it.


Cut

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Cut

Destructively copies the selected data to the Clipboard. Remember, ClipMate will capture the data, into a new Clip. So set the "tack" icon before cutting, unless you want to be looking at the new Clip.


Copy

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Copy

Copies the selected data to the Clipboard. See the above warning, but then again, sometimes this is just what you want to do. For example, you might have a Clip containing several sentences, but you only want one. Highlight the one you want, hit the Copy button, and you will get a brand new Clip containing just the data that you need.


Paste

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Paste

Paste from the Clipboard. Again, most useful if you've set the "tack" button, and therefore some other Clip is on the Clipboard, and you can paste it into the Clip that you're editing. Or, if you don't have the "tack" set, then you'll duplicate the current Clip into itself at the insertion point.


External DragDrop

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > External DragDrop

Turns the external drag/drop option on/off. If enabled, you can drag and drop text into other programs. Otherwise, drag/drop is internal to the text editor.

See

· Drag 'n' Drop


Shift Left

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Shift Left

Removes the leading spaces in each line of text, one column at a time. If you have selected some text, it works just on the selection. If you hold down the CTRL key, it will remove ANY CHARACTER in the first column. Very handy for removing those annoying >> symbols from quoted E-Mail.


Shift Right

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Shift Right

Adds one space to each line of text. If you have selected some text, it works just on the selection. Very handy for "indenting" data, such as when writing programs. It accomplishes its task by inserting a space at the beginning of each line.


Remove Line Breaks

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Remove Line Breaks

Removes unwanted line breaks. Very often when you copy data from online sources, there will be hard-coded line breaks at the end of every line. This will remove those breaks.

Here is an example:

Now is the time for all

good men to

come to the aid of their

Country.

This would convert into:

Now is the time for all good men to come to the aid of their Country.

Notice that the text now wraps at the same margins as the rest of the document.

There are three modes – normally, it will look for a single line-break and remove it. If it sees two, however, that usually signals a paragraph boundary, so these are left intact. But if you want to force it to remove those as well, you can do so by holding down the CTRL key, which will remove the blank lines as well.

URL Crunching

The third mode supresses the additional spaces that are usually added in place of the linebreaks. This is called the "URL Crunch" feature. Look at the example above. As linebreaks were removed, spaces were inserted. Otherwise you'd have "allgood" instead of "all good". That's great for text, but lousy for URLs or other strings that don't benefit from the additional space. Just hold SHIFT, and the extra spaces are suppressed. Allowing you to wrap

http://www.clipmate.com/hwp/question.php?

qstId=99

into this:

http://www.clipmate.com/hwp/question.php?qstId=99


Change Case

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Change Case

Changes the case of the text in a variety of ways.

By clicking on the down-arrow, you can specify any of the following conversions:

Lower Case | this is an example.
Upper Case | THIS IS AN EXAMPLE.
Mixed Case | This Is An Example.
Sentence Case | This is an example.
Invert Case | tHIS IS AN EXAMPLE.

This is a special "Drop-Down" button, usually displayed with a drop-down arrow. If the arrow is present, then it will bring up a menu of the four conversions. If you don't have the drop-down arrow present, then clicking on the button will always bring up the menu.


Text Cleanup

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Text Cleanup

This function cleans up text by running it through a series of functions:

1. Strip - This removes characters, such as those ugly >>> marks that often appear in forwarded E-Mail or Newsgroup postings. You can specify that they be removed at the beginning or end of any line – plus an option for "anywhere". There are some popular pre-defined characters to be removed, or you can specify others in the "others" area.
2. Format Paragraphs - This invokes the Remove Linebreaks function. You can leave the data "as-is", remove the linebreaks within paragraphs, or remove ALL linebreaks. There is an additional option to add linebreaks back in, at a pre-determined column. It'll use intelligent word-wrapping, so the right-margin will be "ragged", as it wraps at the last opportunity before the indicated margin. This step can also re-break and re-quote the new lines.
3. Case - This will use the Case Conversion function, just as if you'd invoked it by itself. It happens AFTER the first two steps, to take advantage of any corrections to sentence structure.
4. Find & Replace - This performs a search on the text, replacing as required. It replaces all occurances found in the text. This feature can use Regular Expressions, which while complicated, are very powerful. To use RegEx, you need to use the "RegEx" checkbox to tell ClipMate that your search (or replace) criteria is intended to be a regular expression. For example, ^Hello (if treated as RegEx) will search for lines beginning with "Hello". Goodbye$ (again, if the RegEx option is selected), will search for lines ENDING in "Goodbye". Interestingly, the REPLACE string can also be a RegEx, which will act as a "template" for the substitution. This is a very advanced feature, but will be handy for programmers familiar with RegEx. We hope to offer some useful examples for the rest of us!

Find & Replace Options

1. Match Case - search is case senstivie or not.
2. RegEx (Find) - treat the search as a Regular Expression.
3. RegEx (Replace) - use the replace text as a RegEx template (more below).
4. Line By Line - for RegEx only - treat entire clip as one "line", or treat each line in the editor as a separate line. Useful for begin/end line processing (^,$).

RegEx Templates - Useful for using "templates" for the replacement. Use the $& within the substitution string, to specify where the "found" string goes into the output.

ex: Supose your text is:

have a day.

have a night.

And you do a RegEx find & replace, of: Find: (day|night) Replace: good ($&)

The output will be:

have a good day.

have a good night.

Note: The Text Cleanup function, although powerful, may not always produce the intended result. If it makes a mess of things – hit the UNDO button, and try it again. It's meant to perform MOST of the clean-up work, not necessarily all of it, nor will it work in all situations. Sometimes a slight manual edit is all that it needs to be successful.

See Also:

· Regular Expressions
· RegEx Cleanup Examples


Regular Expressions

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Text Cleanup > Regular Expressions

The Text Cleanup function can work with Regular Expressions, known as RegEx.

ClipMate uses a RegEx library, written by Andrey V. Sorokin. There is a lot of information at his website, which describes RegEx in detail. This page is not meant to be a full reference for RegEx, but will show some simple but useful examples.

Introduction

Regular Expressions are a widely-used method of specifying patterns of text to search for. Special metacharacters allow You to specify, for instance, that a particular string You are looking for occurs at the beginning or end of a line, or contains n recurrences of a certain character.

Metacharacters

Metacharacters are special characters which are the essence of Regular Expressions. There are different types of metacharacters, described below.

Metacharacters - line separators

^ start of line

$ end of line

\A start of text

\Z end of text

. any character in line

Examples:

^foobar matches string 'foobar' only if it's at the beginning of line

foobar$ matches string 'foobar' only if it's at the end of line

^foobar$ matches string 'foobar' only if it's the only string in line

foob.r matches strings like 'foobar', 'foobbr', 'foob1r' and so on

Metacharacters - predefined classes

\w an alphanumeric character (including "_")

\W a nonalphanumeric

\d a numeric character

\D a non-numeric

\s any space (same as [ \t\n\r\f])

\S a non space

You may use \w, \d and \s within custom character classes.

Examples:

foob\dr matchs strings like 'foob1r', ''foob6r' and so on but not 'foobar', 'foobbr' and so on

foob[\w\s]r matchs strings like 'foobar', 'foob r', 'foobbr' and so on but not 'foob1r', 'foob=r' and so on

Metacharacters - word boundaries

\b Match a word boundary

\B Match a non-(word boundary)

A word boundary (\b) is a spot between two characters that has a \w on one side of it and a \W on the other side of it (in either order), counting the imaginary characters off the beginning and end of the string as matching a \W.

Metacharacters - iterators

Any item of a regular expression may be followed by another type of metacharacters - iterators. Using this metacharacters You can specify number of occurences of previous character, metacharacter or subexpression.

* zero or more ("greedy"), similar to {0,}

+ one or more ("greedy"), similar to {1,}

? zero or one ("greedy"), similar to {0,1}

{n} exactly n times ("greedy")

{n,} at least n times ("greedy")

{n,m} at least n but not more than m times ("greedy")

*? zero or more ("non-greedy"), similar to {0,}?

+? one or more ("non-greedy"), similar to {1,}?

?? zero or one ("non-greedy"), similar to {0,1}?

{n}? exactly n times ("non-greedy")

{n,}? at least n times ("non-greedy")

{n,m}? at least n but not more than m times ("non-greedy")

So, digits in curly brackets of the form {n,m}, specify the minimum number of times to match the item n and the maximum m. The form {n} is equivalent to {n,n} and matches exactly n times. The form {n,} matches n or more times. There is no limit to the size of n or m, but large numbers will chew up more memory and slow down r.e. execution.

If a curly bracket occurs in any other context, it is treated as a regular character.

Examples:

foob.*r matchs strings like 'foobar', 'foobalkjdflkj9r' and 'foobr'

foob.+r matchs strings like 'foobar', 'foobalkjdflkj9r' but not 'foobr'

foob.?r matchs strings like 'foobar', 'foobbr' and 'foobr' but not 'foobalkj9r'

fooba{2}r matchs the string 'foobaar'

fooba{2,}r matchs strings like 'foobaar', 'foobaaar', 'foobaaaar' etc.

fooba{2,3}r matchs strings like 'foobaar', or 'foobaaar' but not 'foobaaaar'

A little explanation about "greediness". "Greedy" takes as many as possible, "non-greedy" takes as few as possible. For example, 'b+' and 'b*' applied to string 'abbbbc' return 'bbbb', 'b+?' returns 'b', 'b*?' returns empty string, 'b{2,3}?' returns 'bb', 'b{2,3}' returns 'bbb'.

Hexidecimal

You can use hexidecimal codes to replace any characters with any other characters.

For example, to replace all tabs (x09) with a carriage-return and linebreak (x0D x0A), use this:

Find: \x09

Replace: \x0D\x0A

More Examples:

hello matchs string 'hello'

\^FooBarPtr matchs '^FooBarPtr'

examples:

^HELLO matchs string 'HELLO' at the beginning of line.

GOODBYE$ matchs string 'GOODBYE' at the end of line.

^HELLO$ matchs string 'HELLO' if it's the only string in the line.

H.+O matches strings like 'HELLO', 'HI HO',

FOOB.R matchs strings like 'FOOBAR', 'FOOBBR', 'FOOB1R', etc.

=$ Any line ENDING with the '=' sign.

IMAGES\.NAME - Here I'm trying to exclude "IMAGES.NAME", but need to ESCape the period.


RegEx Cleanup Examples

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Text Cleanup > RegEx Cleanup Examples

Removing all but first line

Q: I need is an edit option that automatically deletes all text from selected entries EXCEPT the first line. So if an entry has 4 lines, keep just the first one.

A: Use the RegEx option, with "line byline" turned OFF, replacing this:

\x0D\x0A.*

with nothing.

This means, "all text following the first line-break".

Removing double line-breaks.

Q: The linebreak removal is great, but I also want to remove double breaks, which normally signal a WANTED break between two paragraphs (one to end the last sentence, and one to break the paragraphs).

A: Use the regular line-break option in the text clean-up, and add a RegEx stripper to remove any double-breaks, and replace with a single break.

Use the RegEx option, with "line byline" turned OFF, replacing this:

\x0D\x0A\x0D\x0A

with

\x0D\x0A

Removing triple (and more) line-breaks.

Q: How about removing "more than two in a row"?

A: Use the following:

Find: (\x0D\x0A){3,} [x] RegEx?

Repl: \x0D\x0A\x0D\x0A [x] RegEx?

[ ] Line By Line?

Explanation:

\x0D is a carriage return, \x0A is a linefeed, expressed in hexidecimal notation, understandable by the RegEx parser.

By placing in round braces (), that groups them together so that the iterator {} can treat as a whole. 3 means "at least 3 of these", where "these" are the preceding pattern, which is treated as a whole due to the round braces. The comma after the 3 separates min/max. Here min is 3, and max is unlimited. I could have written {3,999} instead, for example. The max is optional, but the comma isn't - otherwise it would do "only 3".

We're replacing with 2 carriage-return/linefeeds.

We're turning off the line-by-line option, so that the linebreaks are visible to the RegEx (otherwise it would not see them).


Trim

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Trim

Removes leading spaces and control characters such as linebreaks and tabs.

This works on the whole clip, or a selection, and is not a "line by line" process. It's meant to be a quick way to get rid of the "extra junk" that gets copied from many programs.

Aside from the editor toolbar, it can also be found on the Classic and ClipBar toolbars.


Undo

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Undo

You can undo any of the next group of buttons (Shift Left, Shift Right, Remove Line Breaks, Change Case, Text Clean-Up Also, if you edit the text directly with the keyboard or mouse, you can also UNDO that as well.

The UNDO is one level only. For example, if you change the case and then remove the line-breaks, pressing UNDO will only UNDO the line-break removal. If this button is greyed out, then there is nothing to undo.


Active Spell

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Active Spell

When Active Spell is turned on, the text is analyzed all the time. Mis-spelled words are underlined in a wavy-red manner. Right-click to change/ignore, or add to your custom dictionary.


Highlite Keywords

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Highlite Keywords

You can enter keywords to highlight. Separate multiple keywords with commas. Wildcards are not used here, as partial matches will highlight automatically.

When you use the Search feature, the highlight keyword list is automatically populated. So you can use it to find the search string within the clips in the result set. The button above is provided for "stand-alone" use within the editor.

Here is a result of this help topic, with the keywords: key,highlight.

To use, just click on the toolbar button, and enter the keywords separated by commas. They'll be in effect until you change them, close the program, or perform a search.

You can search for phrases also. Suppose you are looking for "bulls" and "boy cows" and "male cattle". Enter the search as:

bulls,boy cows,male cattle

Now it will highlight just the ones you want, and will ignore any girl cows.


Highlite HTML

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Highlite HTML

This turns on the HTML Syntax Highlighting. Use this if you are working with raw HTML tags.


Highlite URLs

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Highlite URLs

Use this to highlight URLs, such as http://www.xyz.com

These will show up underlined in blue, and will be "live" if you click on them, launching the URL into your default browser. Turn off, if you want to edit the text without accidentally launching the browser.


Encrypt

Encryption

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Encrypt

Encrypt a clip using ARC4 encryption.

To permanently remove encryption, use the File menu.


Spell Check

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Spell Check

This will spell check the current clip. It works like many other spell checkers, allowing you to accept/change/ignore a misspelled word, or add it to your custom dictionary.

For more information on configuring the spell checker, adding dictionaries for your language, etc.,

See: Spell check Configuration.


Find & Replace

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Find & Replace

Brings up the standard Find & Replace dialog. Can be used as find only, without replacing. Supports Find, Find Next, Replace, Replace All.

By default, it starts the operation at the current cursor position within the clip. If you change search criteria while the dialog is still up, it will reset to the TOP of the text. So you can, for example, search the entire text for CAT, replacing with TIGER, and then do another operation, replacing DOG with WOLF.

Options: Standard options for "whole word" search, and case matching. Use Find without Replace, if you just want to Find (highlight) results.

See Also: Text Cleanup, which has a similar function, but can also handle Regular Expression searches.


Base64 Encoding

The User Interface > Preview/Edit Window > Text/Edit Tab > Editor Toolbar... > Base64 Encoding

This pair of options, found on the editor pop-up menu (not yet on the editor toolbar, but can be if it's a popular request) is for encoding/decoding Base64 text. Here is a description:

"Encode a string using base64 encoding compatible with Internet protocol RFC 1521 (the MIME standard). Data encoded in this manner is safe for Internet, mainframe, database and Registry storage and use. By definition, the resultant string length is always a factor of 4 and at least 1/3 greater than the original."

-- HyperString User's Guide

If you don't know what that means, this function is not for you. If you work with Base64 data a lot, this will be very helpful.


Rich Text Tab

The User Interface > Preview/Edit Window > Rich Text Tab

Applications such as Word Processors speak a language known as Rich Text Format. It contains formatting information such as fonts, alignment, etc. ClipMate can display, but not edit, Rich Text data in this tab.


Bitmap Tab

The User Interface > Preview/Edit Window > Bitmap Tab

Displays Bitmap items. You have several viewing options:

· Full size in a scrolling window
· Scaled to fit in the space provided, with 1:1 aspect ratio.
· Stretch to use all available space.

The X,Y dimensions of the item are also displayed here.

Tip: You can undock the Preview/Edit window to give you a larger viewing area - you can even Maximize an un-docked viewer. The quickest solution is to press F2 to open up a new Preview window, then Maximize if you need to see more. Close it when you're done (don't minimize - close it).


Picture Tab

The User Interface > Preview/Edit Window > Picture Tab

Displays PICTURE or Metafile items. Picture data is usually used for mechanical drawings, Clip-art, and other things that are meant to look good when "stretched". It is useless (and usually way too big) for "real-life" images such as photographs and screen shots.


HTML Tab

The User Interface > Preview/Edit Window > HTML Tab

This is where you will view HTML copied from web pages, or raw HTML tags copied from an editor. With data copied from Internet Explorer, the pages in ClipMate should look very similar to the original, complete with images.

ClipMate uses Internet Explorer to render the HTML, but does not require that you use Internet Explorer as your primary browser.

Availability

Some applications copy data as a particular "HTML Format" data type. This format is designed for exchanging portions of HTML pages, with all formatting intact, except for the content of graphics. Not all applications support this format currently, but we expect it to become more popular, as Microsoft has documented it as a public data exchange format.

If you copy some textual data from a web page, ClipMate will capture the specific "HTML Format" data type, and display it in the HTML tab. It will look remarkably like the original text, with the appropriate fonts, tables, and colors. Hypertext Links are clickable, and will launch the target URL in your default browser.

Revisit Source URL

When an application supports the complete "HTML Format" specification, it supplies the URL of the page that the data was copied from. This is particularly useful if you copy data from Internet Explorer. If you see a valid URL in the "Source URL" field, then the Revisit button will launch your web browser to go back to that page. This only works, of course, if the page is still on the server, and if you are connected. Note that not all applications will provide a meaningful Source URL. News articles, for example, are not usually launchable.

Options

From the settings button, you can access a drop-down menu with some options:

· Use Pictures From Browser Cache
If enabled, ClipMate will attempt to insert pictures from your browser cache (IE Only), and show them in the rendered HTML.
Note: Due to security changes in Vista and IE7, ClipMate cannot display browser cache images on Vista.
· Delete Scripts
If enabled, any scripts found in the HTML stream will be deleted. This can affect the display of some pages that use scripts to determine various elements of the page layout, but it removes the possibility of being attacked by a malicious script.
· Use All HTML
Determines whether to use all of the HTML in the clip, or to truncate it according to "startfragment/endfragment" tags in the header. Usually, you can leave it on.

FireFox Notes:

FireFox 1.5 and later fully support the HTML Format data type, complete with Source URL.

Netscape Notes:

Prior to version 7, Netscape did not support the HTML Format data type. So ClipMate relied on Dynamic Data Exchange to converse with Netscape and obtain the "Source URL" that way. Netscape 7 DOES support the HTML Format data type. Unfortunately, they did not include the optional "Source URL" data, which is what allows ClipMate to determine the URL that the clip came from. So it's useless for determining the URL. Even more unfortunate, they have apparently gutted the DDE interface, so that we cannot even use the backup method (DDE conversation using topic: WWW_GetWindowInfo) of determining the URL. So although data from Netscape 7 will have the HTML Format data, and will look nice in ClipMate, there is no way to determine the Source URL.

Opera Notes:

Opera does not support the HTML Format data type. Reports vary on whether DDE works with Opera any more. ClipMate will try to use DDE, if enabled in Config | User Preferences | Advanced.

A Note About Graphics

When you copy HTML to the clipboard, only the HTML itself is present on the clipboard. Any Images are referenced by <IMG> tags, and are not actually on the clipboard. When you paste data containing <IMG> tags, the application that you paste into will re-download the images from the original site, or it may retrieve the images from your browser cache.

ClipMate6 can also retrieve images from your (IE) browser cache. So when you view HTML in ClipMate, you will often be able to view the original images, if they are still in the cache.

Displaying TEXT in the HTML Tab

Web page developers will appreciate the ability to view plain text in the HTML tab, where it is interpreted as HTML. Text without tags appears as regular text. But any tags are interpreted by Internet Explorer. For example, this text: <H1> Heading 1 </H1> would display as "heading 1" style, in the HTML viewer.

When TEXT is displayed in this tab, the caption on the tag changes to indicate "TEXT as HTML", so that you know that it is interpreting TEXT as HTML, rather than displaying the actual HTML format.

HTML Popup Menu

The HTML tab has a unique popup menu that is provided by Internet Explorer directly. It is the same menu that you get if you right-click inside Internet Explorer itself. Interesting items here are View Source, which will launch Notepad to show you the text representation of the HTML, and the Print feature. Again, the printing is performed by Internet Explorer, not ClipMate, so it will behave a bit differently than ClipMate printing.


Binary Tab

The User Interface > Preview/Edit Window > Binary Tab

The Binary tab is useful for "peeking" inside some data formats that can't be displayed normally – such as "HDROP". It is also useful as an investigative tool, such as if you're wondering why you have an extra line-feed when copying from a certain application – this can show you, as you see all of the bytes in the data. You probably won't use this very often, but it is handy if you need it.

Note: This tab is disabled by default. Enable it in the "Editor" tab of the options dialog.


Visibility: On-Top and Auto-Hide

Visibility: Visibility: On-Top and Auto-Hide

The User Interface > Visibility: On-Top and Auto-Hide

ClipMate Classic, Explorer, and the auxiliary floating editor can all be displayed in 3 modes - "always on-top", "auto-hide", or "normal". These can be toggled with the View menu, the "system menu" in the upper-left corner of the window, or if you're using "skins", there will be a 4th button on the titlebar, for the purpose of setting the visibility.

These modes all dictate how the window will react when ClipMate loses focus. i.e. when you switch focus to another application. Sometimes you want ClipMate to remain on top of other windows. Sometimes you want it to go away completely. Or you may want it to behave like any other program, and sit on the desktop, obscured by any other foreground window that overlaps or obscures it.

Note that each window will retain its own setting. Be careful with Explorer, because due to its size, you can sometimes obscure message boxes and dialogs.

Transparency: The Transparency setting, which is available from the System Menu and the View menu, lets other windows show through the ClipMate window, when ClipMate is set to "always on top". It uses a technique known as "alpha blending" and is only available on later versions of Windows, including 2000 and XP, provided that your drivers support it.

Take a look at the first button in each of these screenshots from the "longhorn" skin:

Normal behaves like any other window. When you switch focus, it can be obscured by other foreground windows.

Icon: Centered Dot

Causes ClipMate to stay on top of other windows, making it easy to access and see, even if you are working in an application that uses the same desktop space.

Some users will prefer to combine the On-Top behavior with "transparency", which causes the window to turn translucent, when it loses focus, allowing you to see through the ClipMate window. See the Visibility menu for the transparency setting. Note: Transparency is not available on older versions of windows, or with slower video hardware, or when disabled at the system level.

Icon: High Arc

Causes ClipMate to hide itself when it loses focus. The ClipBar defaults to this behavior when it calls up Classic, to serve as a "drop-down list". As soon as focus switches away from Classic, it hides itself, just like a regular drop-down list would. Classic actually tracks two sets of position and visibility settings, so that it can behave differently when called from the ClipBar. So you may have it set to auto-hide when used from the ClipBar, and On-Top when used in "regular Classic" mode.

Icon: Low Arc


Options and Configuration

After 14 years of continuous development, and subsequent suggestions from our customers, there are LOTS of options!


Tools Menu

Options and Configuration > Tools Menu

Here is where you control the various settings that control everything from tooltips, to data storage, to avoiding conflicts at startup. There are several main areas:

· Options Dialog
· Clipboard Diagnostics
· SQL Window
· Spell check Configuration

There are also several "stand-alone" options:

· Auto Capture - this determines whether ClipMate is capturing new clipboard updates or not. If you want to permanently turn this off, see the "Advanced" tab of the User Preferences dialog.
· Reestablish Clipboard Connection - In case the clipboard connection is lost, it can be reset here. This shouldn't be necessary anymore with the "keepalive" function.
· Connect to ClipBar - In case ClipMate hasn't automatically detected and connected to the clipbar, this option will force it to attempt a connection.
· Show Event Log - shows a log of events, such as clips captured and placed onto the clipboard. Useful for troubleshooting.

About the settings

All of the ClipMate settings are stored in the registry. If multiple user accounts are on the same system - each user has their own section of preferences. If for some reason the settings become terribly fouled up and you want to start over, you can do a registry reset by starting ClipMate with the CTRL+SHIFT keys held down, and ClipMate will ask if you would like to reset the registry.


SpellCheck Configuration

Options and Configuration > Tools Menu > Spellcheck Configuration

You can configure the spell checker if you have the Check Spelling dialog open (usually when you're spellchecking a clip), or you can right-click within the editor, and select Spellcheck Configuration. You can also use the Config | Spellcheck Configuration menu.

Most of the options are self-explanatory.

Downloading Additional Dictionaries

Most of what you will use the dialog for is for selecting Dictionaries. If you speak something other than "American English", you will likely want to download an additional dictionary. We have a link here:

http://www.clipmate.com/dictionaries.htm

Just download the dictionary, unzip with a tool such as WinZip, and place the resulting file(s) into the same directory that ClipMate is installed into (typically c:\program files\clipmate6). Then use the dictionary configuration dialog to activate it (and perhaps de-activate others). You can have multiple dictionaries in effect at the same time. For example, you can have the British and Legal dictionaries both active, if you happen to be a British Lawyer.

Thesaurus

The Thesaurus is a separate file, downloadable from our web site. http://www.clipmate.com/dictionaries.htm

Just download, and place in the ClipMate6 program directory (typically c:\program files\clipmate6). If you have the CD edition, you can just copy the file (roget.adt) from the Dictionary directory on the CD.

Once in place, you can right-click on any word in ClipMate's edit window, and use the Thesaurus function.

Custom Dictionaries:

As you "add words" while spell checking, words will be added to your custom dictionary. The custom dictionaries are interesting in that you can have multiple dictionaries, and if you have an MS Office dictionary installed, it will be included in the check – but cannot be added to or edited. Your ClipMate dictionaries can be edited, however, and you can even include "auto-correct pairs", so that common mis-spellings like "hte" becomes "the".

To access the custom dictionary configuration, and to edit the dictionary contents, select "Dictionaries" from the main Dictionary Configuration menu.

Auto-Correct Dictionaries:

Do you often type hte instead of the? If you use ClipMate's editor to do a lot of typing, you can install one of the auto-correct dictionaries. You may need to "train" the editor for specific words, by using the regular spellcheck dialog box, and clicking the auto-correct button. Then, the editor will auto-correct that mistake as you type.

Location:

Typically, the standard dictionaries will reside in the program directory (where ClipMate is installed into) and your custom dictionary will reside in the data directory.


Database Maintenance

Options and Configuration > Tools Menu > Database Maintenance

From time to time, you may need to perform some database maintenance. There are some checks made at startup to detect and correct database corruption (the sort that can occur in any database if the power gets cut at just the wrong time, or if Windows crashes during a buffer write). And as clips are deleted from the trash, the space is automatically re-used by new clips.

But you may wish to occasionally perform a thorough database check and compaction. We now have two options - the one that is built into the database engine, and one that we've recently built ourselves.

Comprehensive Database Repair

This is our new database repair function, technically known as a "database reorganization". This routine actually creates a new database (in the same directory), and copies all of your (valid) data into it. It will take several minutes to run, especially on large databases. If you find that you have database-related errors, or notice that your database directory or backup files are unexplainably large (ex: 100MB when you only have 100 clips), then run this function to clear it up. You'll find it under File | Database Maintenance | Comprehensive Database Repair. A database backup is automatically initiated at the beginning of the process, to avoid data loss should problems arise during this lengthy operation (such as a loss of power).

This routine will also empty the trash, and takes care of any database fragmentation issues.

Verify/Repair/Compact Database (simple repair)

This is the repair function built into the database. We're leaving it in "just in case" we run into situations where our new routine can't deal with a particular situation.

Run Cleanup Now

This causes the purging and aging process to run right now, moving old clips from collections that have reached their "retention limit", into the Overflow. Then it purges the Overflow collection into the trash, if it has also reached its own retention limit. You may need to reload any given collection (including Overflow) to see its actual contents.

The cleanup usually runs at startup, shutdown, or it may do a little bit during long periods of idle time. Occasionally, this can cause slowdowns or delays in startup/shutdown, so you can turn off the automatic cleanup, and just do it manually as required.

See Database Properties to see how your automatic database cleanup is configured.

Backup Files

As you run the database maintenance, a set of backup files may be created in the database directory. Each file in the data directory ending in a "K" is the backup. For example, BLOBTXT.BLB gets backed up to BLOBTXT.BBK. These files will be automatically deleted after two days.

Note that these do NOT mean that you no longer need to make regular backups of your data. This is just a safeguard in case the database maintenance is interrupted, or has some sort of unforeseen problem.

Exclusivity

Database maintenance requires exclusive access to the database files If you are in a multi-user environment, sharing a common database, then you need to have all other users close ClipMate (or de-activate the shared database). ClipMate will let you know if it attempts to perform database maintenance and cannot continue.


Clipboard Diagnostics

Options and Configuration > Tools Menu > Clipboard Diagnostics

This dialog box gives useful information when troubleshooting problems such as when ClipMate fails to capture new data, or when PowerPaste seems to "go crazy". Since ClipMate 6 can automatically detect and repair broken clipboard connections, this dialog is not as important as it was in previous versions. But it may still be useful, so we left it in.

General Tab

This tab has many boring, boring, setting that are useful only to tech support. A couple of mildly interesting ones are:

Application That Last Updated Clipboard

Shows which application has most recently updated the Clipboard. This can be useful when trying to determine where a particular update is coming from.

Formats Currently On The Clipboard.

This is a list of formats that are presently available on the Clipboard.

Connection Tab

ClipMate relies on "clipboard event notifications" to detect new data being copied to the clipboard. Usually, this works just fine. But sometimes a mis-behaving application will interfere with the notification, and ClipMate won't be properly notified of new data. So that's why we need the tools on this screen.

Applications in the Clipboard Chain

These fields show the name of the applications (if they can be determined) of the first application in the viewer chain, and the one immediately following ClipMate. In case ClipMate has been recently cut-off from communication, this information, especially the "First Application", may be valuable in determining which application may have severed the connection.

Note that whenever an application registers itself to use the Clipboard chain, it is placed in the first position.

If the "Next Application" shows "ClipMate", then there is a serious problem, likely a "loop" in the chain. You'll need to re-start ClipMate to cure this.

Beep On Clipboard Update

This is a diagnostic aid that causes a beep to sound when ClipMate detects a Clipboard update - this includes ClipMate's own Pings. It also includes Clipboard erasures.

It is useful if you're trying to detect ping failures, as it gives an audible "ping, ping, ping" to let you know of ping successes.

It is also very useful in detecting when applications cause multiple Clipboard updates, as they're copying data. Ideally, when an application copies to the Clipboard, they're only causing one update - but if they are causing multiple "hits", this will let you know.

As useful as this is, it becomes annoying quickly if you're not troubleshooting - so we don't save this setting from session to session.

Ping Clipboard Now

Causes an immediate ping, displaying the results. It should return an "OK" message, listing a short time interval (0ms-100ms is normal). If it times out, then the connection is likely broken.

Re-Establish Clipboard Connection

This will remove ClipMate from the Clipboard chain at its current position, and re-insert it at the front of the chain. This will virtually guarantee that ClipMate will again be communicating with the Clipboard, but it doesn't guarantee that other applications may not have been severed, as well.

Enable KeepAlive

Keepalive is the automatic detection and correction of severed clipboard communication. You'll be notified of the event by a notice in the status bar. It usually works fine, but if you find that you have a "loop", where the same clip is being copied hundreds of times, the you may need to turn this feature off. Contact Support for further advice.


SQL Window

Options and Configuration > Tools Menu > SQL Window

This is not an area of ClipMate that end-users will generally access. But you may be asked by our technical support people to go to this window and enter a command, to troubleshoot or correct some unforeseen data problem (data problems that ARE foreseen, have already been corrected, of course!), or possibly optimize your database for a particular data type.

Unless you've been directed here by tech support, you should probably leave it alone.

Be careful - You can easily destroy all of your data with this function.

Note: If you are using multiple databases, you should first select a collection within the database that you're interested in. That'll set the "current database", and the SQL window will know which database you want to talk to. You can see the name of the current database in the upper-left of the window.


Options Dialog

Options and Configuration > Options Dialog

ClipMate's User Preferences dialog is accessed from the Config menu, in ClipMate Classic or Explorer. Also, you can access it from the System tray menu. Many settings take effect immediately, but some will require you to re-start the program in order to see the effect.

This used to be called "User Preferences", but was changed to "Options" in version 6.5, for consistency with other programs.

See:

· General
· Visual
· Editor
· Capturing
· Application Profile
· Pasting
· QuickPaste
· Font/Language
· Hotkeys
· Sounds
· Database
· Printing
· Advanced
· Logging


General

Options and Configuration > Options Dialog > General

Startup

This section deals with which user interface elements should be pre-loaded when you run ClipMate. ClipMate can run with both Explorer and Classic loaded, either one, or none at all. It's a trade-off between startup time and responsiveness. With both interfaces loaded, ClipMate takes more time to come up. But they're ready when you want them. Furthermore, although you can load them both, only one will show at a time, so you can choose which to display when ClipMate is first run. Or you can choose to display nothing until you're ready to use them. It's perfectly acceptable to have them both loaded in the background, and showing "nothing". It's all up to you, and the way that you will use the program.

· Load Explorer at Startup - when ClipMate runs, it will pre-load the Explorer window in the background.
· Load Classic at Startup - when ClipMate runs, it will pre-load the Classic window in the background.
· Intially Show - determines which window to show at startup. If the selected window is not pre-loaded, it will not actually load/display until you activate ClipMate by clicking on the systray icon, an icon in the ClipBar, or by using the "activate ClipMate" hotkey (Ctrl+Alt+C).
· Start ClipMate when Windows starts - this causes ClipMate to load automatically when windows boots up. If you don't select this option, none of the above options have any effect until you run the program yourself from the Start menu or click on a shortcut on the desktop or quickstart bar. It works by setting an entry in the "run" section of the registy. In case you are interested, the key is: HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run
· ClipBar - there is no option here for the ClipBar. ClipMate will automatically load its ClipBar module if it detects the presence of the ClipBar Dock Site, running within the taskbar. If it's there, ClipMate populates it with the ClipBar buttons when it starts, or when you select "connect to ClipBar" under the Tools menu. See the ClipBar section for more information.

Other Settings

Confirm When Deleting Items From "Safe" Collections?

If you have a collection set to "never delete", you can have an extra measure of protection so that you don't inadvertently delete clips. You'll receive an "are you sure?" dialog.

Check for Updates and News?

When enabled, ClipMate will poll our server every 5 days to see if updates are available. If updates or new news articles are detected, a new "ClipMate Updates" or "ClipMate News" item appears on the main menu. Click to view the news about the update, which will contain any download links. For more information, see Automatic Update Check / ClipMate News.

Sort Collections Alphabetically

This determines the order in which collections appear in the Collection Tree and on the Select Collection, and Move/Copy to Collection menus. They can be ordered alphabetically, or by "sort key". If you use "sort key", you will order the collections in the Collection Tree by moving them up/down with the menu or the +/- keys.

Explorer Layout

· Full Width Editor - The editor uses the full width of the Explorer window, forcing a shorter Collection Tree.
· Full Height Collection Tree - The Collection Tree uses the full height of the Explorer window, forcing a narrower Editor.


Visual

Options and Configuration > Options Dialog > Visual

Show Item Type Icons?

Show or hide the little indicator icons to the left of the clip titles in the ClipList. See: Item Type Icons

Use Fancy Menus And Buttons

ClipMate normally shows icons in its menus and some of its buttons. If you prefer not to see them, or are visually impaired and are using a screen reader, you should turn this option off.

Magnetic Borders?

When positioning the window near the screen edges, this causes it to "snap" to the edge when you are within 16 pixels. This makes it easy to align to the edge or corner of the screen, and is sometimes known as "WinAmp" style.

Skins

ClipMate 7 features "skins" which give it a different look, and also add functionality by adding another button to the title bar for controlling "stay on top" toggling behavior. If you use another skinning program like WindowBlinds, you should not use skins within ClipMate, or else disable the ClipMate skinning within WindowBlinds.

ClipMate uses skins created for the popular "VCLSkin" library, but they need to be customized for use with ClipMate. So check our site for new skins.

If skins aren't available, then you may have opted not to install them. Just re-install the program, and select the "full install".

There is an option to skin the titlebar/menu. Turn off if you have another program that adds buttons or other items to the toolbar.

Skins with names starting with "3_" are "3-button" skins, and don't have the extra 4th button.

Show Hints (Tooltips)?

Show or hide the tooltip hints that appear as you hover your mouse over various controls. You can also determine how long they stay visible.

Show Clip Hint?

Shows the first 1024 bytes of the clip when you hover over the "current clip" box in ClipMate Classic or the ClipBar.

System Tray Icon Visibility

When using the ClipBar, the system tray icon becomes redundant. So the default is to only show the systray icon when the ClipBar isn't active. But if you want to, you can choose to show the system tray icon all the time.

System Tray Hint

The title of the system tray can contain either the title of the current clip, or the current collection. So you can hover your mouse over the system tray icon, and see what's on ClipMate.


Editor

Options and Configuration > Options Dialog > Editor

These options apply to the Preview/Edit window. In addition to these options, you can show/hide the toolbar in the editor by right-clicking, and selecting "show toolbar" from the menu.

Show Line Numbers?

The editor can optionally show the line numbers along the left side of the editor. Only available when viewing TEXT clips, and only visible if the toolbar is also showing.

Enable Binary View?

Sometimes you need to get down to see the bits and bytes of a clip. For example, is there really a carriage return AND a line feed, or just a line feed? Or what sort of header is present in an HTML clip? With the binary view, you can see this type of information.

Tab Stops

If you copy data from an editor that assumes that tab stops are set a certain way, but ClipMate's editor doesn't agree, then the data can look odd. So here you can adjust your tabs to be 4, 5, 8, 10, or whatever you need. Note that this does NOT affect the data at all. It only affects how the data displays within ClipMate.

Smooth Scrolling

Selects smooth or jump scrolling

Automatically Change Clip Titles?

Normally, the clip title is made from the first 50 characters in a text clip. If you edit the clip, do you want the title to change, or stay as it was? Here is where you set that preference.

Note: If you manually enter a title for the clip with the Rename Title command, then that title will "stick", and the clip title will not be automatically updated due to editing, regardless of this setting.

Default Editor View

Normally, new clips are shown using the "text" tab. But you can select another tab to use as the default.


Capturing

Options and Configuration > Options Dialog > Capturing

Enable Auto Capture At Startup?

Normally, ClipMate captures everything. But if you don't want it to, you can turn it off here, and it won't be enabled the next time you startup. To turn on/off temporarily, use the "AutoCapture" under the Tools menu.

Capture Existing clipboard data at startup?

If the clipboard contains a text clip when ClipMate starts, ClipMate can capture it instead of overwriting it.

Use Vista Clipboard Notification?

Vista includes a new clipboard API, which eliminates the troublesome "clipboard notification chain". If you are running Vista, you probably want to turn this on. This makes the "keepalive" and "reestablish clipboard connection" functions obsolete.

HDROP Expansion

When you copy from Windows Explorer, there is a format called HDROP that enables cut/copy/paste within Explorer – and possibly other applications that make use of the HDROP. But there's no human-readable listing of the files. If you enable this option, ClipMate will extract the list of files and turn it into a plain TEXT clip. For example, if you copy a file such as "hello.txt" from your "my documents" folder, the HDROP Expansion will result in a text item looking something like this: C:\MyDocuments\JohnDoe\helloc.txt

This is an automatic invocation of the Edit | "Convert File Pointer To Text" command.

Image Storage

While all images are captured from the clipboard as Bitmap, they are stored in compressed format as either JPEG or PNG. PNG is new to version 7, and provides superior image quality with comparable space savings to JPEG. We recommend that you use PNG, unless there is a need to share image clips with other users who are still on ClipMate 6.

Appending

When ClipMate Glues two Clips together with the Append command, you can control what goes between the individual Clips as they're combined. By default, a line-feed is inserted, but you can also use a tab character, or any other displayable character or set of characters. Use \t for tab, \n for line break.

If you select the Strip Trailing Line Feed option, ClipMate will look to see if the preceding Clip already has one or more linefeeds (this is common) and will remove them.


Application Profile

Options and Configuration > Options Dialog > Application Profile

Application Profiles prevent ClipMate from being overwhelmed by a mountain of data that you don't want. Many applications can present the same data in a number of ways, such as Text, Rich Text Format, Bitmap, Picture, OLE, etc. Microsoft Excel, for example, can provide the same data in 21 different formats. This is wasteful of both time and space, so you definitely don't want to capture EVERYTHING.

ClipMate's Application Profiles allow you to determine which formats to capture, on an application-by-application basis. It will examine the data that is presented the first time that you copy from any application. When ClipMate sees a new application, it will build an entry in the list of Application Profiles, and record every format that it sees. It will then make assumptions regarding the data, and choose some default settings. You can override the settings at any time. For example, if you see that ClipMate captures Text, Rich Text Format, and Picture from your word processor, and you only need Text, then you should turn off the other formats to save storage space.

The Application Profile Dialog

Found in the User Preferences dialog, the Application Profile consists of a collapsible tree, with the names of the individual applications at the top level. Click to expand, and see the formats that ClipMate has seen from the application. Think of the applications as the "branches", and the individual data formats as the "leaves".

You have checkboxes at each level. Turn off a checkbox at the application level, and ClipMate will ignore all data from that application. Turn off at the data format level (leaf level), and ClipMate will ignore that data format, from the corresponding application.

As you select the branches and leaves, there may be hints appearing in the box to the right, if we have any particular guidance about certain applications or formats.

Fine Tuning / Diagnostics

You can use the Capture Special and Trace Paste features to see what applications are actually necessary to have in the Application Profile. For more information, see Trace Paste.

See:

· Understanding Clipboard Formats


Pasting

Options and Configuration > Options Dialog > Pasting

Exploding PowerPaste

While PowerPaste will normally paste one clip at a time, you may have text that is formatted such that ClipMate can pick it apart and paste the individual fields. For example, it may be "comma delimited". ClipMate's Exploding PowerPaste can break the data up into "fragments", and paste the individual chunks of the clip. For more information on how it works, see: PowerPaste.

To configure, you need to determine what characters determine a fragment. You will commonly use commas, tabs, line-breaks, or spaces. Tabs are denoted with a \t and linefeeds are \n.

For a space, just put a space in the delimiter. The default set of delimiters is: ,.;:\n\t

You can opt to have the delimiter stripped out, and there is an option to have spaces and control characters stripped out as well.

PowerPaste Loop

There is a new "loop" option for PowerPaste. But it's not on this dialog, it's on the main menu, under Edit. Click to toggle it on and off. If it is set to LOOP, then when you finish the PowerPaste sequence (either exploding or regular), it will start over instead of quitting.

PowerPaste Shield

If you have trouble with other applications interfering with PowerPaste, causing it to "fast-forward", then you can use this option to enable PowerPaste to operate in "stealth" mode, hiding the clipboard updates from other applications.

This allows PowerPaste to proceed normally, without the other applications being able to prematurely trigger the PowerPaste advancement. In rare cases, the application that you are pasting into (the target application) may rely on the clipboard notification, and this option may need to be turned off. But usually this should not be the case.

When PowerPaste ends, the regular clipboard notification is restored.

Filter Outbound Clips

This toggles the Outbound Clip Filtering option. There are two modes: Active and Passive.

Passive filtering requires you to bring ClipMate to the foreground and then dismiss to the background, and as it loses focus, the clipboard is updated with the filtered clip. This is similar to the way that the outbound filter worked in ClipMate 6.5.

Active Filtering updates the clipboard as soon as any new clip arrives. If you copy HTML from FireFox, for example, ClipMate records the clip, capturing the various formats (Text, RTF, HTML, etc..) as directed by the Application Profile. But within 1/2 second, the clipboard is updated with the plain-text version of the clip. You'll hear a "whoosh" sound as this happens. Now you can paste as "plain-text", without having to interact with ClipMate at all.

Note: Outbound filtering, particularly in the "active" mode, will disable the ability to copy/paste files within Windows Explorer. This isn't a bug, it's just a side-effect of what you're instructing ClipMate to do: replace the clipboard contents with plain text. Future versions of ClipMate 7 will allow you to have further control over the filtering, so that you can make exceptions and accommodate special cases like this.


QuickPaste

Options and Configuration > Options Dialog > QuickPaste

Auto-Targeting

This section controls the Auto-Targeting feature, which is used to determine where data will be pasted when you press ENTER or double-click on a clip.

Auto-Targeting Enabled

This turns auto-targeting on/off. Note that when it is on, you can always "lock" the target, to temporarily override this feature, and that use of the QuickPaste Hotkey will also override the auto-targeting. So there won't usually be a need to ever turn this off.

Use Monitoring Thread (new in 7.1)

Sometimes the auto-targeting fails to find the right program, particularly if ClipMate is running in "always on top" mode. Use this option to cause the targeting to use a "polling thread" to continuously monitor the top-level program (where you are working) so that when you switch to ClipMate, it knows where you were working. Normally, ClipMate just sits and waits to be activated, and then looks to see "what was active previously?". But that doesn't always work if you use "always on top" windows, so the monitoring thread can help here.

Good Targets and Bad Targets

See Fine-Tuning the Targeting for information on what these are for.

Partial Matches

Useful for the "bad list" only, exclude an entire application by eliminating the classname. For example, ClipMate: (nothing after the colon) excludes any ClipMate window from QuickPaste consideration.

Paste Clip Into Target

Specifies whether double-click, or the ENTER key issues the "paste" command.

QuickPaste Formatting Strings

Allows special key sequences to be sent to the target application to invoke the paste action. Usually, the windows default of "ctrl+v" works fine. Other times, you may need Shift+Insert, or paste via the target application's edit menu. Or you may need to add special keys. Although the QuickPaste formatting strings can send other strings such as the date/time, URL, etc., this functionality should now be accomplished using the new Templates feature. The following topic describes the quickpaste formatting strings.


Configuring QuickPaste Formatting Strings

Options and Configuration > Options Dialog > QuickPaste > Configuring QuickPaste Formatting Strings

Here is where you can configure the QuickPaste Formatting Strings, which are used to determine what keystrokes are sent to the target application during the QuickPaste operation. This section will show you how configure each component of the formatting string. There is another topic under the "Using QuickPaste Format Strings" section that talks about how to USE this feature.

The formatting strings are used to send special, or additional keys to the target application during QuickPaste. Most applications are happy pasting with the standard Ctrl+V key. But some applications, particularly older ones, prefer Shift+Insert, or will only behave properly if the pasting is done via the Edit | Paste menu. So some special handling is needed in some cases. Since we had to build that mechanism, we decided to allow for just about anything to be keyed into the application, either before or after the paste takes place. This may seem rather odd, but we've had quite a few requests for some very odd things to be added to ClipMate, and this will take care of many of them rather nicely.

In the graphic above, you see the various components of the QuickPaste Format String. Here are the components and their purposes:

Title

Just a title, to show the meaning of the special formatting instructions.

Preamble

Text to be inserted before the clip is pasted. ex:

· Here is a nice clip: {TAB}
· Paste Keystrokes
· Keys used for pasting into the target app.
· Typical Keys:
· Ctrl+V: ^V
· Shift+Insert: ~{INSERT}
· Edit + Paste Menu: @e#PAUSE#p

Postamble

Text to be inserted after the clip has been pasted.

Title Trigger

This can be used to invoke a particular format to be used with a particular application.

Use application names or other strings that appear in the title of the target application, to trigger the use of a specific format.

For example, if you always use a specific format with "Notepad", then you can put Notepad in this field.

Meta Characters and Macros

There are many special keys and expandable macros used by the "sendkeys" processor.

^ | Ctrl (control) key. As in ^c for Ctrl+C
~ | Shift key. As in ~{INSERT} for Shift+INSERT
@ | Alt key. As in @e for Alt+E (often invokes Edit menu)
{TAB} | Tab key. Just as if you typed the TAB key on the keyboard.
{ENTER} | Enter key.
#DATE# | Date of clip capture.
#TIME# | Time of clip capture.
#CURRENTDATE# | The current date.
#CURRENTTIME# | The current time.
#URL# | The Source URL of the clip.
#CREATOR# | The application that created the clip.
#TITLE# | Clip Title.
#PAUSE# | 10ms pause.
#SEQUENCE# | A numeric sequence.
Any Literal a..z, A..Z, 0..9, space. | Any other text that you need.

Examples

· To place the title of a clip on a line before the clip itself, enter a preamble of: #TITLE#{ENTER}
· To cause the pasting to be done with the Edit | Paste menu, use a Paste Keystrokes of: @e p. Optionally, use a #PAUSE# to slow it down, as in @e#PAUSE#p.
· To display the source URL after a clip is pasted, use a postamble such as: Found on the WWW at: #URL#{ENTER}.


Fonts / Language

Options and Configuration > Options Dialog > Fonts / Language

ClipList Font

This is the font used to display the ClipList in both ClipMate Classic and Explorer.

Text Preview Font

This sets the font used to display TEXT clips in the editor, using the TEXT pane of the display.

Printing Font

Choose the font used to print TEXT clips. Tip: try to use a mono spaced font like Courier New. And try to keep the size small enough so that the data does not wrap prematurely by hitting the right margin before it reaches the line length in the original document.

All Other Controls

Use this if the dialog boxes look strange.

Language:

Use this to activate a translation file. Translation files are available on our web site.

Tips:

Fonts do NOT affect the data. None of these font settings affect the data. It just makes it easier (or harder) to see and edit the data in ClipMate. For example, if you copy the data as Arial 10 pt, and then change the font of the editor to display as Times New Roman 14 pt bold, do not be surprised when it still pastes as Arial 10 pt (or even if it pastes as something completely different, as the font is really up to the application that you're pasting into, when it comes to TEXT data.)

Japanese/Shift-JIS/Kanji: For displaying Shift-JIS data in Japan, use a font that supports Shift-JIS such as MS Gothic, with the script set to Japanese.

Unicode

ClipMate can perform code page translations on Unicode Data to enable it to capture Ansi Text with the correct code page, when the clipboard may not contain the right data. Please see Unicode To Ansi for more information.


Hotkeys

Options and Configuration > Options Dialog > Hotkeys

There are several hotkeys that can activate ClipMate functions even when you are working in another application. These are known as Global Hotkeys. Since only one application can be assigned to a particular hotkey sequence, it is possible for conflicts to arise. For that reason, and for user convenience, the hotkeys are changeable in this dialog.

To change a hotkey, position the mouse within the desired hotkey control, and type in the hotkey sequence. You can insert "Alt+", "Ctrl+", "Shift+", and "Win+" from the right-click menu.

Once you have set the hotkey, you must TEST the hotkey to see if ClipMate is able to reserve the hotkey in Windows. This is a "spot check" to see if there is a conflict with keys already reserved by applications that are running right now, or if your selected hotkey isn't valid.

Valid Keys:

You can use a-z, A-Z, 0-9, F1-F12, Insert, Up, Down, Left, Right, PgUp, PgDn, End, Home.

They are used in combination with the Ctrl, Alt, Shift, and the "Windows" modification keys. Separate with the Plus (+) symbol. The modification keys go first.

ex: Ctrl+Shift+Q, Ctrl+Alt+C, Win+V, Ctrl+F12, Win+PgUp

Invalid Key Combinations

Some key combinations are unwise! Shift+A, for instance, would make it impossible for you to type a capital A. It is also unwise to map the standard cut/copy/paste (Ctrl+X, Ctrl+C, Ctrl+V, Shift+Ins) keys, as this would hinder your ability to copy/paste, and would render QuickPaste inoperative.

Hotkey Commands

Show ClipMate Window

This will bring either ClipMate Classic or ClipMate Explorer to the foreground. It is essentially the same as clicking on the system tray icon.

Scroll To Next / Previous Item In Collection

Activates the next or previous clip in the current collection.

Activate QuickPaste

Brings ClipMate up in QuickPaste mode. See: QuickPaste for more information.

Region / Object Screen Capture

Initiate either of these two screen capture modes. See: Screen Capture for more information.

View Clip In Floating Window

Opens a floating view/edit window. Very handy when the viewer within Classic is too small (or isn't active). Tip: use ESC to dismiss the window when you are done with it.

Pop-Up ClipBar List

Same as clicking the drop-down arrow on the ClipList. This gives you a keyboard-centric way of dealing with ClipList.

Toggle Auto-Capture

Turns auto-capture on/off, allowing you to suspend/resume the automatic capture of new clipboard clips

Manual Capture

Useful when Auto-Capture is turned off, this will capture the current clipboard contents.

Manual Filter

Similar to the "filter outbound clips", but it filters the clipboard immediately, without the automatic filter being turned on. This will essentially update the clipboard, removing all formats except for Plain Text (or Bitmap, if it's a graphic clip, without Text present).

NOTE:

ClipMate does not have hotkey support for individual clips. Instead, use the Shortcut facility for assigning "key sequences" such as ".cc.v.n" to individual clips, accessible within QuickPaste.


Sounds

Options and Configuration > Options Dialog > Sounds

There are various events that can trigger a sound from ClipMate. Most users find the sounds to be useful, some do not. You can turn the sounds on/off here, and you can even choose your own sounds from .WAV files.

Use the "test" button to hear the various sounds.

Tip: If you choose your own sound files, be sure to keep the files small! You don't want to tie up your CPU or disk drive by playing large sounds during clipboard events. 8-16KB is a good size. You can use the Windows Sound Recorder to "downgrade" other .wav files to make them smaller.

Events

· New Data Captured from Clipboard - Lets you know that ClipMate has successfully captured new data, usually from a COPY or CUT operation. Sometimes it can happen unexpectedly, as some programs copy data on their own. It's particularly rude when they do it when they start up.
· Appending New Data To Existing Clip - Happens when Append is turned on, and you copy new data.
· Clipboard Erased - Something has erased the clipboard.
· Data Ignored / Rejected - Data rejected, possibly because there weren't any formats that matched the application profile entry for the particular program that you copied from. For example, suppose you have configured ClipMate to only capture plain text from your browser. Now you've copied a bitmap, so it rejects.
· PowerPaste Complete - PowerPaste has reached the end of its sequence, and has ended. A double-sound indicates that it is looping around to repeat the sequence.
· Network Update - another user has updated the database over the network and new clips are available.
· Outbound Clip Filter - This sound usually plays right after the "New Data Captured" sound, to indicate that the incoming clip has been put BACK onto the clipboard, as plain-text. So you hear the "pop" sound, and then the "whoosh" sound, letting you know that two events have occurred. It also plays if you manually filter a clip.

Unexpected Sounds

If a sound plays when you don't expect it, then some program on your system is doing something to the clipboard that you don't expect! It's fairly common for programs to update the clipboard when they shut down. But it's very RUDE when they use the clipboard when they start up! If you get a POP or Boing when starting a program, then it's probably using the clipboard to copy/paste its own stuff, possibly moving buttons onto its toolbar.

Use the Sound Settings panel of the User Preferences dialog to play the various sounds, and determine which event you are hearing. You may also be able to correlate to items in the event log. Then you may be able to determine what's happening.


Database

Database (Overall Properties)

Options and Configuration > Options Dialog > Database

Here is where you control what databases you want to connect to when ClipMate starts. By default, every ClipMate installation creates a database called "My Clips", stored on your local hard drive, set for single-user mode.

But you can add others, if you like. The most popular use for this is to enable multi-user sharing on a network. Other users may have secondary data sources on ZIP disks, or CD-ROM. Or you may want to keep old databases available for occasional use. Whatever the need, ClipMate can probably handle it.

Database Definitions

· Each database is listed here. The checkmark determines whether it will be loaded at startup or not. The individual fields are explained in detail on the Database Properties dialog.
· Add Button - creates a new entry and edits with the Database Properties dialog.
· Edit Button - edits the current entry with the Database Properties dialog.
· Delete Button - deletes the current entry.
· Open Folder In Windows Explorer - uses Windows Explorer to open the directory. You'll likely see the list of database files. ClipMate uses a series of .DAT (Clip and COLL headers), .IDX (Database Indexes), and .BLB (The actual data) files. You'll have about 22-24 of them. If you have files ending in K, those are backups left over from database cleanup or repair, and can be deleted.
· Note that each database must reside in its own directory, and there should be nothing else in there. Don't try to put two databases in the same directory, and don't put the database into a directory that's used for other things. You can put it BELOW common directories like "My documents", but don't just set it to "My documents".

Database Maintenance

· Internal Backup Interval - how often to invoke the built-in database backup routine.
· Set Offline Daily - use this option to cause ClipMate to close the databases, to allow external disk utilities (backup programs, antivirus, compression, defrag, etc.) programs to access the database without running into "file in use" issues or errors.
· Backup Interval and Countdown - Same settings that you see on the backup screen.

About our database:

We're using the award-winning DBISAM by Elevatesoft. DBISAM is small, fast, and can scale to handle dozens of simultaneous users and thousands of clips.

Also See: Database Maintenance for detail on running backup, restore, and repair/compress.


Database Properties

Individual Database Properties

Options and Configuration > Options Dialog > Database > Database Properties

Here are the properties of the individual database definition(s). Think of it as an address book entry, that tells ClipMate where to find a database, whether to load at startup, whether it is multi-user, etc..

· Title - Title of the database. Shows up at the top level of the collection tree.
· Directory - path to the database. Must be on a local drive, or network drive mapped to a drive letter. You must have read/write access to the directory and files.
· Auto Load Data Source At Startup? - If a database is seldomly used, or is not available right now, you can tell ClipMate not to load it. (Beginning with v6.2, you can dynamically load any database after ClipMate has started.)
· Multi-User? - are other users updating this database at the same time that you are? If so, you should set this option.
· Allow this user to backup the database? - turn this OFF to suppress the weekly backup reminder for this database, while still allowing local databases to be backed up. See Database Backup
· Read-Only - This prevents ClipMate from trying to write or save any data into this database. You must have at least one "read/write" database though.
· Trashcan Retention Days - How long to keep items in the trashcan before deleting? 7-30 days are recommended. Setting to 0 won't necessarily make ClipMate more efficient, due to database allocation issues.
· Purging and Aging - This applies to the scheduling of the Overflow and Trashcan processing. If you are sharing this database on a network, you should have only ONE user set to perform this option. Otherwise, you have the choice of running this maintenance during startup, at shutdown, or continually (runs an hour after the last user activity). Most users should choose the "at startup" option. But if you keep your system up for weeks at a time, and process a lot of data, then perhaps the Hourly option is for you. You can also leave the automatic clean up turned off, and run the cleanup manually.
· Temp File Location - The database needs to open a few "temp" files, and this setting determines where they go. They can be placed beneath the database directory, in the directory identified as "TMP" in your system settings, or right in the program directory (\program files\clipmate6\temp). Prior versions of ClipMate 6 always stored those files system "TMP" directory, but some users ran into trouble, usually from "cleanup" programs that were clearing out the TMP directory. So now we have 3 options. You should use:

1. Database Directory - Best option - use unless the database is on a slow device (compact flash, CD, or network). Don't use this option if the datbase is on a network.

2. System TMP - Good performance, but can cause problems at windows startup (you'll see errors mentioning the temp directory) if other utilities are busy clearing out the temp directory while ClipMate is opening the databases.

3. Program Directory - use if the other two don't work for you.

Also See: Overall Database Settings Page.


Database Backup

Options and Configuration > Options Dialog > Database > Database Backup

ClipMate's database is very robust, and it can recover from many different types of problems. But you still need to make backups. If Windows crashes and trashes the part of the hard disk where ClipMate's database resides, your data will be gone. If a virus infects or destroys the database, your data will be gone. If your hard drive fails because the manufacturer engineered towards capacity instead of reliability, your data will be gone. (Note: we've recently noticed a trend in warranties from major hard disk manufacturers. Instead of a 3-year warranty, they are now changing to 1 year. What does that say about the future of hard drive reliability? Quite a lot, we think!)

We hear from customers EVERY DAY, who are rebuilding their systems due to hard drive failure, virus attack, theft, etc... You name it, we've heard it.

ClipMate's Backup Solution

ClipMate has a built-in ZIP-based backup facility, which will backup your database(s). Since the backup can take several minutes on large databases, it is not set to run automatically. Instead, it will prompt you at startup to let you confirm the location. If you don't want to backup, just click Cancel. Otherwise, click OK to start the backup. Each new backup file has the date in the filename, so you can keep several generations in the same directory. Here's an example file of the "My Clips" database, generated on October 16, 2002: D:\backups\ClipMate6_DB_My Clips_2002-10-16.ZIP

When to backup?

By default, it will prompt you to perform a backup every 7 days, when ClipMate starts up. You can change this in the Database tab of User Preferences, and also on the backup confirmation dialog. Backups normally happen as ClipMate loads - but you can also manually invoke backup by going to File | Backup Database.

Manual Backups?

You can run the backup manually, with File | Database Maintenance | Backup Database.

How do I get rid of the reminder message?

If you do NOT want to be prompted to perform the backup, set the "reminder interval" to 9999 days, or 0.

How do I have the backup run unattended?

On the backup confirmation dialog, there is an option to automatically OK the dialog. Enable the option, and set the countdown to 2 or 3 seconds. This still gives you enough time to intervene, if needed. Clicking on any control on the confirmation dialog cancels the countdown (but you can still click OK manually), allowing more time to make changes, or abort the operation.

Where to backup to?

If you back up to the same hard disk that has everything else on it, then you are still vulnerable - so you should consider backing up to another hard disk if you have one, or else transfer the resulting .ZIP file to CD-R, ZIP disk, etc.. For example, run the backup into your My Documents folder, but every month, burn the most recent backup onto a CD.

Multi-User Considerations?

You should not perform backups on databases that are being actively written to by multiple users. And you should not have everyone being nagged about backing up the group database every week. So there is an "Allow User To Backup This Database" option in the Database Properties dialog. Turn it OFF for everyone except the one user that you designate to run the backups. Unless you have a server-based backup solution (tape, etc.), in which case you set this flag off for all users.

What gets backed up?

All database files - .dat, .idx, .blb files, located in the data directory of any given database.

What about the old files?

Old backup files are currently not automatically deleted - so you should periodically delete unwanted backup files. If you will have need for archival data, you should consider keeping one backup from every month for several months, then maybe one for each end-of-year.

What if I have my own backup solution already?

Great! Just include each database directory in your regular backup scheme. Use the "Set Database Offline" option to schedule some ClipMate "downtime" to correspond to the backup schedule, so that ClipMate's databases will be "closed" when the backup program tries to access them.

Also See: Database Restore


Database Restore

Options and Configuration > Options Dialog > Database > Database Restore

This restores the database using a backup file made with the backup facility. Use File | Database Mainteance | Restore Database, select the backup file (ex:ClipMate7_DB_My Clips_2005-10-16.ZIP), and it restores it into the current database.

IMPORTANT: If you have multiple databases defined and active within ClipMate, you should first select a collection within the database that you want to restore to. That sets this database as the "active" database, which will be the restoration target. There is a confirmation dialog box that will confirm the name and directory of the target database. It will warn you if the database name and backup filename do not appear to match.

Special Considerations For Database Restore:

· Preserve Interim Data - Let's say that you have an old backup that you want to restore, but don't want to overwrite your existing database. In that case, you should create a new database, activate it, and restore the backup into the second database. Then you can either continue to use both, or move important clips from one into the other, and then jettison the one that you don't need.
· Backup before you Restore - if you aren't sure that your old database is going to leave you in a better state than you are currently in, you should backup your existing database first before overwriting with the old backup. Since the backup files are dated (date in the file name), don't worry about overwriting the good backup file with a newer one.

Note: You can also simply use an UnZip program to extract the database files from the backup archive, into the database directory. In some situations (e.g. ClipMate won't start due to corrupt data), you may have to resort to this technique.

Also See: Database Backup


Printing

Options and Configuration > Options Dialog > Printing

Here is where you control ClipMate's printing engine, which was re-designed for ClipMate 7.3. ClipMate now uses the RAVE printing engine from Nevrona Designs, which is a "report-based" engine, as opposed to a "code-based" engine that we used in the past.

ClipMate has a series of standard reports for text and bitmap items, optimized for portrait or landscape printing. There are reports for printing single items on a page, and multiple items. By default, it's going to use the reports that print multiple items on a page, but you can select other reports.

The report layouts determine the orientation of the printed pages (instead of the printer setup), so you can have text items printed in portrait mode, and images printed in landscape mode. There is an override to allow "large" images (typically screenshots) to use a whole page.

ClipMate can print either TEXT or Bitmap data, but not Rich Text Format, other graphics formats, or specialized formats.

Note: There is an interesting exception though, because HTML can be printed by viewing the HTML clip in the editor, right-clicking, and print from the right-click menu. This uses Internet Explorer's native printing support.

Here are the settings that you have:

Use Printer:

Determines which printer to use. If set to "default" (or no selection), will use the system default printer.
Note: Printer orientation is determined by the report, so the orientation setting is no longer on this page.

Print Header?

Prints "ClipMate Report", or any other text you prefer, at the top of the page in large font.

Print Details?

Prints details about the clip: clip title, date/time of capture, source URL, and creator (where the clip came from).

Print Footer?

Typically the page number and date/time of printing, but you can include your own text here as well. The default footer contains commands understood by the RAVE printing engine, such as Report.TimeShort. If you need to modify the footer, but still keep the date/time/page information intact, here is a sample that you can modify (double-quotes matter!):
"Report Printed at " + Report.TimeShort + " on "+ Report.DateShort + " Page:" + Report.CurrentPage + " of " + Report.TotalPages

Here is a list of all available fields for inclusion in the footer:

Report.CurrentPage, Report.RelativePage, Report.DateShort, Report.DateLong, Report.DateUS, Report.DateInter, Report.TimeShort, Report.TimeLong, Report.TimeAMPM, Report.Time24

Automatically print screen shots?

Here you can have ClipMate output all screen shots captured with the PrintScr key, to the printer. Just like the good old DOS days!

QuickPrint

Normally, ClipMate will show a "print setup" dialog when you print, giving you the opportunity to select a printer, or view the Print Preview. If you don't need to see that, turn ON QuickPrint, and this step is bypassed, and the job prints without further interaction.

Report Selection

Text Clips

Report to use for text clips. The multi-print feature will print about 7-8 small clips on a page, yet large items can span several pages.

Small Bitmaps

For bitmaps UNDER the threshold. Useful for printing small graphics, 4 or 6 on a page.

Large Bitmaps

For bitmaps OVER the threshold, one to a page.

Large Bitmap Threshold

This determines the size limit for "small" vs "large" bitmaps. Set to 0 to force all bitmaps to use the "large" (one item per page) report. Set to 9999 to make all images print on the "small" (multiple images per page) report. 640 is typically a good indicator that a bitmap large enough that it should go on its own page.


Advanced

Options and Configuration > Options Dialog > Advanced

Startup Delay

Causes ClipMate to pause for a set number of seconds before initializing. This can prevent conflicts with other applications during system startup, such as when two applications try to insert themselves into the Clipboard chain at the same time.

Capture Delay

Cause ClipMate to pause for a short time after you copy data, to let the copying application finish the copy operation. This avoids ClipMate "stepping on the toes" of the other application. Usually, 250 milliseconds (1/4 second) is plenty, but if you have large, complex applications, a slow computer, or are copying very large data types, then you can increase this time to avoid getting the "Can't open Clipboard" error messages.

Settle Time Between Captures

This setting defines the minimum amount of time to wait after capturing an item, before accepting new items. If you are experiencing missed copies when copying data in rapid succession, especially from macros or other automated programs, you can try to compensate by adjusting this setting to a shorter delay. Beware though, as it may cause conflicts with other applications that do not release the Clipboard quickly after copying.

PowerPaste Delay

Sets the delay period between when you paste an item and the re-load of the next item. If PowerPaste is having trouble, you can slow it down a little perhaps giving your target application time to process the data.

Alt key required for collection drag/drop?

By default, you must press the ALT key in order to move collections via drag/drop, in order to prevent unintended drag/drop from re-arranging your collections.

Pay Attention To Clipboard Ignore Flag?

This can be used to have ClipMate ignore updates from other clipboard-enabled programs, which wish to have ClipMate ignore their updates. Sometimes you need to turn it off, to solve certain bugs with other programs - contact tech support: support@thornsoft.com.

Use Internet Explorer To Display HTML?

ClipMate uses Internet Explorer (4 or later) to display HTML data internally. If you don't want it to display HTML, or if you are having problems with your internet connection failing to hang up when you close IE, you can try turning this off. The change will take effect upon restart.

Pre-Load IE Cache?

This has to do with displaying images in HTML. During testing of v6.0.06, we determined that pre-loading the cache did not seem to have any effect so we turned it off, but left this setting here in case we need to turn it back on.

Enable Auto Capture At Startup?

Normally, ClipMate captures everything. But if you don't want it to, you can turn it off here, and it won't be enabled the next time you startup.

Enable Cached Database Writes?

For performance reasons, ClipMate's database caches updates. Turning this option off guarantees that all database updates are immediately written to disk. However, you'll notice "disk chatter" and a slight delay, with every update. Only turn this off if you experience frequent crashes which lead to data loss.

Collection Menu Style

This will cause the Collection Menus to either scroll up/down or break into multiple columns. This is only apparent if you have too many collections to fit on the screen.

Reset All Settings To Defaults

If the settings become terribly fouled somehow, this provides a way to reset all settings to their defaults. A restart is required. If you have purchased a license, be aware that this will "un-register" your copy, and you'll need to re-enter your key when you restart.

Alternately, you can press Ctrl+Shift as ClipMate loads, which also gives you this option.

Clear Application Profile

If the Application Profile becomes corrupted, you can clear it with this button. It clears all entries, wiping the Application Profile completely clean. A restart is required afterward.


Logging

Options and Configuration > Options Dialog > Logging

When trying to troubleshoot problems, our technical support may ask you to alter the Logging options which will cause certain information to be entered into a log file as ClipMate runs. You should not normally need to adjust these settings.

The logs are stored in the primary data source directory, which can be easily opened with the "Open" button on the Data tab of the User Preferences dialog. Normally, logs are kept for a week, and they're named with the creation date.


Path

Options and Configuration > Options Dialog > Path

This page gives a consolidated view of the various directories. Not all can be changed here - the database directory is specified in the Database Properties dialog, and others such as the log and temp directories can be manually set in the registry or .ini file.

There is an option to switch between registry and .ini storage. However, if a file named clipmate_settings.ini is found at startup, it will be used instead. For this reason, switching from .ini to registry will result in the deletion of the current .ini file. Command-line overrides can also force a .ini file to be used. For more information, see the Settings and Directories topic.


Visibility

Options and Configuration > Visibility

See: Visibility: On-Top and Auto-Hide


Toolbar Customization

Options and Configuration > Toolbar Customization

Most of the toolbars (the main bars in Classic and Explorer, the two bars in the Clipbar, and the Editor toolbar) are customizable. Just right-click on a button or clear space, and select "customize" from the menu. There are a few buttons that have their own menus, such as the "select collection" button, so just pick a different button to right-click.

On the Customize Toolbar dialog, you can move buttons back and forth between the "available" and "on the toolbar" columns. And you can arrange the buttons with the up/down arrow buttons. There is also the option to use the large (24x24) buttons or the small (16x16) buttons.

If you cancel, the toolbar will revert to its prior state when you re-start the program.


Settings and Directories

Options and Configuration > Settings and Directories

For many years, we followed Microsoft's recommendation and simply stored all settings in the registry, under "HKEY_CURRENT_USER". But with the increasing popularity of USB sticks and other users wanting to move and share settings, a more flexible solution is needed. Taking into account the strict directory structure imposed by U3, and the strict security enforced by Vista and other "locked-down" computers, we now have the following hierarchy of places that ClipMate will look for settings, before resorting to the default registry location.

Here are the options, from highest to lowest priority.

1. ClipMate_Settings.ini in U3 "application data" directory (IF running as U3)
ex: M:\System\Apps\E21B62F2-4CFA-4913-9B79-4F955F4F202D\Data\ClipMate_Settings.ini
2. Command Line Parameter - if you specify INIDIR as a command-line parameter.
ex: ClipMate.Exe INIDIR="{PORTABLEDRIVE}:\data\ClipMate\"
3. ClipMate_Settings.ini found here: Directory containing ClipMate.Exe
ex: C:\Program Files\ClipMate7\ClipMate_Settings.ini
4. ClipMate_Settings.ini found here: "application data" + "\Thornsoft Development\ClipMate7", where "application data" is determined by the Windows registry.
ex: C:\Documents and Settings\<username>\Application Data\Thornsoft Development\ClipMate7\ClipMate_Settings.ini
5. Windows Registry, just like all versions of ClipMate 5,6,7 prior to 7.2.
ex: HKEY_CURRENT_USER\Software\Thornsoft\ClipMate7

It doesn't do any good to hard-code a drive letter such as "M:\" or a username such as "Fred's PC" in a path, when you want the application to be portable on a USB thumb drive. So all of the paths specified in the .ini files or registry (log, temp, data, template, export, etc..) can be "tokenized" with variables that will be evaluated when the program runs. Some are "U3-only", while others can be used outside of the U3 runtime environment.

Directories

You can edit the "Directories" section of the registry or .ini file, or use command-line parameters, to override these settings. Shutdown ClipMate prior to editing.

ex:

[Directories]

Log="C:\Documents and Settings\JoeUser\Application Data\Thornsoft Development\ClipMate7\log\"

Temp="D:\Temp\CipMate7_temp\"

Templates="{COMMON_APPDATA}\ClipMateTemplates\"

Substitution Tokens

· {EXE_DRIVE} - Drive letter of the drive that ClipMate is running from.
ex: ExportDir={EXE_DRIVE}\Data
· {EXE_PATH} - Complete path to the directory where ClipMate is running from.
· {APPDATA} - Your "application data" directory, as directed by the windows registry.
· {COMMON_APPDATA} - Common "application data" directory for all users, as directed by the windows registry.
· {LOCAL_APPDATA} - Like AppData, but local to the current machine. Useful in managed environments where the regular AppData profile is stored on the server, and you want to prevent files from being sent to the server.
· {MYDOCUMENTS} - Your "My Documents" directory, as directed by the windows registry.
· {SYSTEM_TEMP} - System TEMP directory.
· {DB1DIR} - Directory of database, passed on command line (CAUTION).
· {PORTABLE_DOCUMENTS} - U3 or PortableApps "Documents" folder, defaults to regular "My Documents" if not running on U3 or PortableApps.
· U3 - these are only in effect when ClipMate is run within the U3 environment
· {U3_DEVICE_PATH} - Drive letter of U3 device.
· {U3_DEVICE_DOCUMENT_PATH} - The "Documents" directory of U3 drive
· {U3_APP_DATA_PATH} - Directory in the "hidden" area of U3 drive, where ClipMate's settings reside.
· {U3_DEVICE_EXEC_PATH} - Directory in "hidden" area of U3 drive, where ClipMate's other files reside, such as the help, language files, etc..
· {U3_HOST_EXEC_PATH} - Directory on your hard drive, where ClipMate has been temporarily copied to, for execution within the U3 environment.

Tip: Examine the log file for the directory assignments, which show the tokenized and expanded paths, and indicate whether the directory exists or not. Look for the ** Directory Assignments ** section.

Tip: .ini directories will be skipped if they do not exist.

Tip: Directory information can be easily copied with the "clipboard" button in the About box.

Tip: You can create a .ini file from the current (registry) settings by switching the storage type in the Tools | Options | Path dialog.

NOTE: Command-line parameters take precedence over registry or .ini settings, and in the case of U3 or PortableApps, command-line parameters ARE being sent to ClipMate by the launcher. You can override the PortableApps parameters with the ClipMatePortable.ini file.


Command Line Options

Command Line Parameters

Options and Configuration > Command Line Options

There are a few command-line options that can be used, either by modifying a shortcut, calling from a batch file, or entering in a command window. Some are purely diagnostic.

ClipMate Command Line Parameters

· STOP - Halts previously-running instance of ClipMate by sending it a kill message. Useful when using external overnight backup programs.
Must be first and only parameter
ex: ClipMate.exe STOP
· NOCAPTURE - Start ClipMate with autocapture=false
Must be first parameter
ex: ClipMate.exe NOCAPTURE

The following ClipMate parameters can be in any position

· INIDIR=(path) - specifies location for ClipMate_Settings.ini file. This will override all other settings storage options.
ex: ClipMate.Exe INIDIR="D:\data\ClipMate\"
ex: ClipMate.Exe INIDIR="{EXE_DRIVE}:\data\ClipMate\"
· TEMPDIR=(path) - Location for temp files. Do NOT set this to a removable drive.
ex: TEMPDIR="c:\temp"
ex: TEMPDIR="{SYSTEM_TEMP}"
ex: TEMPDIR="{APPDATA}\ClipMateTemp"
· LOGDIR=(path) - Location for log files. Do NOT set this to a removable drive.
ex: LOGDIR="c:\temp\ClipMateLog"
· TEMPLATEDIR=(path) - Location for template directory
· DB1DIR=(path) - Location for first database
ex: DB1DIR="{EXE_DRIVE}:\documents\ClipMateDatabase
· DB1NAME=(name) - Name for first database.
ex: DB1NAME="USB Clips"
· PORTABLE=("U3" or "PORTABLEAPP")
Signifies special processing for U3 or PortableApps.Com portable framework.

Registration Related - License Manager Parameters.

· INFO - Displays registration name and key
ex: ClipMate.Exe INFO
· SHOWNETUSERS - Displays all computers using the same registration key as this computer.
· REGISTER - Displays the "backdoor" Enter Key dialog (useful if you get locked out with expired/piracy problems, and now need to re-enter a good registration code).

Portable Versions

When run from a portable drive running either "U3 Smart" or "PortableApps" frameworks, ClipMate normally runs from a launcher, and it is not possible to modify the command line directly. With U3, that's usually not a problem as U3 is pretty strict about the location of various files. With PortableApps, you can modify the ClipMate_Portable.ini file in the launcher directory, which will pass your preferences on the command-line when it calls ClipMate. See the included readme.txt file.

With either U3 or PortableApps, it IS possible to call the ClipMate.Exe program directly, to perform the STOP command.


Advanced

Once you understand the basics, there are many advanced features and options that can make ClipMate even more convenient and powerful. Here we explain the various options, as well as database management, spell checking, screen capture, PowerPaste, exporting, and sharing data on a network.


Templates

Advanced > Templates

Templates allow you to paste a clip along with other attributes of the clip such as the date/time that it was captured, the source of the data, URL, etc.. It works like a "mail merge", where you have a layout file with "tags" that determine where the various fields of the clip will appear in the "output", in this case, the text actually pasted into the target.

Let's look at an example.

Suppose you are copying contact information from a web page, and need to paste into a document, along with the date/time and URL that the data was copied from.

Here is a sample data record:

Asprin - good for headaches, fever, blood thinning.
Hard on stomach.

And you would like to paste it into a Word document, showing not only the clip, but the source, and date/time that you captured the data. You may desire a format like this:

Words of wisdom found on site: http://www.quackrx.com/asprin.htm
Added to my ever-expanding knowledge on: 9/2/2005 11:59:02 PM
Here is the sacred text:

----------------------------------------------------
Asprin - good for headaches, fever, blood thinning.
Hard on stomach.

----------------------------------------------------
Recorded into the almighty "winword" on this date: 9/3/2005 08:59:02 AM

You would likely use a template similar to this one:

Words of wisdom found on site: #URL#

Added to my ever-expanding knowledge on: #DATE# #TIME#

Here is the sacred text:

----------------------------------------------------

#CLIP#

----------------------------------------------------

Recorded into the almighty "winword" on this date:

#CURRENTDATE# #CURRENTTIME#

This silly example demonstrates the versatility of the templates. The complete list of replaceable "tags" is:

· #DATE# - date of capture
· #TIME# - time of capture
· #CREATOR# - source application
· #TITLE# - clip title
· #URL# - URL that item was copied from, if from a browser, and IF URL can be determined.
· #CURRENTDATE# - right now
· #CURRENTTIME# - right now
· #SEQUENCE# - sequence number - 1, 2, 3, etc..RESET from the templates menu.

How it works

Unlike QuickPaste Format Strings, which send additional keystrokes to the target application before and after the clip is pasted, templates are pre-assembled before being transferred to the system clipboard. So in the example above, the URL, date/time, etc., along with the text of the clip, are all "merged" into the template, and then the whole thing is then placed onto the clipboard. Then it can be simply pasted into any program, without the complexity and compatibility issues of sending dozens of keystrokes.

The advantage is that it's a much more reliable method of transfer - it's just using the clipboard, like any other clip. So you don't have "runaway macro" situations, or keystroke compatibility problems. The disadvantage is that it cannot append any special navigation keys, such as tabs or ENTER keys. So, some users may still need to rely on the QuickPaste formatting strings, or a combination of both.

Making your own templates

The templates are just text files, residing in the "templates" diretory beneath the ClipMate program directory. ex: C:\Program Files\ClipMate\Templates

Just create a text file in that directory (use the handy "open directory" option on the template menu), and it will show up on the "templates" list the next time you start the program. The name of the file becomes the name of the template. Use one of the example templates as a guide. With the above example, you could have saved this file as "medicine_wisdom.txt", and it would have shown up as "medicine_wisdom" in the menu, after refreshing the list.

Usage

Add the Template button to one of the toolbars, such as the ClipMate Explorer toolbar. There is a drop-down arrow, which brings up a menu listing the templates available. Select one, and it is "in effect" until you select another, or quit the program. When you select a clip, it's "merged" into the template, and placed onto the clipboard, ready for pasting. It's compatible with QuickPaste, PowerPaste, and even "exploding powerpaste". But it's only effective on "plain text". More complex formats like HTML, RTF, Bitmap, Etc., will not be applied to the template.

Troubleshooting

Q: I see "URL", etc., when pasting. Why?

A: You may have inadvertently turned the template feature on. Turn it off.

Q: The "source URL" isn't showing up. Why?

A: Source URL will only be populated when copying from a web browser that is capable of supplying the "URL" in the HTML data. Current versions of Internet Explorer and FireFox provide the URL in the data if you capture HTML. Opera doesn't provide it in the data, but can (usually) provide it via DDE, if you enable the DDE option in ClipMate's Tools | Options | Advanced dialog.


Macro Pasting

Advanced > Macro Pasting

Similar to Templates, Macro Pasting allows dynamic substitution of elements within the text of a clip, such as the date/time, URL, etc.. But where Templates work via the clipboard, Macros work by sending the clip as KEYSTROKES into the target program. This allows navigation with keys like TAB and ENTER, and you can even use key modifiers like CTRL, SHIFT, and ALT. Since Macros send keystrokes into the target program, it must be invoked via QuickPaste, where you double-click or press ENTER on an entry in the ClipList, to send the clip to the target application.

Macro clips are plain text, but are marked specially with the "macro" flag, found in the Clip Properties dialog box. You can also toggle it on/off with the right-click menu in the ClipList, or you can add the "toggle macro" button to the editor toolbar. Clips flagged as macros are shown with this icon in the cliplist:

If you load the "samples" collection, you'll see some examples of Macro clips. A simple one looks like this:

MyUserID{TAB}MyPassword{ENTER}

With this clip, the text "MyUserID" would be typed, then a TAB sends the cursor to the next field, and then the "MyPassword" text gets typed, followed by ENTER. You would substitute your actual userid/password, in this case.

Supported modifiers:

~ = Shift

^ = Control

@ = Alt

You can send any of these as a literal character by encasing in {} brackets.
ex: to send an e-mail address: me@my.com just code it as: me{@}my.com

Supported key names (surround these with {} braces):

· BKSP, BS, BACKSPACE
· BREAK
· CAPSLOCK
· CLEAR
· DEL
· DELETE
· DOWN
· END
· ENTER
· ESC
· ESCAPE
· F1
· F2
· F3
· F4
· F5
· F6
· F7
· F8
· F9
· F10
· F11
· F12
· F13
· F14
· F15
· F16
· HELP
· HOME
· INS
· LEFT
· NUMLOCK
· PGDN
· PGUP
· PRTSC
· RIGHT
· SCROLLLOCK
· TAB
· UP

Follow the keyname with a space and a number to send the specified key a given number of times (e.g., {left 6}).

Replacement Tags:

· #DATE# - date of capture
· #TIME# - time of capture
· #CREATOR# - source application
· #TITLE# - clip title
· #URL# - URL that item was copied from, if from a browser, and IF URL can be determined.
· #CURRENTDATE# - right now
· #CURRENTTIME# - right now
· #SEQUENCE# - sequence number - 1, 2, 3, etc..RESET from the templates menu.
· #PAUSE# - Pause for a half second.

Additionally, you NEED to use {ENTER} after each line of text, in order for it to skip down to the next line. Naturally-occurring linebreaks in the text are not processed.


Data Management

Advanced > Data Management

Although many users will only ever need to store data in their InBox, many users find that they want to keep important clips for longer periods of time, and that it is convenient to categorize them. So we allow you to create other "collections" for various projects or topics, where you can keep clips as long as you'd like. Whether you only need to keep ten clips or ten thousand, you need to understand how collections work, and how they interact.

You have three collections which are created by default:

· InBox - This typically holds your 200 most recent clips. As it grows past 200, old clips are trimmed off and sent to Overflow.
· Overflow - Holds the most recent 800 clips that have been trimmed from InBox, or other collections that use length-based retention.
· Safe - Move important clips here so that they won't be deleted by the aging process.

Virtual Collections

Additionally, you have "virtual" collections which are really just specialized "searches". The Trashcan is one such "virtual" collection, which shows you all clips that are in "deleted" status in the database. There are also date-based virtual collections showing all clips captured/created today, during the past 7 or 30 days, and one for "all bitmaps". New virtual collections may be added in subsequent 7.x releases.

About the trashcan: As previously stated, the trashcan is really just a query of clips marked for future deletion from the database. Each database has a rule that says how long clips can remain in the trashcan before they are permanently deleted. The default is 7 days, so you can go back and rescue clips from the trashcan, if you want to.

Note that the "overflow" mechanism is new to version 6. In prior versions, the "trimmed" clips were lost for good. And the trashcan was only good until you closed the program.

The "Flow"

So let's consider the journey of a clip. Typically, it will be captured into the InBox. 200 clips later, it gets moved into Overflow. Another 800 clips, and it winds up in the Trashcan. Where it is finally deleted 7 days later. Of course, you could intervene at any time, and move it to another collection with different attributes (such as "safe" or another collection that you have set up.)

Note that you can cut short the time that clips spend in the trashcan by using the File | Empty Trash command. We designed the data handling so that you would never need to do this. However, some users will want to keep a clean trashcan, so we've provided a way to do that.

Also, consider that you can capture directly into any collection, as long as you have it set to "accept new clips". When a collection is active, and you copy new data, the new clip will either go into that collection, or if you have set the "garbage avoidance" feature on that collection, then it will "bounce" to the InBox. If you are working on a particular project, such as gathering research on a particular topic, you will probably want to capture directly into that collection. Or, you can just let it accumulate in the InBox, and selectively move the data over when you're ready.

Note that the Overflow and Empty Trash processes can be configured to run at startup, shutdown, or after an hour of inactivity. See: Database Properties Dialog for more information.

For more information see:

· Database Properties Dialog
· Collection Properties Dialog
· Multi-User Databases
· Database Maintenance


Using Collections Effectively

Advanced > Using Collections Effectively

One of ClipMate's most powerful features is the ability to create "Collections" to organize your data by various topics, categories, or projects. By default, ClipMate builds three collections for you: InBox, Safe, and Overflow. But you can define many more to suit your needs, such as for special projects, or organizing data by type, such as Clip Art, URLs, Jokes, Frequently Asked Questions, etc.

Note that by default, the InBox collection keeps only the last 200 items, and then they move on to Overflow, then the TrashCan, and eventually they are deleted. If you want to keep items for a longer period of time, we recommend that you move them to another collection such as "Safe", or another collection that you set up by topic, project, etc..

You can have dozens of collections defined, and you have dozens of colorful icons to choose from, to represent your data topics and categories.

To make a new collection, use File | Add New Collection. Unless you want it to be a "child" of the current collection, select "at top level of the hierarchy", for the placement. Then you will use the Collection Properties Dialog to configure the collection (use the "never" purging rule to make it a "safe" collection) and select an icon (don't forget to select the icon - they're nice!)

Now you can use drag 'n' drop, or the Move/Copy toolbar buttons or the Edit | Move/Copy menu entries to place your important clips into your important new collections.


Virtual Collections

Advanced > Using Collections Effectively > Virtual Collections

Virtual Collections are really pre-defined searches, and don't actually hold any data of their own. For example, the "Today" collection is a query that searches for clips captured today. The "Bitmaps" collection is a query that searches for all clips containing Bitmaps.

ClipMate 7 ships with several pre-defined virtual collections. You can make your own, if you understand SQL. Create the new collection under "Virtual", and set the properties so that it's a virtual collection. Then enter some SQL. You can use the others as examples. If you delete all of the virtual collections, they will be re-built at startup.

There are several special-case virtual collections:

· Macros - locate all clips that are flagged as having keyboard macros.
· Since Last Import - all clips added/modified since last XML import.
· Since Last Export - all clips added/modified since last XML export.


Exporting

Import / Export

Advanced > Exporting

Beginning with version 7.1, there are two different export facilities. The "Flat File Export" allows you to save a clip to a text, jpeg, or bmp file. These clips are for use by external programs, and are not importable. The XML Export, on the other hand, is meant to preserve the complete structure of clips and collections, and you can export dozens or hundreds of clips into a single file. These clips are able to be imported into other databases, and are the basis for the new "Clip Feed" feature.

See:

· Flat File Export Dialog Box
· XML Import/Export


Flat File Export Dialog Box

Advanced > Exporting > Flat File Export Dialog Box

Use this to export clips to text (.txt) or image (.bmp, .jpg, .png) files for use in other programs.

Export Directory - This is the directory where ClipMate will put the exported files. Use the Browse button to select a new directory

File Naming - This gives you the option to control the names of the exported files. You can have it number the files sequentially, use the serial numbers already in the Clips, or use the title of the Clips. In version 7, you can now have it prompt you for the filename.

JPEG - Most Clipboard images are Bitmaps, which are notoriously large. If you're going to be making graphics for a web page, or sending via E-Mail, then you want to save as JPEG, which has a high rate of compression. There is some reduction of image quality, but for things like screen shots, the compression savings are well worth it.

PNG - similar in space savings to JPEG, but without the loss in image quality. Version 7 users will want to use PNG instead of JPEG, except in cases where JPEG is required, such as when e-mailing pictures to someone who does not have the ability to view PNG. TIP: All modern versions of Internet Explorer CAN view PNG - just drag/drop the file into the web browser - it should open right up!

Erase Directory Contents Before Exporting - This gets rid of any old files from previous exports, before exporting the new files.

Open Export Folder When Finished - Opens the folder in Explorer, so you can start working with your exported data right away, without having to find it yourself. This is useful for dragging and dropping the resulting files into another application, especially e-mail. You can usually attach a file to an e-mail message by dropping into into the note.


XML Import/Export

Advanced > Exporting > XML Import/Export

This allows you to export clips to an XML file (a text file with special mark-up tokens, similar to HTML) and then re-import them into another database, or the same database at another time. Clips are reproduced completely, along with all attributes such as the capture date, source URL, title, and all included data formats.

Accessing the Dialog - You can access the XML Import/Export dialog from the File menu, or you can also add buttons to the main toolbar. If you are exporting, you need to first select the clips that will be exported. Use of virtual collections such as "today" or "since last import" is very useful here. Also, you can use the "show all clips in all children" command from the collection tree.

Clip Centric - You only need to worry about exporting the clips themselves, and ClipMate will include enough information in the XML file to re-create the collection which the clip resided in. This allows you to export "cross sections" of the database without worrying about the collections. For example, you can export the result of a search, which may span several collections. ClipMate will include all collections involved with those clips, in the export file.

Encoding - If you look at the resulting XML, you will notice that some of the data is not readable. Any characters that may invalidate the XML are encoded using the "URL Encoding" standard RFC1738. Any data type other than plain text, such as Bitmaps are encoded with Base64 encoding RFC 1521 (the MIME standard).

Uniqueness - In order to synchronize data, ClipMate needs a way to uniquely identify each clip. Prior versions of ClipMate used an ID scheme that uniquely identified each clip within the database, but this won't work from one database to another. So starting with v7.1, each clip is assigned a unique ID that can be used to identify it anywhere in the world. By using Globally Unique Identifier (GUID), each clip is indeed unique, for all practical purposes. This allows synchronization of data without duplication. For further reading, you can learn more about GUIDs on WikiPedia.

When ClipMate 7.1 (or later) opens an older database for the first time, it assigns new IDs to all clips and collections. This allows the import/export to work, but does not solve the uniqueness problem for clips that may have already been replicated into other databases, using other methods. So the unique ID is useful only for future replications, and doesn't help you reconcile clips that may have already been copied (through database copying) to other computers.

Duplicate Items - Suppose you are importing 100 clips, and 50 of them already reside in your database. Normally, it's ok to overwrite the existing ones, if the new ones are exactly the same. But what if you've edited some of them? Here is where the mis-match handling comes in, enabled by the unique IDs.

During the import process, ClipMate examines each clip to see if the same unique ID already exists in this database. If so, then it checks to see if there are any significant differences between the existing and new (imported) clip, such as the text being different. If there is a difference, the import will pause and ask if you want to keep the old clip or use the new clip. You can use the "use same answer for all" option to apply your decision to all subsequent mis-matches.

Trash/Overflow Items - If you import a clip that is already in the database, but it's in the trashcan or overflow, then the above "duplicate" logic is skipped, and the old clip is deleted from the database and replaced. This prevents imported clips from immediately winding up in the trash or overflow.

Sync by Date - Each time you run the import or export, ClipMate keeps track of the date/time. This timestamp can be used by two special new virtual collections called "since last export" and "since last import". These virtual collections allow you to quickly select all clips that are new (or changed) since the last time you ran the import or export, respectively. The "since last import" is EXTREMELY USEFUL and should be your primary method of selecting clips to "sync" between databases. You can manually alter these dates with the "advanced" button on the import/export dialog.

Updates via RSS / ClipFeeding - We've enhanced our automatic update/news checking so that you can "subscribe" to XML files that other users have "published". If you subscribe to a ClipMate XML "Clip Feed", then you'll receive notices on the ClipMate Update screen, and you can download the XML file and install it in just a couple of clicks.

Typical Scenarios

Scenario 1: Work/Home - Tom likes to keep the same clips at work and home. When he arrives at work in the morning, he imports his XML file that he brought with him. This sets the internal "date of last import" to today at 8:00. AT the end of the day, he has 30 new clips, spread across 5 collections. He runs the "since last import" virtual query, which retrieves all 30 clips. Then he selects all of the clips in the ClipList, and runs the export, writing to a new file, located on his USB stick. He takes that file home, imports there, works for several hours and then runs the "since last import" virtual query, selects all clips, exports to a new file on the USB stick. Tomorrow morning, the cycle repeats.

Scenario 2: Friend's House - Patrick visits George, who also uses ClipMate. Patrick needs to do some work on George's computer, and ends up accumulating a bunch of clips that he needs at home. He uses the "today" virtual collection to select all of today's clips, exports them to a file, and then e-mails it to himself as an attachment.

Scenario 3: Joke List - Colin has a great collection of jokes that he shares with his friends who also use ClipMate. Once a week or so, he runs the "since last export" virtual query to find all clips since he last sent an XML file. He's got 30 new jokes, but there are actually a LOT more clips, since there are various odds and ends in the Inbox. But he clicks on the second column of the ClipList to sort the results by "collection", so all of the jokes sort together. Now he selects the range of 30 clips that he wants to export, exports to the new XML file, and e-mails that to his friends. They now import his new jokes.

Scenario 4: Syndication - Dr. Bob publishes "Dr. Bob's List of Remedies For What Ails Ya" to other doctors who use his excellent boilerplate text to complete patient care sheets. He has a monthly update, sent to his customers via e-mail. His customers all use ClipMate because it lets them quickly complete the forms via quickpaste or drag 'n' drop. Since each clip is tagged with a globally unique ID, Dr. Bob can not only send new clips, but can send updates to existing clips, as needed due to changing laws and insurance requirements. For security reasons, Dr. Bob encrypts the XML file with WinZip 10, using 256-bit AES encryption. Only current customers receive the unlock code.


Multi-User Databases

Advanced > Multi-User Databases

ClipMate can share data on a network in a workgroup setting. Although each user should be directing the bulk of their clips to a database on their local hard drive, you can set up a secondary database on a network server for everyone to use for sharing clips. This can be as simple as a single user wanting common clips on multiple machines, or you can think much bigger. Consider a tech support or document assembly department able to share common boilerplate clips on the network server.

Previous versions of ClipMate allowed this as well, but it didn't provide for multiple users making updates to the same collection. Whichever user updated the collection last, would wipe out any work done by other users. But with our new database technology, you CAN allow multiple users to add or update clips in the same collection. Additionally, you can opt to have ClipMate poll the database for changes made by other users, and notify you.

To set up a multi-user database, first you must establish a network directory, accessible by a drive letter, to which all users have read/write/create access. (Note that this has been tested on Windows2000/XP networks, but not Novell)

Next, have one user create a new database in that directory, using the Database Tab in the User Preferences dialog. Set the directory as appropriate, and select the option for "multi-user, networked database". Select a user name for this user - it can be their login name, first name, or whatever you prefer. Use the Read-Only checkbox to limit access to users who you wish to restrict.

Important - every user must have read/write access to the directory.

In a multi-user environment, each user should have their own local database as well. You do not want Sara's Excel copies to slow down because Tom just copied a bunch of PowerPoint slides. Instead, users should copy everything locally, and then move important clips onto the network. On the other hand, if you are the sole user of a computer empire in your basement, and want the same clip available at each computer, then you may very well want to just have a single, networked database.

Also, in a multi-user database, you probably want to avoid having collections like "inbox". You should instead set up meaningful collections, by topic, project, or purpose. Such as "Tech Support", "Policies", "Stocks", or "How To". Set them all to be "safe" collections. And you may want to turn on the Garbage Avoidance, so that if anyone is "sitting" on a collection, and they forget, then the collection won't fill up with their garbage. Instead, it'll "bounce" back to their own InBox.

Important - the network and server must always be available!

ClipMate needs reliable, continuous access to the database. If a shared database resides on a server that is allowed to hibernate, suspend, sleep, etc., or is on a network that is unreliable, then you will have trouble. It is NOT acceptable to share a database on the network, when the database server is going to be frequently inaccessible. Shared databases are for servers or "always-on" workstations.

Refreshing Networked Data:

As users add data to networked databases, each user will see the new data when they switch collections. So if Joe puts a new tech support bulletin in the "Tech Support" collection, then Mary will see it when she switches to that collection. If she is already viewing that collection however, she can use the File | Reload Collection, or click on the "network update" icon that appears in the status bar when the new data is detected (this is available if the "polling" option is used).

Exclusive Access:

New versions of ClipMate may need to gain exclusive access to the database to perform upgrades to the table structures. This will require exclusive access to the database. Check the readme.txt file of any update to version 6.x, to see if there are database changes that will require exclusive access. If so, you will need all users to shut ClipMate down while you perform the maintenance. The same applies if you perform other database maintenance.

Shutting Down:

If you are going to shut down the server or PC that is hosting the database, you should close ClipMate on the other workstations first, because they may hang if the networked directory is not available when they log off.

Tech Tip: There is a table in the database called "users", which keeps track of the individual users in the database, for purposes such as identifying the creator of a clip, or for notifying users of updates. You can view the current state of the table by going to the SQL window, and entering this SQL:

select * from users;

Or for a fancier report showing which clips were created by which users:

select users.username, clip.timestamp, clip.id, clip.title

from clip, users

where clip.user_id = users.id

order by users.usernam


Understanding Clipboard Formats

Advanced > Understanding Clipboard Formats

The Windows Clipboard can simultaneously hold the same data item in many different formats. To ensure compatibility and interoperability with as many applications as possible, most software packages will provide data in several formats. There are extreme examples, such as Microsoft Excel, which often provide as many as 21 Clipboard formats, representing the same item of data!

Analysis shows that not all formats are viable, once the host application loses ownership of the Clipboard. Many of these formats simply evaporate, and others become invalid.

Furthermore, many of these data types become quite large and can quickly become a drain on resources. For example, if you copy a screenful of spreadsheet cells you could end up with a 2MB BITMAP and a large PICTURE drawing of your cells, along with your textual data!

To top it off, many of these formats aren't usually provided at the time of the copy. Instead, applications will simply inform the Clipboard that they CAN provide these formats. Think of it as a sort of "advertising". When an application actually asks for the data in a particular format, the Clipboard informs the host application that the particular format is requested, and the host application then provides the data. This process is known as "Delayed Rendering", and can cause ClipMate to appear to dramatically increase the time needed to copy data.

So far, it sounds like a lot of bad news. Will ClipMate's new features bury you in data that you don't want, and make it take longer to copy data? The answer is NO! ClipMate's Application Profile facility allows you to determine what formats will be retained, and which formats will be ignored. The filtration can be defined globally, or by application by application, to give you the flexibility that you need.

More:

· TEXT
· BITMAP
· PICTURE (Metafile)
· HTML Format
· HDROP
· Rich Text Format
· Private Formats, such as WordPerfect
· OLE (Object Linking and Embedding)
· Conducting The Format Viability Test


TEXT Data Format

Advanced > Understanding Clipboard Formats > TEXT Data Format

An array of character data with a hard return (carriage return + linefeed) terminating each line, with no associated font, size, margins, or other formatting.

There are some close relatives - OEMTEXT, which is usually the same as TEXT. There is also UnicodeText, which may seem the same, but is a double-byte string, and is well suited for double-byte character sets used in Asia and the Middle East. ClipMate can copy and paste Unicode without any trouble, and can even display it in the editor. The ClipList though, will have trouble displaying it. Unicode is a very good idea, but is only available on Win2000 and XP, so it's not as widely used as it could be.


Bitmap Data Format

Advanced > Understanding Clipboard Formats > Bitmap Data Format

A graphic image composed of individual pixels, or dots. ClipMate can handle bitmaps of any number of colors. When displayed on a video adapter capable of displaying 256 colors, bitmaps are often accompanied by a palette, which optimizes the colors of the display to enhance the image. When running 16 or 24-bit video cards with proper drivers, a palette is not needed and is not usually present.

Bitmaps are often used for very complex images originating from the real world, such as photographs.

Bitmaps are common in Windows, and can be created by the Paintbrush program that comes with Windows.

Note: The DIB format is very similar to Bitmap.

Note: Bitmap is the universal interchange format for any type of photograph, screenshot, etc.. Tiffs, Jpeg, GIFF, etc., are all copied and pasted with the Bitmap format.

Note: ClipMate stores the bitmaps internally as Jpeg, to save space.


PICTURE Data Formats

Advanced > Understanding Clipboard Formats > PICTURE Data Formats

The proper name for this format is actually METAFILE. It is also called MetafilePICT, and Vector Drawing.

Metafiles are graphic images that consist of one or more common drawing objects, such as rectangles, circles, lines, and formatted text. Metafiles are most suited to human- or machine-generated images, such as architectural or engineering drawings, or Clip art. Metafiles are scalable, and they often look as good full-screen as they do when scaled down. Metafiles often contain text, with font information. This often makes them desirable for corporate logos. When printed, the image is re-drawn at printer resolution. If you have True Type fonts in a Metafile, they will look FANTASTIC when printed.

Most commercial drawing programs can generate Metafiles, and so can the OLE drawing module (DRAW) that comes with many of the Microsoft products.

Note: Windows now supports the Enhanced Metafile, which ClipMate can also copy and paste. But it will only (currently) display the regular old MetafilePict format.


RTF Data Format

Advanced > Understanding Clipboard Formats > RTF Data Format

Rich Text Format (RTF) is a private Clipboard format employed by Microsoft applications, to enable them to share formatted text. Several non-Microsoft packages have adopted this format as well. RTF contains all of the formatting for text such as font, size, color, margins, borders, etc. It can even contain other items, such as graphics and OLE objects.

RTF is usually very large. It is not unusual to see RTF Clipboard items of 200 - 600K in size. Also, it will usually take an application several seconds to produce the RTF format, and place it on the Clipboard. The reason that you might not notice the delay is that RTF is a prime candidate for Delayed Rendering.

Only turn on RTF in the Application Profile if you need the formatting. If you don't, then you can save lots of time and memory by skipping the RTF.


HTML Data Format

Advanced > Understanding Clipboard Formats > HTML Data Format

This format contains information about HTML fragments (pieces of web pages). Along with the portion that you copied, it also carries information about the page, such as its original source URL. If you have Internet Explorer 4 or above, you can view the HTML Format in the HTML Tab of the Preview / Edit pane.

Note that copying text and images from a web page does NOT actually copy the images. You're really just copying the HTML tags ARROUND the images. The images are not present on the clipboard. However, ClipMate can often find them in your browser cache, so that they display properly. When you paste the data into a word processor such as Microsoft Word, the images are again fetched from the browser cache, or perhaps from the original web site!

If you want to capture an actual image from a web page, right-click on the Image and select Copy from the right-click menu.


HDROP Data Format

Advanced > Understanding Clipboard Formats > HDROP Data Format

This is a list of files, copied from Windows Explorer. It can be used to copy and paste files in Explorer. However, keep in mind that it is only a LIST of the files - not the file contents themselves. So if you copy, then delete the files, you can't paste them - you'll get an error from Explorer. So, beware.

The format is useful to ClipMate however, as inside the data is a readable list of the files that were copied. ClipMate "cracks" the data open, extracts the list of files, and makes up a TEXT representation of the list. So you can easily get a listing of files, by copying into ClipMate. In other words, when you copy the files, ClipMate derives a TEXT representation from the HDROP. To have ClipMate automatically make this conversion, enable it in the Editing Rules page of the User Preferences dialog box.


Private Data Formats

Advanced > Understanding Clipboard Formats > Private Data Formats

There is an established and publicized list of standard Clipboard formats, which are known as public formats. Most of the popular ones are listed above. Applications may generate their own private formats at any time. Public formats are the most useful, because they are usually supported by a wide variety of applications. Examples are Text, BITMAP, and PICTURE. Private formats, on the other hand, are generally useless to any application besides the application that created the data. Sometimes several applications from the same vendor will share private formats, which makes them more useful. Most often, the data is only useful to the application that created it.

Since most private formats are usually meant to be used only by the originating application, there is a potential hazard involved when using them. Often, these formats are just pointers that refer to data structures residing within the original application, and don't actually contain the data at all. These are transient formats. If ClipMate re-posts this format to the Clipboard at a later time, the pointers are invalid. This can cause a run-time Error or GPF in the original application. If you find that this is the case, you'll have to remove the offending format(s) from the filter for that application.

WordPerfect Text, Ami Text

These are private formats that are useful only within the originating application, but they are often useful to have, as they preserve the formatting information. If you intend to paste back into the original application, and want formatting preserved, these may work well for you. But if you want to paste into other applications, use the more widely-supported Rich Text Format.


OLE

OLE (Object Linking and Embedding)

Advanced > Understanding Clipboard Formats > OLE

ClipMate has the ability to store OLE objects. Simply stated, OLE lets applications that use different data formats share data without converting the data to a common format. For example, a sound object can be pasted into a word-processing document. Activating the object (double-click) can then play the sound back. Your word processor doesn't have to know how to play sounds - it just has to follow the rules of OLE. In many cases, the OLE object can be activated or edited by double clicking on it. In Microsoft Word for Windows, for example, the draw program is an OLE server. Double-Click on a graphic, and it activates the Draw program to edit the object. Within the Draw program, there is no option to save the file - instead, the option is to update the drawing in the Word for Windows document. You can do the same thing with an Excel spreadsheet object. You can actually embed a spreadsheet within a word processing document. Don't like the numbers? Double-click to edit the object in Excel. Instead of saving the Excel file, you update the Word document. In these cases, the Word for Windows document is considered to be a Compound Document, because it contains other types of data within itself.

OLE is initiated by an OLE Server copying data to the Clipboard, and then by an OLE Client pasting that data into itself. The OLE Client looks at the list of available formats, from top to bottom. If it finds an acceptable format, it just uses that format, and doesn't bother with OLE. Otherwise, it finds the series of formats that magically comprise an OLE object, and pastes them into itself, creating the object. These magic formats that make OLE happen are:

1. OBJECTLINK - Where did the data come from?

2. OWNERLINK - Which application owns the data?

3. NATIVE - The data itself.

4. PICTURE, DIB, or BITMAP - The "Presentation Format".

5. DataObject - Required for OLE2.

6. Object Descriptor - Required for OLE2.

7. Link Source Descriptor - Required for OLE2.

The Presentation Format is a special case. One of these formats is used to display the data in the client application. The nature of this depends on the nature of the OLE object. For a sound object, it would be an Icon of the sound recorder. For a graphic object, it would be a picture or bitmap of the graphic itself. Have you wondered why you get silly icons of certain applications when you're copying formatted text? This is because the application is conforming to OLE.

When defining your Application Profile for any given OLE Server (such as the Sound Recorder) make sure that you include all of the necessary formats: ObjectLink OwnerLink, Native, and a Presentation Format. By your having done this, ClipMate will capture and preserve the OLE objects. Beware that OLE objects can get quite large. If you want to enable OLE2, then you will also need DataObject, Object Descriptor, and Link Source Descriptor.


Format Viability Test

Advanced > Understanding Clipboard Formats > Format Viability Test

The Format Viability Test can help you to troubleshoot problems with the Clipboard and determine whether an application does indeed provide any formats that are worth keeping. Simply put, it involves using the Clipboard viewer that comes with Windows (Clipbrd.exe) to capture data, save it to a file, read the file back in, and paste it back into the originating application. There are four likely results:

1. A successful paste, with good-looking data. This indicates that there is at least one format that has what you need. All you need to do now is to figure out which format is the best, and create a filter for just that format, and maybe something that will show up in the Magnify Window, such as Text.
2. A successful paste, with strange-looking data. In this case, the application is holding back the most useful format. Microsoft Excel is an example of such an application. None of its 21 Clipboard formats are as good as an internal paste. Try experimenting with different filters, to see which format comes closest. Hopefully, something will be useful.
3. A failure message. The application tried to use one of the formats, but it was invalid. The application was smart enough to recognize this. Most likely, the offending format is a private format, used internally by the application. It probably is a pointer to some data that is now invalid. See if there are any special paste options, like Paste Special. Perhaps one of the other formats will work better. Try to use ClipMate's Application Profile to eliminate the offending format. Often, private formats will have a name that indicates the application. You need to find the best format(s) to include, and absolutely need to eliminate the offending formats by having them un-checked in the Application Profile
4. A fatal error in the application. The same case as (3) above, but the application wasn't smart enough to see the problem in time. Use the same techniques to get out of trouble.

Conducting the Test:

1. Close ClipMate, if it is running. The test will be conducted without ClipMate, in order to avoid confusion.
2. Open the Windows Clipboard viewer (the one that comes with Microsoft Windows - Clipbrd.exe or Clipbook.exe. If it is not present under the Accessories portion of the start menu, you can re-install from your Windows95/98/NT CD.)
3. From AppXYZ (your application), copy some data. If AppXYZ is a word processor, copy several paragraphs, preferably with different fonts.
4. Click on the Clipboard viewer. Pull down the DISPLAY menu, and write down the list of the formats provided.
5. Close AppXYZ.
6. Click on the Clipboard viewer AGAIN. Pull down the DISPLAY menu, and write down the list of the formats provided. Has the list changed? What's missing?
7. Save the Clipboard to a file, using FILE | SAVE AS. Call it AppXYZ.CLP
8. Delete the Clipboard contents, using EDIT Delete.
9. Open AppXYZ.CLP, using Clipboard's FILE, OPEN.
10. Has the format list changed? (Use the DISPLAY Menu to check).
11. Run AppXYZ again.
12. Paste the data. Does it look OK? If so, then we're in business. One of the formats on the Clipboard is a winner. Experiment with filters, and see what you can eliminate. I recommend keeping TEXT because it will help you to identify data and see it in the Preview/Edit Pane of ClipMate Explorer.


Automatic Update Check / ClipMate News

Automatic Update Check / ClipMate News / ClipFeeding

Advanced > Miscellaneous Functions > Automatic Update Check / ClipMate News

ClipMate has an auto-update feature which polls our server for the latest version, along with details about changes/fixes. It will also retrieve alerts, tips, and excerpts from our periodic newsletter. The items appearing in the ClipMate News and Updates window will contain links to the actual file to be downloaded, which will launch into your web browser when clicked.

Operation

You can run a manual update check from the Help menu | ClipMate News And Updates. There will be a pause of a few seconds while the update file is downloaded. Or, you can automate the check to run every 5 days or so - there is an option right on the screen, also found on the "General" tab of the options dialog.

If enabled, the auto-update check will download the update file shortly after ClipMate starts. If it finds updates, it will add a flashing red icon on any of the main toolbars. Just click at your convenience, and you will be taken to the ClipMate News/Updates screen where you can review the articles.

If the update check runs, but you do not visit the updates screen before shutting down, it will run again the next time you run the program.

It's normal for the "Updates Available" menu option to delay its appearance on the toolbar. It's intentionally run in the background, so as not to interrupt your work.

Display

Articles are shown with two icons next to the article title. The first icon shows whether the article is new (bright orange) or old (grey). Then there are various icons to show whether it's a software update, alert, news article, or other general information. Click on an article, and the content is shown in the browser window below. This will usually be formatted HTML, with links to larger articles and downloadable setup files.

Technology

RSS/XML is used in a fashion similar to RSS newsreaders like FeedDemon. It's actually a customized RSS feed, using Feed For Developers by NotePage.

If you would like to see what is contained in the feed, you can browse the file directly on our server: http://www.clipmate.com/rssupdates.xml

Privacy

RSS is a "pull" technology, where the client (ClipMate) downloads the feed on a periodic basis, directly from our server. Nothing is sent from your side, other than the usuall browser information (IP address, operating system version, etc..) It's just like visiting our page with a web browser.

Technical/Security Notes:

· No data is sent from your PC. This a read-only operation. Your PC is reading our server, deciding if we have newer files than you do, and then you are invited to download anything new, via the wizard.
· We use the standard HTTP port 80. This may fail to work in certain corporate firewall situations where proxy authentication is required.
· The connection is only one-way. We cannot, for example, "see" into your computer, even when you are actively connecting.

Article Types:

· ClipMate Updates - Program updates issued by Thornsoft.
· News, Tips, and Alerts - Text articles with links to web pages with further content.
· Clip XML Feeds (a.k.a "Clip Feeding") (New in 7.1) - ClipMate XML files containing clips that can be imported into your database.

Multiple Feeds (New in 7.1)

You can configure additional feeds for ClipMate to check, either at startup or on-demand from the Help | Check For Updates and News menu. While most users will just use the default feed, other users will use it to subscribe to Clip Feeds.

When ClipMate performs its update check at startup (if enabled), it will check the first feed. If that feed has no new content, it will continue checking until it either finds new content or runs out of feeds. If no new content is found, it will update the "next check date". You can force it to check any given feed and show you the complete contents (even old items) by using the Help | ClipMate News menu, which will have sub-menus for each individual feed.

Configuration (New in 7.1)

Click the "settings" tab, and you can configure the update sources, and time interval. Each feed consists of a description and URL (http only).


Clip Feeding

Advanced > Miscellaneous Functions > Automatic Update Check / ClipMate News > Clip Feeding

Clip Feeding combines our new XML Import capability with our RSS-drivenupdate checker. Instead of just checking for program updates, ClipMate's update checker can display tips, offers, alerts, and newsletters. In ClipMate 7.1, we've extended it to allow CLIPS to be sent. Then we extended it again to allow multiple feeds of data, so that ClipMate users can publish their own data feeds, and other users can subscribe to them.

This will have a myriad of uses, such as, but not limited to:

· Publishing lists of jokes, anecdotes, quotes, recipes
· Syndicated feeds for technical, legal, medical or professional information
· Database Updates for remote users in a workgroup
· Test Clips for technical support purposes.

Subscribing

First, find a feed. We will hopefully have some available on our forum. You need the URL (HTTP only) and description of the feed. Then use the Settings page of the Update Check dialog to add a new feed. Now exit that page, and go Help | ClipMate News And Updates (in either ClipMate Classic or Explorer) and you should see the new feed. Check it, and if there are articles, you can download and import the clip feed with just a few clicks. The automatic updater will let you know when new content is available.

Publishing

First, export some clips using the XML Export dialog. Next, rename the file, keeping "ClipMate" as the first part of the file name, and it must have an extension of .XML.
ex: ClipMate_Jokes_Sept2006.XML

Then you need to move that file to a web server, where it will be accessible to your subscribers.

Now you need to create an RSS/XML "feed" that describes the data. This is directly analogous to Podcasting, where the podcast XML describes the audio file, which is contained as an "enclosure", which is usually an URL to the MP3 file. In our case, we've got the descriptor XML (the "cast") that contains an enclosure with the URL to the ClipMate Export XML file. It may seem unwieldily to have two XML files to do one job, but this is the standard RSS approach, and allows the user to download the description quickly, and then decide whether or not to download the enclosed "payload". You can view a sample RSS file here on our server. It can be edited with any text editor, but we make ours with FeedForAll, a terrific RSS creation tool. Then, upload the RSS file to your site, and tell your subscribers about it.

Related Links:

· Our sample "jokes" feed: http://www.clipmate.com/rssjokes.xml
· A typical enclosure of the jokes feed: http://www.clipmate.com/xmlclips/ClipMate_Export_Jokes_2006-07-24.XML
· "Clip Feeding" section of our support forum.
· We recommend creating your RSS feed with FeedForAll.
· Learn more about Podcasting on WikiPedia.


Using Encryption

Advanced > Miscellaneous Functions > Using Encryption

ClipMate uses 56-bit ARC4 encryption to encrypt individual clips. This is strong enough to keep casual "snoopers" away, as significant knowledge of both encryption breaking and program cracking would be required to access the data once encrypted. Since the data is also stored within the database in encrypted form, there are no easy "back door" methods to defeat the security by simply peeking at the underlying data files.

ClipMate's encryption is only applicable to TEXT clips. If you attempt to encrypt a graphic, it will be ignored. If you encrypt data containing TEXT but also other formats such as Rich Text or HTML, the other formats will be discarded.

Encrypting

Select a clip (or several clips) and use File | Encrypt. You will be presented with the Encryption Key dialog box. Enter a key that you can remember! And not something too simple, or with repeating characters, such as "aaaa". We recommend that you use the same encryption key for each clip, unless you have a reason to use (and remember) multiple keys.

Decrypting

When you attempt to access an encrypted clip, you will be presented with an extended version of the Encryption Key Dialog Box.

Enter the same key that you used to encrypt the clip in question. For convenience, ClipMate can keep your key in memory and use it to decrypt subsequent clips. You can specify how long to "remember" the key. When time runs out, it will then start asking you again for the key.

Note that encryption keys are not the same as passwords. With a password, either you get it right or you don't. With encryption keys, you will always have access to the data - except that it will look like garbage if you enter an incorrect key. This makes it more secure.

Decrypting is a temporary process. ClipMate will use the key to decrypt the data, so that it can be viewed and placed back on the clipboard. But once you scroll away from that clip, the data is deleted from memory and it must be re-decrypted if you want to access it again. This will happen automatically if your key is still being "remembered", according to the time limit set in the dialog.

But let's suppose you decrypt a clip, and then paste it somewhere. But now you are going to step away from your computer. You should do several things: 1) use File | Forget Encryption Key to cause ClipMate to discard the key from memory. 2) Select another clip, so that you overwrite the clipboard with non-sensitive data. Otherwise even if you close ClipMate, the recently-pasted data is still on the clipboard!

Checksum: Although ClipMate does not keep a record of your encryption keys, it uses a 4-byte checksum to see if data has been decrypted correctly or not. If you enter an incorrect key, the checksum will fail, and the clip will not be displayed. You'll be prompted to re-enter the key. This is useful in preventing the display of garbage characters, which can cause display problems in the editor and causes some headaches for the spellchecker.

Note that since the checksum is encrypted as well (with the same key as the data), there is no security vulnerability here. An attacker will not know the checksum without the proper key, so the checksum is useless to the attacker.

Titles:

As a precaution, the titles of clips are replaced with a generic title when the clips are encrypted (unless you've already manually assigned a title with Ctrl+R). Otherwise, the titles would give away your sensitive data. So name them things like "Visa Number" or "eBay Password", which tell you what they are, without giving away the contents.

Recommended Practices: To keep prying eyes away from your data, encrypt sensitive text clips. Unless you have a good reason to use multiple encryption keys, we recommend using the same one. Avoid overly simplistic keys with repeating characters such as "aaaa". Use the Rename Title command (Ctrl+R) to assign meaningful, yet secure titles to your clips. Usually, if a clip is important enough to encrypt, it's also important enough to assign a shortcut to. So assign a shortcut while you're renaming the title.

Technical Notes:

ClipMate encrypts clear TEXT clips with 56-bit ARC4 (RC4), encoded with Base64 and appended to 6 salt bytes, and stored back into the database in encrypted form. A CRC32 checksum is calculated, encrypted with the same ARC4 stream used to encrypt the data, and stored with the encrypted text.


Rename Clip Dialog

Advanced > Miscellaneous Functions > Rename Clip Dialog

Press Ctrl+R on any clip to bring up the Rename Clip dialog box.

Here you can assign a better title to the clip, and you can also change or set a "shortcut".

For more information, see ShortCuts.

The Title limit is 60 characters, and the Shortcut is 64 characters.

TIP: If you have a series of shortcuts to enter, be sure to enable the "Carry-Over Last Prefix option. This will cause each clip to remember the "prefix" (all text up to the last ".") from the previous clip.


Paste Trace Dialog

Advanced > Miscellaneous Functions > Paste Trace Dialog

This is a special diagnostic mode to help determine which data formats are "preferred" by applications. This can help you fine-tune the Application Profile, so that ClipMate captures the data formats that an application "prefers".

For example, the popular graphics program, PaintShop Pro 6.0, is quite happy to paste the "Bitmap" format. But analysis of the Trace Paste, shows that it will use the "JASC Paint Shop Pro 6.0 Clipboard Format" if it is available.

Usage

To use this function, first copy a fresh piece of data from an application. Then, use the "Capture Special" function under the Edit menu, to produce a "fat" clip. Capture most, if not all, of the data formats. This is important, as we need to present the target application with app possible formats.

Now, invoke the Trace Paste function, under the Config menu. Position the Trace Paste window where you can watch it, as you paste the data.

Go to the target application (where you want to paste into – can be the same as the application where you captured from) and paste a clip.

See what formats are named in the Trace Paste window. If needed, go to the Application Profile to "fine tune" the profile, according to what you see in the Trace Paste window.

See: Capture Special.

See: Application Profile.

Further Tests

Before pasting again, you'll need to close the Trace Paste with the OK button, and open it again. Otherwise the cumulative effects of the tool will cloud the further tests.

If there is a Paste Special option in the target application, you can try various forms of Paste Special, to see what data "looks good" in the application, and at the same time, see what formats are requested by the application by viewing the Trace Paste.

And you can try pasting the same clip into other applications as well, to see what formats they prefer. For example, if you want to copy from PaintShop Pro, and paste into another graphics program, you will find that one of the public formats such as Bitmap or DIB is required.

Finally – Don't Get Carried Away

Keep in mind that ClipMate can only display Picture and Bitmap graphics. So don't get carried away in trimming down the Application Profile. For PaintShop Pro, for example, you'll need to always capture Bitmap, as well as any other formats that work well for you.


Create New Collection Dialog

Advanced > Miscellaneous Functions > Create New Collection Dialog

This dialog allows you to specify a new collection by providing the collection name, and initial placement within the hierarchy.

Let's say you have a database called MyClips, containing InBox, Overflow, and Safe. InBox is currently selected. You can opt to place your new collection BELOW InBox, making it a CHILD of InBox. Or, if you want it to be a SIBLING, then opt to place your new collection at the "top level" of the hierarchy.

As you press OK, you'll be taken to the Collection Properties dialog, where you can specify more properties

Access this dialog by right-clicking on a collection in the Collection Tree, or with the File | Add New Collection menu.


Collection Properties Dialog

Advanced > Miscellaneous Functions > Collection Properties Dialog

This dialog box is used to set the properties of individual collections. It is accessed from the File menu, or by right-clicking on a collection in the Collection Tree, and selecting "Properties".

Number of Items

This shows how many items are currently in the collection. It may be higher than the threshold of data retention (see below) since purging is not performed until shutdown.

Database

Shows information about the database where this collection resides.

ID, Parent ID

Used to associate clips, and establish the hierarchy in the database.

Favorite

Determines whether this collection is marked as "favorite". See Favorite Collections / Collection Navigation.

Title

The title of the Collection.

Icon / Change Icon Button

Sets the icon of the clip, using the Select Bitmap Dialog.

Purging Rules

Here is where you control how ClipMate cleans out old data. You have several options, shown below.

· By number of items in the collection - as new items come in, old ones are trimmed and placed into the Overflow collection.
· By age of clips - as items reach their "expiration date", they are marked as DELETED, and placed in the trashcan.
· Never - No Automatic Deletion - these are considered "safe" collections, and no automatic purging is ever performed.

For more information on the retention and overflow processes, see: Data Management

Garbage Avoidance

This feature lets you keep clutter out of your important collections, while you have them active.

· Accept new Clips - If enabled, then new Clips will go into this collection when it is active (currently selected in the Collection Tree). Otherwise, the new Clips will "bounce" into the first open collection in the tree, starting from the top. Collections marked as "Divert" will be shown in Red or Maroon on the Collection Tree.
· Accept Duplicates - Some applications send a lot of duplicate information, especially when closing down. It can be a nuisance, so ClipMate rejects duplicates by default (you'll hear a "boing" sound when items are rejected). But sometimes you need to capture duplicates, such as when working with long lists of numbers. It is painful to copy 100 numbers from a spreadsheet, paste them somewhere else, and only end up with 85 of them. So we let you control the duplicate rejection at the collection level, so that you can set up some collections to accept duplicates.
· Read Only - Has the same effect as "Accept New Clips" being turned off, and purging is suspended. It also prevents clips from being edited. You can, however, still move clips into other collections for editing. This is essentially a new feature in ClipMate 7.1.04 and later, as prior to this release, it merely protected the properties of the collection itself, and not the clips.

Sort Key

Shows the sort key of the collection, used to order the Collections within the Collection Tree. It is normally manipulated by the move up/down function, but you can edit it directly here.


Select Bitmap Dialog

Advanced > Miscellaneous Functions > Collection Properties Dialog > Select Bitmap Dialog

Accessed from the Collection Properties dialog, it simply allows you to select an icon to represent a clip. You can add your own icons - see the readme_buttons.txt in the "buttons" directory, beneath the ClipMate program directory, usually under \program files.


Clip Properties Dialog

Advanced > Miscellaneous Functions > Clip Properties Dialog

This dialog box is used to view and set the properties of an individual clip. It is accessed from the File menu, or by right-clicking on a clip in the ClipList, and selecting "Properties".

ID

Each clip is assigned an ID, which is used to track it in the database and assign the various parts (keeping the associated TEXT, RTF, Bitmap, NickName, etc., together) It increments forever, and cannot be reset. It is useful in that it gives a relative "age" of one clip to another, so it's handy to sort on.

Collection ID

Also a database key, this is used to assign a clip to a collection.

Title

60 characters that describe the clip. You can edit it here, if you like.

Source URL

If you copied the clip from a web page, this will be filled in. You can modify it here, if you need to.

Creator

Which application did this data come from?

Timestamp

When was the clip captured?

Sort Key

If you sort your clip lists by the SortKey column, this is the value that is used. It starts as the ID x 100, but gets adjusted if you move the clip up/down within the ClipList.

Locale

This is used to help assign a character set to a clip, when using TEXT in non-English languages.

Encrypted

This is checked if the clip is encrypted. This is so that ClipMate knows to un-encrypt it for you.

Size

How big is the clip? This is usually the size of the largest data format present. If you copy an item that has both Text and Rich Text Format, you'll be surprised to see just how big that RTF can be.

User ID

Which user created this clip? This is only useful with multi-user databases.

ShortCut

Access to the shortcut of the clip, if present. Although you would normally change it with the Rename dialog, you can do it here too.

Data Formats Present

Here is a listing of the data formats present in the clip. The list is usually generated according to the Application Profile, which acts as a filter. You can turn formats on and off, to experiment with what works well and what doesn't. See: Understanding Clipboard Formats and Application Profile.


Capture Special Dialog

Advanced > Miscellaneous Functions > Capture Special Dialog

This function allows you to override the Application Profile, and capture a single clip from the system clipboard. This is useful when working with the Trace Paste function, as you can capture a "fat" clip, with several (or all) data formats, for diagnostic purposes.

When you invoke this function, ClipMate will give you a list of formats that are presently on the clipboard. Check the boxes next to the ones that you want to capture, and press OK. You should have a new clip, containing those data formats.


Re Sequence Sort Keys

Advanced > Miscellaneous Functions > Resequence Sort Keys

Sometimes you find yourself in a situation where sorting on the "sort key" field does not produce the desired result. Maybe the clips have been re-arranged to the point where the sort keys are too close together, and need to be "spread out". Or maybe you imported them from another database and they are in the reverse order. Or maybe you now want to sort in descending order so that new clips are on top, but your existing clips would be listed in the reverse order.

Whatever the reason, this function can help. It's powerful, but you have to give some thought to the desired result in order to have results that are desirable.

Selecting Clips

The re-order function operates on a selection of clips. You must first select them with the mouse (hold down the SHIFT and CTRL keys to select multiple clips) or else use the Edit | Select All function. Then use File | Re sequence menu to invoke the function.

Selecting Values:

You will be prompted for the starting value, and an incremental value. The increment can be either positive, or negative. For example, values of 1000 and 10 will re sequence with keys of 1000, 1010, 1020, etc.. If you use 100000 and -10, then you'll have 100000, 99990, 99980, etc..

Processing Order

The sequencing is always done in the order of the selection. If you use the Edit | Select All, then the selection is from the top-down. If you pick the clips with the mouse (usually by holding down the SHIFT key), then it pays attention to your last two clicks to determine top-down or bottom-up.

Examples:

Scenario 1 - User prefers sorting by MySort key, with new items on TOP (sort order is descending), but there are lots of clips here that imported incorrectly.

Recommendation - temporarily sort by date, such that they appear in the correct order. Find the largest existing sort key - use that as the starting point, and increment by -10

Scenario 2 - Clips have been re-arranged so much that they are "bunched", and won't move any more.

Recommendation - Sort on the SortKey column to sort them the best that you can. If the "bunch" is localized to just a few clips, then select the first one, hold down SHIFT, and then the last one. Otherwise use Edit | Select All. Now find the largest sort key in the selection (probably at the top) and use it as the starting point. Use a negative increment of at least 10, maybe 100 if you can do so without running past zero or running into other clips.

TIPS:

· Arrange - If you can, arrange the items in the ClipList by sorting on some column that gives the intended result. If they're merely upside-down, then sort by the existing Sort Key or Date/Time, and click again to invert.
· Select - use Edit | Select All, if you can. That will ensure a top-down processing order.
· Pick a big starting number, and a small, negative increment. But don't pick so big that new clips will get "lost". A good strategy is to start with the largest existing sort key in the collection. That way, new clips coming in, will have a higher sort value, and will therefore be placed at the top.


Start / Recovery Menu

Advanced > Miscellaneous Functions > Start / Recovery Menu

This menu allows you to access certain maintenance functions at startup, before the system logs into the databases. This is a handy way to intervene if you need to perform database maintenance, or if you want to abort ClipMate when it is set to run at windows startup. Just hold down the SHIFT key while ClipMate starts (or while Windows loads), and the menu is shown before any window or database objects are created.

We used the SHIFT key because that is what you would normally be holding down to abort all "start menu" tasks. Since ClipMate uses the "RUN=" registry setting, it isn't normally subject to the "SHIFT Trick". So here we're extending the SHIFT Trick a bit.

· Proceed Normally - just as if you had never touched the SHIFT key.
· Abort ClipMate - use this to cancel ClipMate. Handy when you are already aborting the "start menu" programs.
· Reset Size/Position - If ClipMate isn't displaying properly, this will reset all size/position/font settings back to their defaults. ClipMate will quit, so re-start it manually.
· Reset ALL Registry Settings - similar to the above, but resets ALL user preferences, including the location of the database (but it won't hurt the data!)
· Verify/Repair/Compact Databases - causes Database Maintenance to run before logon.
· Backup Databases - causes database backup to run before logon.
· Restore Databases - causes Database Restore to run before logon.
· Open SQL Window - opens the SQL Window after the database is initialized, but before any data is loaded. This can be useful when resolving certain technical support issues. If you have multiple databases, the SQL window will open as each one is encountered during the login sequence.
· Open Log/Database Directory: Opens those directories using Windows Explorer.


Dynamic Database Connections

Advanced > Miscellaneous Functions > Dynamic Database Connections

You can load and unload databases dynamically, without restarting. This is useful if you need to:

· Disconnect or re-connect a laptop with a shared network database.
· Reboot a machine acting as a server, hosting a shared network database.
· Bring a seldom-used database back online.
· Temporarily log off from a database so that your overnight backup can run.
· And there may be many more unforeseen requirements!

How to use:

Click on the database icon in the Collection Tree of ClipMate Explorer, and use Activate Database, or De-Activate Database from the file menu.

Example1 - The Networked Laptop :

Suppose you have two databases - one primary, on your notebook, and one on a network server. It's time to go home, and you just want to suspend your laptop without shutting down ClipMate.

All you need to do is open ClipMate Explorer, click on the shared database (or any collection within), and then use File | De-Activate Database. ClipMate will log off from the database, and the icon in the collection tree will be shown with a red circle/bar (international NO symbol). The next time you want to re-connect to that database, just click on it and use File | Activate Database. You'll log back in.

Example2 - Digging Into The Archives:

You have a primary database, but also have an old one from 2002 that is in a different directory, that you need to refer to from time to time. You've added the secondary database to your list of database definitions, and it is NOT set to auto-load. When you start ClipMate, it shows up on the collection tree, with a red circle/bar, indicating that it is offline. Now you want to open it up, and access the data.

Click on the icon in the collection tree, and then use File | Activate Database. ClipMate will now log onto the database, and load the data. You can de-activate it to free memory, when you're done.

Scheduled Downtime:

If you have an external backup program that needs to backup your ClipMate databases, you can schedule ClipMate to log off, prior to the scheduled backup time. See Config | User Preferences | Databases. The first time that you use ClipMate thereafter, it will automatically re-connect.


Favorite Collections / Collection Navigation

Advanced > Miscellaneous Functions > Favorite Collections / Collection Navigation

Favorite Collection

You can designate one or more collections as "favorite", and then they can be quickly accessed with the F6 key. This works like the "favorite channel" on a television remote control, where you program it to know your favorite channels, then you can quickly flip through them. F6 works the same way. Repeatedly press F6 to cycle through collections designated as "favorite".

To use, you first need to mark some collections as Favorite.

Suppose you want to be able to quickly bring up the InBox - mark it as a Favorite Collection. Right-click on the InBox icon in the Collection Tree within ClipMate Explorer, and select Properties from the menu. On the Collection Properties dialog, there is a checkbox for "Favorite Collection". Check it, and OK the dialog. Select any other collection, and wait until it loads. Now press F6, and you will be taken to the InBox. If you designate others, then you'll cycle through them.

When used sparingly (in other words, don't mark ALL of your collections as "favorite"), this is a very handy function.

Select Last Collection

You can also use F5 to switch to the last collection that you accessed during the current session. This also works like the "last channel" on Television Remotes.

Select Collection Toolbar Button

The "Select Collection" button on the Explorer and Classic toolbars can act two ways. It can bring up the Select Collection menu (default). Or if you configure it to do so, it can select the next collection in the list. See Config | User Preferences | General, if you want it to act this way.


Unicode To Ansi

Advanced > Miscellaneous Functions > Unicode To Ansi

ClipMate does not use Unicode for its interface, so any text data that you see in ClipMate is "ansi text". However, ClipMate can accept "Unicode Text" from the clipboard, and then translate it into Ansi Text, using the codepage of the Unicode. If you select a useful font/script combination for display, it should look fine in ClipMate.

Normally, ClipMate will capture Ansi Text from the clipboard, and display it. This works fine for most cases, if your windows local language is set correctly. However, if you work with other languages, you may need to tell windows to use a particular language for non-unicode programs.

ClipMate has a Unicode-To-Ansi function which will create an Ansi Text version of a clip based on its Unicode component, providing that you captured the clip with Unicode, which is controlled by the Application Profile. There are two ways to do this:

· Use the Unicode To Ansi menu option under the Edit menu
· Turn off "TEXT" in the application profile for any given program, and turn on UNICODE TEXT. When ClipMate captures a clip that has Unicode Text but no Ansi Text, it'll call the Unicode To Ansi routine automatically.

Unicode To Ansi can work with the following code pages:

· 874, Thai
· 932, Hiragana
· 932, Katakana
· 936, CJK Compatibility
· 936, CJK Compatibility Forms
· 936, CJK Unified Ideographs
· 936, Enclosed CJK Letters and Months
· 1251, Cyrillic
· 1252, Latin
· 1253, Greek
· 1253, Greek Extended
· 1255, Hebrew
· 1256, Arabic
· 1256, Arabic Presentation Forms-A
· 1256, Arabic Presentation Forms-B
· 1256, CJK Compatibility Ideographs


How Do I...

Here are answers to common questions and tasks.

· How do I Capture a Screen?
· How do I E-Mail a Screen Shot?
· How do I send TAB and/or ENTER keys to an application?
· Minimize Resource Utilization
· Backup My Database?
· How do I import my ClipMate5 Data?
· How do I turn on wordwrap?
· How do I Move ClipMate To A New Computer?
· How do I remove blank lines?

Note that there are more answers to frequently asked questions (FAQ's) online on our support page.


ClipBar - Managing Taskbar Space

How Do I... > ClipBar - Managing Taskbar Space

"I'd love to use the ClipBar, but I don't have any space left on my taskbar!"

-- Anonymous User

The Windows taskbar, originally meant to display icons of running programs, has gotten crowded over the years since it was introduced in Windows95 (back in 1995!). Along with the Start Menu and Task area, there is the System Tray Notification Area (SysTray) and the QuickStart bar. Additionally, you may have the Language Bar, the Media Center bar, or other 3rd-party bars from companies like Google or MSN. And now there's no room for the ClipBar!

Well-managed Taskbar, showing the various sections and "bars".

Well-managed Taskbar, showing the various sections and "bars".

Definitions:

· Start Menu - Lists shortcuts to most of your programs. Right-click to adjust properties of the taskbar and system notification area (systray).
· Quick Launch - Gives access to some of your most frequently used programs. These are just like desktop icons - they represent "shortcuts" to programs and folders, and do not indicate running programs.
· Task Bar - Shows icons for (some) programs that are running.
· System Tray (SysTray) - Also known as "system notification area". The area near the clock, showing icons for (some) programs that are currently running, but do not appear on the taskbar. Typically these are background processes that run all the time, such as antivirus, anti-spyware, diagnostics, backup programs, system monitors, and of course, ClipMate!
· Other Bars - Optional bars, either built-in like the Language bar, or 3rd party, such as ClipMate's ClipBar, the Google Bar, etc..

Ways to get more space

· Consider using a double-height taskbar. Drag the top edge of the taskbar higher. If it won't go, it may be "locked". From the right-click menu, de-select "lock the taskbar". Now you can drag it double-high.
· Tame the Quick Launch bar. Dozens of icons can be in there, but you don't need to see them all! Drag it narrower so that it just shows 3 icons across. Unseen icons are now in a pop-up menu, which is accessed by LEFT-clicking on the "chevron" arrows on the right of the Quick Launch bar. In many ways, the menu is a lot handier than the actual Quick Launch bar.
· Use the auto-hide feature of the systray. You can "lock" certain icons so that they always show, if you need to see them. Right-click on the START menu, select Properties. Select the "Taskbar" tab, and "hide inactive icons". Use the "Customize" feature to block some, and always show others.
· Get rid of unnecessary tasks that place an icon into the system tray. We've all been through it, haven't we? You just wanted to watch a video, downloaded something to watch it, and now you've got one or more cute little icons in your system tray! Those are running processes which take up CPU and memory, not to mention valuable space. Disable, uninstall, or use a startup manager like Startup Guru or the one in Microsoft AntiSpyware.
· "Stack" taskmanager entries by using the "group similar taskbar buttons" option. Right-click on the START menu, select Properties. Select the "Taskbar" tab, and "Group similar taskbar icons". Now if you run 13 instances of Internet Explorer, they'll all be "stacked" on top of each other, in one "slot" of the taskbar.
· Remove unwanted toolbars. You want the ClipBar, of course. But you can get rid of some of the others. Right-click on an empty space on the taskbar, select "Toolbars". Turn the on/off at will. If you have the "language bar" enabled (useful for multi-language situations), it may get "stuck". Here's an article on how to remove that (internet).
· Turn off titles. Some toolbars have titles, which can optionally be used to take up even MORE SPACE! If you see a toolbar with an unnecessary caption, right-click on it and turn it off. Note that the ClipBar DOES show "ClipMate 7 ClipBar" as a placeholder, while it waits for the main ClipMate program to load. That's ok. But if you see it show that twice, or somethign similar, the title has been turned on. Turn it off.

Clever Quick Launch Trick

The Quick Launch bar has that nice pop-up menu that comes up when you click on the arrows on the right side. Like many menus, it can have sub-menus as well. You may find it handy to create several sub-menus here to reduce clutter. To do so, right-click on an empty spot (may be tricky) and "open folder". Now you'll see the folder that the Quick Launch bar resides in. Here, you can make new folders! Then drag/drop other icons into those.

Now the tricky part is that the folders are generally more useful when they're on the menu, rather than in the handful of icons that actually make it onto the "toolbar" portion of the Quick Launch. If you find that they're in the toolbar portion, just drag the toolbar wider - 2/3 the size of the screen. Now drag the "folder" icons to the right. Then side things back where they were, and now those folders should be "shoved" back onto the menu portion. Now you'll have cascading menus in the Quick Launch menu.


How do I Capture a Screen?

How Do I... > How do I Capture a Screen?

Please See Screen Capture


How do I E-Mail a Screen Shot?

How Do I... > How do I E-Mail a Screen Shot?

E-Mailing Screen Shots

Now that you know how to make a screen capture, you may want to e-mail it to someone. Simply use File | Export to export the image to a .JPG file, and you can attach the resulting file to an E-Mail. Use the "save as Jpeg" option, and opt to "open export folder when finished". That way, you can most likely drag 'n' drop the resulting file into your e-mail program. If your e-mail program won't accept drag 'n' drop files, simply note the location of the export directory and use your "attach file" function of your email to find that directory, and select the file. See the Export Dialog for more information.


How do I send TAB and/or ENTER keys to an application?

How Do I... > How do I send TAB and/or ENTER keys to an application?

During a QuickPaste operation, you can use the two little blue buttons on the QuickPaste toolbar to send these keys to the target, "on demand". But if you want one sent automatically with every paste, use the QuickPaste Formatting Strings.


Minimize Resource Utilization

How Do I... > Minimize Resource Utilization

Versions of windows built on Windows95 (Win95, Win98, Windows ME) have a limited amount of "system resources". Applications with rich user interfaces (lots of buttons, menus, list boxes, etc.) can be a burden on these systems, and no matter how much RAM you have in your system, when you're out of resources, your system is going to become unstable. Note that NT-Based operating systems such as NT4, Windows2000, XP Home and Professional, do not share this limitation.

ClipMate's User Interface is therefore constructed in a modular fashion. ClipMate Explorer, ClipMate Classic, and any "floating, undocked windows" can be opened and closed at will, thus using resources effectively. However, if both Classic and Explorer are loaded into memory, ClipMate will use about 6-8% of your resources. If you run lots of applications (and have lots of fonts installed, lots of things running in the system tray, etc.,) you may not be able to spare all of that. So here are some tips to minimize resource utilization if you are tight on resources.

Startup

There are options to load Classic and Explorer at startup. You can save memory by turning both of those off, and running whichever one you need, when you need it. ClipMate will still be in the system tray, collecting data. But will only use 2% of resources. Alternately, if you use Classic every day but rarely Explorer, load Classic at startup, but not Explorer. See the respective tabs of both of those windows, in the User Preferences dialog.

Classic and Explorer

As you move back and forth between Classic and Explorer with Ctrl+E or the toolbar buttons, ClipMate hides one, and shows the other. But does not destroy the one that's being hidden. This is for performance reasons. So if you are moving back and forth, you'll have both loaded into memory.

Close vs. Minimize

If you minimize either Classic or Explorer, it is merely hidden. But if you close it by clicking on the 'X' button on the titlebar, it is destroyed and freed from memory. This will release the resources.

Close and Free All Windows

ClipMate does not need any windows open in order to function. So you use the View | Close And Free All Windows function to remove Classic, Explorer, and any other "floating windows" from memory. This should take ClipMate's utilization down to only 2%. When you need to, you can click on the system tray icon to open a window and do your work. Use this function again, or CLOSE the window with the 'X', and it's again removed from memory.

Speed Tips:

These techniques can also help save loading/unloading time. If you have thousands of clips in your collections and a slow processor, you can save time by not allowing ClipMate to load data into hidden windows. Unload them first, then open just the ones that you want. One ClipList loads in half the time as two.

Summary:

If you want to run ClipMate but can't afford the resources, then you can use the knowledge obtained here (Start with the bare minimum, close windows when not in use, and use the Close and Free All Windows function).


How do I import my ClipMate5 Data?

How Do I... > How do I import my ClipMate5 Data?

While ClipMate 7 can use ClipMate 6 databases directly, it doesn't have a facility for importing from older versions. But you can install v6 and use as a "bridge". See Upgrading from ClipMate 5


How do I turn on wordwrap?

How Do I... > How do I turn on wordwrap?

In Explorer or an "undocked" editor window, there's a button on the editor toolbar.

If you are in Classic, you can right-click within the clip, and access WordWrap from the menu.

Each editor is independent of the others, with respect to this setting.


How do I use/configure the spellchecker?

How Do I... > How do I use/configure the spellchecker?

In Explorer, you've got two buttons for spellchecking with the dialog, or with the Active Spell.

In Classic, you don't have the toolbar, so you can right-click within the clip, and access the spell checker that way.

There is also a Thesaurus, if you've installed it. Right-click on a word in the text editor, and you can access it from there.

Complete information on configuring the spellchecker, installing dictionaries and the Thesaurus, is here.


How do I Move ClipMate To A New Computer?

How Do I... > How do I Move ClipMate To A New Computer?

If you get a new PC (for whatever reason - we've heard hundreds) you'll certainly want to take ClipMate with you. This also applies to those of you recovering from hard drive crashes, rebuilds after virus attack, etc..

The process is simple:

1. Locate your registration key. In ClipMate 7.2 or later, go to the Help | About ClipMate menu, and on the About box, use the orange "ClipBoard" button to place the license key onto the clipboard (along with some other info).
2. Back up the data on the old machine, using File | Database Maintenance | Backup Database. You will now have a backup file named something like this: ClipMate7_DB_My Clips_2007-04-13_0041.ZIP. Note that the date and database name are part of the file name, and will be different on your system.
3. Place the backup file somewhere that the new PC can get it*.
4. Install a new version of ClipMate** onto the new PC. Run the program, and establish your new database location. It's ok to run in trial mode until after you have restored the data.
5. Restore the data from the backup, using File | Database Maintenance | Restore Database From Backup.

6. Enter your registration key. If you saved registration information in step 1, your top clip in the InBox should be titled "About ClipMate". It contains the license, plus other data. Just remove all lines except for the two that contain your name/key, then you can go to Help | Enter Registration Key, and it should see your key on the clipboard and validate it for you. Otherwise, try to find your registration confirmation e-mail that we sent when you ordered ClipMate. If you don't have your name/key combination recorded anywhere, we can help if you send an e-mail to: sales@thornsoft.com with the subject: "ClipMate Key Request". Please include all relevant information, including your full name, business name, address, present and past e-mail addresses.

* You can transfer the ZIP file to the new PC using any method necessary. Including and not limited to: over a network, CD-R, ZIP disks, USB Flash devices, digital cameras (memory card acts like a disk drive), e-mail, laplink, etc.. It probably WON'T fit on a floppy diskette.

** You can move from ClipMate 6 to ClipMate 7 as you do this, as ClipMate 7 can restore a database created with ClipMate 6.


Run ClipMate from a USB Drive?

How Do I... > Run ClipMate from a USB Drive?

This is now handled by the USB/Portable option.


How do I remove blank lines?

How Do I... > How do I remove blank lines?

For simple line-break removal, use the line-break removal tool. This strips out single line-breaks that chop up paragraphs, letting the paragraph flow together. Double-breaks, which usually indicate blank lines that you want to keep, are left alone. You can force it to remove ALL breaks by holding down the SHIFT key.

For more complex tasks, such as removing ONLY the double or triple breaks, converting double-breaks into single, etc., you can use the Text Cleanup function, which has a "regular expression" find & replace. Simply replace two breaks with one, or three breaks with two, or whatever you need. You'll find examples here.

Tip: Turn on the "show non-printing characters" option, sometimes known as "reveal codes", to show you where the line-breaks are. They'll look like this: ¶


Tutorial

Welcome new user!

This section will familiarize you with basic ClipMate operation, so that you can be productive as quickly as possible. Here is a general overview of the main ClipMate "Classic" Window, which we'll use for the first few lessons:

ClipMate Classic closely resembles previous versions of ClipMate, and takes up much less space than ClipMate Explorer. It features a menu, a toolbar, and a drop-down list of Clips (the ClipList). In the picture to the right, it is shown in the "dropped-down" state, where you see a ClipList and a slimmed-down version of the preview/edit window.

Tip: Note that the new ClipMate ClipBar, which embeds itself into the windows Taskbar, has all of the capability of ClipMate Classic. It actually IS ClipMate Classic, split into two pieces. The toolbar piece resides in the taskbar, and when you click the "drop-down arrow", the rest is summoned. So you can use the ClipBar for the tutorial, if you like.

Tip: The screenshots on this page are using the new "Skin" interface. Here, we show "MX49". Your ClipMate may look different if you have selected a different skin, or have turned them off.

First, a bit about navigation.

If ClipMate doesn't already look like either of the above, then you're likely in ClipMate Explorer, which is a 3-pane layout. Please use the View | Open ClipMate Classic menu, or the click the toolbar button that looks like this: , or press Ctrl+E, to switch to ClipMate Classic. Note that you can easily move back and forth between Classic and Explorer with the Ctrl+E key, or by pressing the "toggle Classic/Explorer" toolbar button:

The "Drop-Down" list at the bottom of the window is what we'll focus on for now. Here is where new items "show up" when captured by ClipMate. Although it only shows one item right now, if you click on the [image] button at the far right end, it will "drop-down" to show the titles of all items. It should now look like the image in the upper-right of this page.

But if you're new, it is probably empty, right? So let's get some data!

More:

· Lesson 1: Basic Operation
· Lesson 2: PowerPaste
· Lesson 3: Glue
· Lesson 4: QuickPaste
· Lesson 5: Editing
· Lesson 6: QuickPick
· Lesson 7: Shortcuts

We have several online "viewlets" that will SHOW you the tutorial as a live, online demo. Visit our online viewlet page to see what we've added since this help topic was created.


Lesson 1: Basic Operation

Tutorial > Lesson 1: Basic Operation

One at a time, highlight each of the next lines with your mouse, and then press Ctrl+C. (Copy them right out of this help system) If you have ClipMate's "sounds" enabled, you'll hear little "pops" as you copy each.

Apple

Banana

Chicken Parmesan

Doughnut

Egg

If you've done this correctly, then ClipMate will now display "Egg" in the drop-down list of items. Now, pull down the list – you should see all of the items that you copied. Note that this is where ClipMate differs drastically from the standard Windows Clipboard – the "old" Clipboard would only show you the last item copied, but ClipMate has them all.

Now open NOTEPAD (the little text editor that comes with Windows.) It should be in Start | Programs | Accessories | Notepad

From within Notepad, paste from the Clipboard, using Edit | Paste, or the Ctrl+V shortcut. You get "Egg". No surprise here.

Now, from ClipMate's drop-down list (the ClipList). Pick the entry titled "Apple". Go back to Notepad and paste again. You get "Apple". Isn't that neat? Repeat the process for all 5 items.

Next Lesson:

Lesson 2: PowerPaste

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 2: PowerPaste

Tutorial > Lesson 2: PowerPaste

PowerPaste is a very powerful function that allows you to paste a series of items, very rapidly. It is very similar to a semi-automatic firearm, which reloads itself automatically after each round is fired. Likewise, when PowerPasting a series of items, ClipMate will reload the Clipboard, after each time you paste.

Assuming you have the series of 5 food items from Lesson 1, and Notepad still open, perform the following:

Select the "Apple" item.

· Click the PowerPaste button: once and it should display the "up arrow" indicator: . This lets you know that it will work its way UP the list. If the arrow points down, then just click again until it flips UP.
· Go to Notepad, and paste an item. You get Apple
· Paste again, and you should get Banana
· Keep pasting, until you get to Egg.

That's PowerPaste! Note that you started with Apple, which was at the bottom of the list, so you used the Top plug to work your way UP. If you wanted to PowerPaste in reverse, from Egg to Apple. You would start with Egg, and use the bottom plug to work your way DOWN.

Advanced Exercise - Exploding PowerPaste

Under the Edit menu, you will find an option for "explode into fragments". This menu works as a checkbox - it's either on, or it's off. Let's try it out.

· First, copy this single line:

John Doe, 123 Main Street, Anytown, NY, 12345, USA, Earth, Solar System, Milky Way

· Now turn on the Exploding PowerPaste option (Edit | Explode Into Fragments) and then turn on PowerPaste.
· Now go to Notepad and paste 9 times with the Ctrl+V key, hitting TAB or ENTER after each paste.

You should get each of the "fields" of the sample line, separately. That is "Exploding PowerPaste". And it's very powerful indeed. With Exploding PowerPaste turned on, the data pastes as "fragments". ClipMate parses each clip, and when it finds a delimiter (by default, commas, periods, semicolons, colons, tabs, linefeeds are used), it breaks the data down into "fragments".

If you have a lot of data to move, and if it's formatted with some predictable delimiter, then this can turn an all-day chore into a simple task.

You can configure the delimiters in the User Preferences dialog box, under "Pasting".

For More Information On PowerPaste:

PowerPaste (general help topic)

Next Lesson:

Lesson 3: Append

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 3: Append

Tutorial > Lesson 3: Append

Glue lets you combine several text items into one big new item. It is very handy for gathering a bunch of items, and pasting into your word processor.

· Open the ClipMate Explorer window. If you are in Classic, use the "toggle" button [image] to switch to Explorer.
· You'll now see the expanded layout. This is called the ClipMate Explorer, as opposed to the "Traditional View" that you were in before.
· On the right side of the screen is the list of Clips, called the ClipList.
· Holding down the Ctrl key, click on Apple, Banana, etc. The direction matters, so work your way from the bottom to the top, to "glue" in the right order.
· Press the Append button on ClipMate's toolbar:
·
· You'll see a new item appear in the drop-down list, titled "Append: (5 Items)"
· In Notepad, do a File | New to clear out anything remaining from the last lesson, and paste in your new data – you should see all 5 items appear as one block of new text.

Note: If ClipMate Explorer is taking up too much room, press Ctrl+E to go back to ClipMate Classic, or minimize Explorer.

·

That's how to do an Append, "after the fact".

Next Lesson:

3A Auto-Append

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


3A Auto-Append

Tutorial > Lesson 3: Append > 3A Auto-Append

You can also append continuously, by pressing the Append button without having first selected multiple items in the ClipList. Using this method, every new item is appended to an ever-growing item. Press the Append button again to stop it. Try it! Also note that as you copy items, you'll hear a different "pop" sound than you do when capturing regularly, this is to let you know that you're in Auto-Append mode.

Next Lesson:

Lesson 4: QuickPaste...


Lesson 4: QuickPaste...

Tutorial > Lesson 4: QuickPaste...

QuickPaste lets you quickly access your most frequently-used Clips without having to leave the application that you're entering data into. Unlike PowerPaste, which is geared toward pasting a series of items (and is still the best tool for that), QuickPaste can be used in an ad-hoc fashion, letting you pick and choose the items that you want.

Let's say that you are going on an internet shopping spree, and you need to order from several online stores. You've made a collection with your name, address, phone numbers, E-Mail address, and of course, your credit card details. But to your dismay, you find that the various online stores ask for information in different sequences. Some ask for the shipping address first, some last. Some ask for your phone number, some ask for two phone numbers (day/night) and some don't ask for any phone numbers! PowerPaste isn't very useful here, as the format of the form doesn't match the sequence of the data items. But QuickPaste will handle this just fine!

Navigation Tip: QuickPaste is built on ClipMate Classic, so if you are in Explorer then there will be a lot of "flipping around". To minimize this distraction, it is wise to switch to ClipMate Classic if you have a lot of QuickPasting to do. Press Ctrl+E to switch from ClipMate Explorer to ClipMate Classic.

Copy these items into ClipMate:

(716) 555-1212

(716) 555-1234

1234123412341234

1203

5678567856785678

1204

John Doe

123 Main Street.

Anytown

NY

12345

USA

mailto:Johndoe@anyisp.net

Now open Notepad, and type a few characters to make sure that the cursor is properly positioned.

Now press Ctrl+Shift+Q, and ClipMate comes up – in special "QuickPaste mode". Note the "bullseye" target icon in the status bar at the bottom - it should show you the title of the target application, in this case, "Notepad".

Now use your mouse or arrow keys to select the "John Doe" entry. This places that clip onto the clipboard, and all you have to do now is press ENTER, and the data is pasted right back into Notepad. You should now be IN Notepad as well, as QuickPaste returns you to where you were working. There - you've done a QuickPaste!

Try another. Let's pretend that you need the street address next. Press Ctrl+Shift+Q to get back into QuickPaste, and arrow down to the street address. Press Enter. There - another QuickPaste.

Press Ctrl+Shift+Q again, and select John's credit card number, and enter that. You can double-click the item with the mouse this time, if you'd like.

Go through the rest of the information, in a somewhat random order. Notice that every time that you bring up QuickPaste, the last item selected is already highlighted. Useful for repeat pasting, or when filling out a form which does happen to have some relationship to the order in which the items appear in ClipMate.

There is a LOT more to QuickPaste. You can configure it to show you TWO collections at once, so that you can tab back and forth. Great for pasting from your Safe, when you're capturing into InBox. You can also configure it to send special formatting strings to append the timestamp, title, or URL to a clip as it is pasted. Review the topics below, for full information.

Related Topics:

· Basic QuickPaste
· Advanced QuickPaste
· Using QuickPaste Format Strings

Next Lesson:

Lesson 5: Editing...

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 5: Editing...

Tutorial > Lesson 5: Editing...

In the course of moving data in and out of ClipMate, you may encounter clips that "need some fixing" before they're ready to paste. Sure, you could paste into your favorite editor, modify the data, and copy it back into ClipMate. But ClipMate has a really neat editor of its own. Let's check it out!

First, if you are in ClipMate Classic, then go into ClipMate Explorer, by pressing the [image] toggle button on the toolbar. ClipMate expands into the ClipMate Explorer view, showing 3 panes: the Collection Tree on the left, the ClipList on the upper-right, and the Preview/Edit pane in the lower right. A typical screenshot is here.

Individual Lessons:

· 5.1 Creating New Text Clips
· 5.2 The Editor Toolbar
· 5.3 Clean-Up
· 5.4 Advanced Editing Techniques


5.1 Creating New Text Clips

Tutorial > Lesson 5: Editing... > 5.1 Creating New Text Clips

Pull down the File menu, and select "Create New, Empty Clip".

Now you're looking at a blank clip, newly created right within ClipMate. Your cursor is in the editor window, and you can start typing. Type this:

this is a new clip.

isn't it fun?

Now, go to another application that can paste text, such as your Email, Notepad, etc., and select Edit | Paste from the menu. You should see your new text pasted.

Next Lesson:

5.2 The Editor Toolbar


5.2 The Editor Toolbar

Tutorial > Lesson 5: Editing... > 5.2 The Editor Toolbar

The editor toolbar has several sections of buttons. The first section only affects how the data is presented to you - and has no effect on what gets pasted later on. The second section deals with creation of data via the clipboard, either by creating a new clip, or cut/copy/paste within a clip. And the 3rd section is where you can make big editing changes to your data - the real power is here. Then you have the spellchecking, highlighting, and finally, encryption.

But, since this is the tutorial section of the online help, we'll refer you to the general Editor Toolbar... section to explain what all the buttons do, and move on to the exercise which uses the last section of buttons, namely shift-left, shift-right, remove line-breaks, and change case.

Next Lesson:

5.3 Clean-Up


5.3 Clean-Up

Tutorial > Lesson 5: Editing... > 5.3 Clean-Up

Suppose somebody sent you this Email:

Subject Fwd seti

Hi Joe, I received the following, and hoped you could put it into the newsletter. Thanks!

FYI - the URL is http://setiathome.ssl.berkeley.edu/

>>>

>>>SETI@HOME IS A SCIENTIFIC EXPERIMENT

>>>THAT WILL HARNESS THE POWER OF HUNDREDS

>>>OF THOUSANDS OF INTERNET-CONNECTED

>>>COMPUTERS IN THE SEARCH FOR

>>>EXTRATERRESTRIAL INTELLIGENCE (SETI).

>>>YOU CAN PARTICIPATE BY RUNNING A

>>>PROGRAM THAT DOWNLOADS AND ANALYZES

>>>RADIO TELESCOPE DATA. THERE'S A SMALL

>>>BUT CAPTIVATING POSSIBILITY THAT YOUR

>>>COMPUTER WILL DETECT THE FAINT MURMUR

>>>OF A CIVILIZATION BEYOND EARTH.

Looks like good information, but what a mess! And now you have to put it into your newsletter, which you compose using the word processor, or web page editor of your choice. You know you have to do a lot of clean-up, to make this fit into your format. For starters, it has those ugly >>> marks. Next, it's all caps. And finally, it's broken into individual lines of text, containing a hard carriage return at the end of each line. You want just one long line, so the word processor can handle the word-wrapping.

No problem! ClipMate has tools to help you fix this. Copy the text above, starting with the first set of >>> marks, continuing to the bottom. Now you see it in ClipMate's editor, and we can start working on it.

Step 1 - Get rid of the >>> marks. Play with the shift right button. Click it twice, and you'll see the whole paragraph move over to the right, by two columns. Now go back left. Neat!

Keep going left, and you'll see that it gets "stuck" on the left margin, when it runs out of "white space". By default, it'll only collapse tabs and spaces. This is to keep you from accidentally chewing up your data. Now hold down the CTRL key, and click the shift-left again. Now it destroys the first column of '>' symbols. The CTRL key tells it "destroy ANY character in column 1". Do it twice more, and you have removed all of them. Be careful - there is no Undo for this.

Step 2 - Remove the unwanted line-breaks. Click on the Remove Line-Breaks button. The data changes dramatically. If you now see only one line of text, click the WordWrap button, to force the data to wrap within the display. Note that this doesn't change the data - it's really one big long line of text, and your word processor will wrap it for you, as it sees fit.

Step 3 - Fix the case. Click the little arrow attached to this button: , if it is present - otherwise click on the button itself. You'll have a menu of 4 case options. Experiment with each, to see the effect. You'll want to end up on Sentence Case. Experiment with selections - use your mouse to highlight just the last sentence, and notice how you can make this function operate just on the selection, and leave the rest alone. All 4 of these buttons (in the last group) act this way.

Step 4 - Paste. Now paste into your word processor. You'll find that the data now will readily flow the way you want it, and the garbage is gone.

Step 5 – Use The Text Clean-Up Tool

We can do all of this in one easy step. Copy the text over again, to create a new clip. Then click on the "magic hat" button, [image] and you'll get a dialog asking what options you want. It should already be set to remove the >> symbols from the left margin – leave that turned on. Under the Paragraph Re-Formatting, select the second option, which removes unwanted linebreaks within paragraphs. Finally, select "sentence case" under the Change Case option. Press OK, and see the results.

Note that you can also use the new UNDO button, to UNDO an operation. You can only undo the last operation.

Step 6 – Drag and Drop

You can use Drag 'n' Drop to re-arrange data within a clip. Copy this sentence:

This order is in the wrong sentence.

Now in the ClipMate Editor, double-click the word "order". Hold down your mouse button, and drag it to the right, and drop right before the 's' in the word "sentence". It should drop right there. Now highlight "sentence" and drag to where "order" used to be. You have to be conscious of spacing, etc., but once you get the hang of it, it's really neat.

Next Lesson:

5.4 Advanced Editing Techniques


5.4 Advanced Editing Techniques

Tutorial > Lesson 5: Editing... > 5.4 Advanced Editing Techniques

The Tack

There is a "tack" icon at the left end of the toolbar. Click it. Notice how it looks "pushed in", or "tacked". This will "tack" the editor to the clip that it is currently on. It will no longer insist on displaying the current clip. Try it - select another clip from the ClipList, and you'll see that the editor does not synchronize with the rest of ClipMate. This opens up some interesting possibilities, as you can now use the cut/copy/paste buttons (on the editor toolbar) as if you were in a regular text editor, without the editor scrolling to the newly-copied data.

Untack the editor, and copy these two clips.

VERY

This is cool.

Now tack the editor again, so that it is frozen on "This is cool.".

Now select the "VERY" clip in the ClipList above. The editor should still say "This is cool".

Position the cursor between "is" and "cool".

Click the Paste button on the editor toolbar.

I'm sure you'll agree, this is VERY cool!

Cut and copy work the same way - you will get new clips created from the clip being edited, but you'll stay on that clip. You can, for example, cut a word from a sentence, and paste it back into the same clip somewhere else.

Floating Editors

Since the editor window is docked into Explorer, you can drag its dockbar and undock it from Explorer. Or there is a button (2nd from the left) that will do this too. Or, you can simply pop open an editor window with the F2 key, (which also has the advantage of working in ClipMate Classic).

Floating windows are most effective when Tacked, and are great if you want to do some heavy editing on a particular clip, or keep it visible without the rest of ClipMate.

Next Lesson:

Lesson 6: QuickPick


Lesson 6: QuickPick

Tutorial > Lesson 6: QuickPick

QuickPick is a method of retrieving clips from the active ClipList by filtering for text in the title. Let's say you have 500 clips in your InBox, and you that somewhere in there, is a clip with the word "Enron" in the title. You could certainly use the Search facility to search for all of those clips. But there is a quicker way - use QuickPick.

Assuming that you have the clips from lesson 4 in your Inbox, and assuming that you are in ClipMate Classic, click the drop-down arrow to expose the ClipList.

Then type the following:

?john

As you type the ? key, a blue bar will appear in the ClipList, and by the time you have typed "jo", the two clips with "john" in them will be at the top.

Notice that your typing appears in the statusbar along the bottom, signified by the "hand" icon.

Hit the BACKSPACE key a few times, and you'll see characters disappear. If you erase all of them, or press ESCape, then you drop out of QuickPick mode. Experiment a bit.

Note that any new clips copied to the collection will appear BELOW the blue bar, signifying that they are at the top of the Collection, but that they aren't part of the filtered QuickPick results.

Note that the QuickPick filtering is not case sensitive, and that it only works on the clip TITLE, not the body of the clip itself. And unlike other list searches you may have used elsewhere, the filtering is not limited to the beginning of the title - it can be anywhere in the title.

That's it - pretty neat! If you liked QuickPick, you are going to LOVE Shortcuts!

SEE: We have a Viewlet for this online, where you can see this feature in action.

Next Lesson:

Lesson 7: Shortcuts

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


Lesson 7: Shortcuts

Tutorial > Lesson 7: Shortcuts

Shortcuts work in a similar fashion to QuickPick, in that a list of results is displayed at the top of the ClipList, and that it is also a natural fit for QuickPaste. The difference however, is that while QuickPick acts as a "filter" against the current collection, ShortCuts can pull clips from any collection, even any database, that you have defined. Just as your desktop can have a shortcut to any file on your system, and your web browser can have shortcuts to any web page, ClipMate Shortcuts can refer to any clip in your system. But first, you have to create some shortcuts.

Back in lesson4, you copied some data that looks like credit card information:

1234123412341234

1203

5678567856785678

1204

Go ahead and re-copy them, if you don't still have them. Now let's assume that they represent your VISA number and expiry date, and your MasterCard number and expiry date, respectively.

In a real example, you'd also have PIN or Security codes (those pesky extra digits), the spelling of your name as it appears on the card, etc. You can make those if you want, and substitute your actual card info, if you like.

Creating Shortcuts

Now pick the first in the series, and press Ctrl+R. You'll see the "Rename Clip" dialog. It combines the rename and shortcut functions into one dialog, for convenience. After all, any clip worth assigning a shortcut to, likely could use a better title as well. So give the clip a title such as "Visa Number", and then for the shortcut, type in:

.CC.V.NBR

Those are "periods", and you should make a habit of leading with a period, and using periods to define a "structure" to the shortcut.

For the next clip, rename to "Visa Exp Date", and assign a shortcut of:

.CC.V.DT

Then you can do the Mastercard (substitute M for V in the nickname). Plus any other information that you may be entering, such as .NAME, .PIN, .ADDR, etc., if you're trying to use REAL data here.

TIP: If you enable "Carry-Over Last Prefix, then the shortcut will automatically remember the first ".CC.V." part of the shortcut - a big timesaver!

Move Them Somewhere Safe

Right now, these clips are probably sitting in your "InBox" collection. Here's another tip: any clip worthy of a shortcut, is worthy of moving to another collection (after all, your InBox gets automatically cleaned out periodically). So select these clips in the ClipList (tip: pick one, hold down SHIFT, and then pick the last one), and then select Edit | Move To Collection. Now pick the collection called "Safe" from the menu. They are now moved out of the InBox, into Safe, where they will reside until you delete them. If you want to see where they went, click on the "select collection" button on the toolbar. But then come back to the InBox to continue the exercise. For more information on collections, see: Using Collections Effectively.

Using Shortcuts

You activate shortcuts by typing the "." (period or DOT) key. All of your shortcut clips will now be displayed at the top of the ClipList (there may also be a "Welcome to ClipMate" sample clip. Now keep typing the shortcut:

You Type | You See
CC | Only the credit card clips
. (dot) |
V | Only the VISA entries are left
. (dot) |
D | The Visa Expiry Date is all that is left.

Now hit the Backspace, and notice how the search results are widened. Try to pick the Visa Number this time:

.CC.V.N

You can paste this clip in to any application, as it is on the clipboard now. You can also use the arrow keys to scroll within the results. If you scroll down past the blue bar, you'll be in the "regular clips". That's fine. Press ESCape to cancel the Shortcut search.

The accompanying image shows shortcuts used in conjunction with QuickPaste, which is a very powerful combination. The image isn't tailored to this tutorial, but you'll get the general idea.

Let's say you have a web page where you need your MasterCard details. Just bring up QuickPaste (Ctrl+Shift+Q) while you're still on the page. Enter .CC.M, and you are presented with the Mastercard details. That is probably all of the shortcut that you need to enter, as you can now use the arrow key to navigate between the handful of resulting entries. Select the first item that you need, and press ENTER. Now it's pasted into the web page. Ctrl+Shift+Q again, and you'll see that your shortcut search is still active - so just pick the next item, and ENTER. Cool!

You will want to create other hierarchies of information, so give some thought to the structure of the shortcut. CC is obviously for credit card details. But you may have other categories of important data such as U for URLs that you use frequently. Then maybe .U.N for "News" URLs, .U.J for "Jokes", etc.. Or maybe Jokes are so important that you place J at the top of the hierarchy, and have .J.U for "joke URLs", and .J.T for "text Jokes", or maybe .J.K.T for "Jokes, Knock-Knock, Text". and .J.K.U for "Jokes, Knock-Knock, URLs". Whatever floats your boat!

For additional reading:

· ShortCuts (The main help topic for ShortCuts)
· QuickPaste (The main help topic for QuickPaste)
· Using Encryption (Because you may want to encrypt your credit card details)

We have an online "viewlet" that will SHOW you this tutorial as a live, online demo. View it online.


 Purchasing ClipMate

Purchasing ClipMate

During your evaluation of ClipMate, you have been using an EVALUATION license (Shareware license) which entitles you to use ClipMate for 30 days while you evaluate its usefulness. After this time you are required to purchase a Registered Copy. If you feel that ClipMate doesn't meet your needs, or for any reason you decide that you don't want to purchase a registered copy, you are required to delete the program from your computer. This is the ultimate "Try Before You Buy" marketing method.

Purchasing your registered copy of ClipMate entitles you to continue using the product, and restores full functionality to any disabled functions. Also, the Registration Reminder screens will be removed! You will also have access to our technical support.

NOTICE: Continued use of the unregistered version of ClipMate past the 30 day evaluation period is a violation of federal copyright laws. See our Licensing Agreement.

How to Order

Simply visit our web site at http://www.clipmate.com or the web site of an authorized ClipMate dealer in your region, and you can order a registration key online. Your personalized registration key will be generated, and send to your e-mail account within minutes. Or if you prefer to order by phone, fax, or snail mail, we can accommodate that too.

Upgrades

Upgrades fall into 4 categories:

1. Free upgrades will be granted to those who purchased ClipMate 6.5 within 1 year of the ClipMate 7 release. The Cut-Off date is Oct 15, 2004.
Users of ClipMate 6 who purchased within 1 year of the ClipMate 7 release will receive an upgrade key, sent to the e-mail address that was used for the initial purchase. We expect to have these upgrade keys mailed by Oct 31, 2005. Please do not e-mail us asking for your key before then, we are busy sending them out.
Also, make sure that your spam settings allow e-mail from thornsoft.com
2. Qualified Version 6 Customers - For a limited time, users of ClipMate 6 who purchased before October 15, 2004 can purchase ClipMate 7 as an upgrade for $19.95 by following this UPGRADE link.
Button
3. Users of Previous Versions - Users of ClipMate5 and earlier can receive a $5 discount coupon by e-mailing their name and previous registration key to sales@thornsoft.com with the subject: ClipMate 7 Upgrade Coupon Request.
4. Mixed Licenses - Sometimes a user has an original v6 purchase from 2-3 years ago, and then an "expansion" later on, which may fall into the "free upgrade" window. Or perhaps you need to add more seats as you upgrade. In this case, or any other complex licensing question, please contact us for a detailed quote.

Companies and Institutions

If you work for a company, government, or institution, you may need to have your purchasing department order for you. That's ok! They can order online, they can call us, or they can fax use the order form. We've included it - the link is below.

· Order from our web site - www.thornsoft.com We offer secure ordering through Plimus, eSellerate, and PayPal.
· Order by phone - (585) 352-4223, or TOLL-FREE in (USA only) at 877-254-7628 (877-CLIPMATE).
· Fax/Snail Mail order form - order.txt
· View Site License Pricing Online

There's an order form right on your hard disk, which they can fax to us


End User License Agreement

Purchasing ClipMate > End User License Agreement

There is a formal EULA agreement in your program directory, called EULA.TXT, which you had the opportunity to review at installation time.

Basically it says that for the registered version, you can use the software on one computer - plus one other if you are the primary user. If you have a desktop and a laptop, and even if they are networked and in use at the same time, then you don't need to buy another license. But if you want to run it on 3 computers, or have other users using the other computers, then you DO need to buy additional licenses.

Q&A:

Q: I have a desktop and a laptop or second computer. Do I need multiple licenses?

A: You can run one extra copy for your laptop or a second networked computer if you are the primary user of each. The license manager will prevent more than one extra copy from running.

Q: I use the software at work, and want to use it at home as well. Do I need multiple licenses?

A: You can run the software at home too, but only on one computer.

Q: I want to use it on two computers on the same network. Do I need multiple licenses?

A: You can run one extra copy if you are the primary user of the other computer. But if you need to run simultaneously on more than two computers, or have other people using the software, then additional licenses are required. For example, if you move between two stations, then one license covers you. But not if you use it on more than two stations, and not if the other stations are used by your co-workers, secretaries, etc..

Q: I have lots of users - is a site license available?

A: Yes - see our web site for multi-user discounts.

Q: In a multi-user situation, does everyone use the same key, or different keys?

A: This can vary. Suppose you have 10 users, and buy a 10-user key. That can be used up to 10 times concurrently. If you then decide that you need 25 seats, then you would purchase a new key for 15 users. Or, you may have any mixture of single and multiple-seat keys, as long as you don't exceed the total licensing for any given key. You can work with our customer service to merge smaller keys into bigger ones, if you need to.

Q: My wife and I use the same computer. Do we need multiple licenses?

A: No - every user of the same computer can use the same license.

Q: What about "fast user switching" in XP? We have 5 accounts, and they're often all logged in.

A: The same license will cover all copies - even if they are running at the same time, as long as they are on the same machine.

Q: I want to use Terminal Services (or another similar product) and run one copy of ClipMate on the server, and have multiple users use the same license. Is that allowed?

A: No - you need to license each as many users as will simultaneously access the server and use ClipMate.


Glossary

Application Profile

Bitmap

Clipboard

Clipboard chain

Clip Item

Collection

Data Source

HTML

Registration Key

Retention Rules

Rich Text Format

Serial Number

Target Application


Application Profile

These determine what data formats will be captured, on an application-by-application basis. Think of it as an "inbound data filter".

For example, you can capture TEXT from Excel, while leaving the other 20+ formats behind, thus saving time and memory.


Bitmap

A common graphic, produced by most graphics programs and screen captures. ClipMate shows it using a "painter's palette" icon. ClipMate can print Bitmaps, and they're accepted by just about any graphics or drawing program.


Clipboard

Deep inside Windows, there is a global memory area for exchanging data between applications. This is the clipboard. ClipMate talks to the clipboard all of the time, constantly keeping in sync with it.


Clipboard chain

This is a mechanism where Windows notifies applications that new data has arrived on the clipboard.

The only reason that users need to be concerned about this, is because sometimes mis-behaving applications disrupt the clipboard chain, and you may have to reestablish the connection.


Clip Item

A piece of data in ClipMate. When you copy something to the clipboard, ClipMate grabs the data and creates a new Clip Item. Besides the data, there are other attributes such as Timestamp, Source URL, Creator, Size, etc.


Collection

Think of it as a "folder", within the database, where clips are categorized and segregated. By default, you will have 3 collections: InBox, Overflow, and Safe.


HTML

Hypertext Markup Language. This is the native format of web pages.


Registration Key

When you purchase a license for ClipMate, you receive a registration key, which allows you to enjoy ClipMate past the 30-day trial period.


Retention Rules

ClipMate can automatically delete data from a collection in 3 different ways:

· Length: when the collection grows past its retention limit, say 200 items, old items are deleted to bring it back to the retention limit.
· Age: specify a number of days to keep clips.
· Never: never automatically delete clips from this collection.

The "purging" takes place at shut-down, and will move them either into the Overflow collection ,or the trashcan.


Rich Text Format

Fancy text with fonts, color, bold, italic, margins, etc.. Usually used with word processors.


Serial Number

As each clip is inserted into the database, it is assigned an ID, or Serial Number. You cannot reset the serial number, it will just keep growing (the limit is 2^32 or about 4 billion).

Note: Only contact technical support regarding the serial number, if you feel that you are in imminent danger of surpassing 4 billion.

Note: We're not really serious about that last note.


System Menu

This is the menu that appears in the upper-left corner of most windows, showing Move, Minimize, Maximize, etc..


Target Application

The application where you want to paste the data is known as the Target Application.


Database

All data is kept in the database. The database consists of a set of files on your hard disk. You can set up more than one database, but most users won't need to.